<?php

Kirki::add_section( 'cl_blog', array(
	    'priority'    => 10,
	    'type' => '',
	    'title'       => esc_html__( 'Blog', 'creatic' ),
	    'tooltip' => esc_html__( 'All Blog Styles and options', 'creatic' ),
	) );


		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_style',
			'label'    => esc_html__( 'Blog Style', 'creatic' ),
			'tooltip' => esc_html__( 'Select one of the blog styles that you want to use as a default template', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'default',
			'choices'     => array(
				'default'  => esc_attr__( 'Default', 'creatic' ),
				'alternate'  => esc_attr__( 'Alternate', 'creatic' ),
				'minimal'  => esc_attr__( 'Minimal', 'creatic' ),
				'timeline'  => esc_attr__( 'Timeline', 'creatic' ),
				'grid'  => esc_attr__( 'Grid', 'creatic' ),
				'masonry' => esc_attr__( 'Masonry', 'creatic' ),
			),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_grid_layout',
			'label'    => esc_html__( 'Grid Layout', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => '2',
			'choices' => array(
				'2'	=> '2 Columns',
				'3'	=> '3 Columns',
				'4'	=> '4 Columns',
				'5'	=> '5 Columns',
			),
			'transport' => 'postMessage',
			'required'    => array(
				array(
					'setting'  => 'blog_style', 
					'operator' => 'in',
					'value'    => array('grid', 'masonry'),
				),
								
			),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
		    'type' => 'slider',
		    'settings' => 'blog_grid_transition_duration',
			'label' => esc_html__('Grid Transition Duration', 'creatic'),
			'default' => '0.4',
			'choices'     => array(
			'min'  => '0.0',
			'max'  => '5',
			'step' => '0.1',
							),
			'inline_control' => true,
			'section'  => 'cl_blog',
			'required'    => array(
				array(
					'setting'  => 'blog_style',
					'operator' => 'in',
					'value'    => array('grid', 'masonry')
				),
								
			),
    	));

		Kirki::add_field( 'cl_creatic', array(
		    'type' => 'select',
		    'settings' => 'blog_button_style',
			'label' => esc_html__('Blog Button Style', 'creatic'),
			'tooltip' => esc_html__('Change from default to another style if you want to use another button style on blog', 'creatic'),
			'default'     => 'rounded',
			'choices' => array(
				'simple_square' => esc_html__('Simple Square', 'creatic'),
				'square_small_rounded' => esc_html__('Square Small Rounded', 'creatic'),
				'simple_text' => esc_html__('Simple Text', 'creatic'),
				'rounded' => esc_html__('Rounded', 'creatic')
			),
			'inline_control' => true,
			'section'  => 'cl_blog',
			'transport' => 'postMessage'
    	));

		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_animation',
			'label'    => esc_html__( 'Animation Type', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'none',
			'choices' => array(
				'none'	=> esc_html__('None', 'creatic'),
				'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
				'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
				'right-t-left' => esc_html__('Right-Left', 'creatic'),
				'left-t-right' => esc_html__('Left-Right', 'creatic'),
				'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
				'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
				'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
				'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
			),
			'transport' => 'postMessage'
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_layout',
			'label'    => esc_html__( 'Blog Page Layout', 'creatic' ),
			'tooltip' => esc_html__( 'Overwrite the default all pages layout option, set a custom layout for blog', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'right_sidebar',
			'choices'     => array(
			    'none'  => esc_attr__( 'Use Default', 'creatic' ),
				'fullwidth'  => esc_attr__( 'Fullwidth', 'creatic' ),
				'left_sidebar'  => esc_attr__( 'Left Sidebar', 'creatic' ),
				'right_sidebar'  => esc_attr__( 'Right Sidebar', 'creatic' ),
				'dual_sidebar'  => esc_attr__( 'Dual Sidebar', 'creatic' )
			),
		) );

		

		Kirki::add_field( 'cl_creatic', array(
		    'type' => 'slider',
		    'settings' => 'blog_width',
			'label' => esc_html__( 'Set the exact blog width', 'creatic' ),
			'tooltip' => esc_html__( 'Set a custom width in percentage for your blog', 'creatic' ),
			'default' => 100,
			'choices'     => array(
				'min'  => '20',
				'max'  => '100',
				'step' => '1',
			),
			'inline_control' => true,
			'section'  => 'cl_blog',
			'output' => array(
				array(
					'element' => '.blog-entries.blog_page',
					'units' => '%',
					'property' => 'width',
					'media_query' => '@media (min-width: 992px)'
				)
			),

			'transport' => 'auto'

    	));

    	Kirki::add_field( 'cl_creatic', array(
		    'type' => 'select',
		    'settings' => 'blog_align',
			'label' => esc_html__( 'Set Blog Align', 'creatic' ),
			'tooltip' => esc_html__( 'Blog align', 'creatic' ),
			'default' => 'left',
			'choices'     => array(
				
				'left'  => esc_attr__('left', 'creatic' ),
				'center' => esc_attr__('center', 'creatic' ),
				'right' => esc_attr__('right', 'creatic' ),
			),
			'inline_control' => true,
			'section'  => 'cl_blog',
			'selector' => '.blog-entries',
			'selectClass' => '',

			'transport' => 'postMessage'

    	));

    	Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_archive_layout',
			'label'    => esc_html__( 'Blog Archives Layout', 'creatic' ),
			'tooltip' => esc_html__( 'Archives & Categories Layout', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'fullwidth',
			'choices'     => array(
			    'none'  => esc_attr__( 'Use Default', 'creatic' ),
				'fullwidth'  => esc_attr__( 'Fullwidth', 'creatic' ),
				'left_sidebar'  => esc_attr__( 'Left Sidebar', 'creatic' ),
				'right_sidebar'  => esc_attr__( 'Right Sidebar', 'creatic' ),
				'dual_sidebar'  => esc_attr__( 'Dual Sidebar', 'creatic' )
			),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_post_layout',
			'label'    => esc_html__( 'Blog Posts Layout', 'creatic' ),
			'tooltip' => esc_html__( 'Change the layout of blog posts, you can add custom sidebar for posts also.', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'right_sidebar',
			'choices'     => array(
				'fullwidth'  => esc_attr__( 'Fullwidth', 'creatic' ),
				'left_sidebar'  => esc_attr__( 'Left Sidebar', 'creatic' ),
				'right_sidebar'  => esc_attr__( 'Right Sidebar', 'creatic' )
			),
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_post_style',
			'label'    => esc_html__( 'Blog Posts Style', 'creatic' ),
			'tooltip' => esc_html__( 'Change the style of blog posts, you can add custom style for each post.', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'modern',
			'choices'     => array(
				'classic'  => esc_attr__( 'Classic', 'creatic' ),
				'modern'  => esc_attr__( 'Modern', 'creatic' ),
				'custom'  => esc_attr__( 'Custom ( Build with Page Builder )', 'creatic' )
			),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_excerpt',
			'label'    => esc_html__( 'Enable auto excerpt', 'creatic' ),
			'tooltip' => esc_html__( 'If enabled you will see only a small part of content. If disabled all post will show', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			

		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'type'        => 'number',
			'settings'    => 'blog_excerpt_length',
			'label'       => esc_attr__( 'Excerpt Length', 'creatic' ),
			'section'     => 'cl_blog',
			'into_group' => true,
			'default'     => '62',
			'priority'    => 10,
			
		));
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_share_buttons',
			'label'    => esc_html__( 'Blog Share Buttons', 'creatic' ),
			'tooltip' => esc_html__( 'Select Social share buttons that you want to use on blog page', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'multiple' => 6,
			'priority' => 10,
			'default'  => array('twitter', 'facebook', 'pinterest', 'google'),
			'choices'     => array(
				'twitter'  => esc_attr__( 'Twitter', 'creatic' ),
				'facebook'  => esc_attr__( 'facebook', 'creatic' ),
				'google'  => esc_attr__( 'Google', 'creatic' ),
				'whatsapp'  => esc_attr__( 'Whatsapp', 'creatic' ),
				'linkedin'  => esc_attr__( 'LinkedIn', 'creatic' ),
				'pinterest'  => esc_attr__( 'Pinterest', 'creatic' ),
			),
			'partial_refresh' => array(
		        'blog_share_buttons' => array(
		            'selector'            => '.entry-tool-share',
		            'render_callback'     => 'codeless_get_entry_tool_share'
		        ),
		    ),
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_overlay',
			'label'    => esc_html__( 'Blog Overlay Style', 'creatic' ),
			'tooltip' => esc_html__( 'Select the style of overlay of blog image on hover', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'color',
			'choices'     => array(
				'none'  => esc_attr__( 'None', 'creatic' ),
				'color'  => esc_attr__( 'Color Overlay', 'creatic' ),
				'zoom_color'  => esc_attr__( 'Zoom and Color', 'creatic' ),
				'grayscale'  => esc_attr__( 'Grayscale', 'creatic' ),
			),
			'transport' => 'refresh'
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_overlay_icon',
			'label'    => esc_html__( 'Overlay Icon', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'arrow-right',
			'choices'     => array(
				'plus2'  => esc_attr__( 'Plus', 'creatic' ),
				'arrow-right'  => esc_attr__( 'Arrow Right', 'creatic' ),
				'expand2'  => esc_attr__( 'Expand', 'creatic' ),
				'image2'  => esc_attr__( 'Image', 'creatic' ),
				'lightbox' => esc_attr__( 'Lightbox', 'creatic' ),
			),
			'transport' => 'postMessage'
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_image_link',
			'label'    => esc_html__( 'Entry Image Link', 'creatic' ),
			'tooltip' => esc_html__( 'Disable if you dont want that image linked with post', 'creatic' ),
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_filters',
			'label'    => esc_html__( 'Blog Page Filterable', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'disabled',
			'choices'     => array(
				'disabled'  => esc_attr__( 'Disabled', 'creatic' ),
				'small'  => esc_attr__( 'Small Square', 'creatic' ),
				'fullwidth'  => esc_attr__( 'Fullwidth', 'creatic' )
			),
			'transport' => 'postMessage'
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_filters_color',
			'label'    => esc_html__( 'Filter BG', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'dark',
			'choices' => array(
				'dark'	=> esc_html__('Dark', 'creatic'),
				'light'	=> esc_html__('Light', 'creatic')
			),
			'transport' => 'postMessage',
			'required'    => array(
				array(
					'setting'  => 'blog_filters',
					'operator' => '==',
					'value'    => 'fullwidth'
				),
								
			),
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_lazyload',
			'label'    => esc_html__( 'Blog Lazyload', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage'
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_divider_1',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_post_meta',
		   'label'    => esc_html__( 'Post Entry Meta', 'creatic' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_meta_author',
			'label'    => esc_html__( 'Show Author Meta', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_meta_author' => array(
		            'selector'            => '.entry-meta',
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'meta' );
		            }
		        ),
		    ),
			
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_meta_categories',
			'label'    => esc_html__( 'Show Categories Meta', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_meta_categories' => array(
		            'selector'            => '.entry-meta',
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'meta' );
		            }
		        ),
		    ),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_meta_date',
			'label'    => esc_html__( 'Show Date Meta', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_meta_date' => array(
		            'selector'            => '.entry-meta',
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'meta' );
		            }
		        ),
		    ),
		) );


		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_meta_comments',
			'label'    => esc_html__( 'Show Comments Meta', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_meta_date' => array(
		            'selector'            => '.entry-meta',
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'meta' );
		            }
		        ),
		    ),
		) );

		
		
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_divider_2',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_post_tools',
		   'label'    => esc_html__( 'Post Entry Tools', 'creatic' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_tools_likes',
			'label'    => esc_html__( 'Show Post Likes', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_tools_likes' => array(
		            'selector'            => '.entry-tools',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'tools' );
		            }
		        ),
		    ),
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_tools_share_counts',
			'label'    => esc_html__( 'Show Share Counts', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_tools_share_counts' => array(
		            'selector'            => '.entry-tools',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'tools' );
		            }
		        ),
		    ),
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_tools_share',
			'label'    => esc_html__( 'Show Share Buttons', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_tools_share' => array(
		            'selector'            => '.entry-tools',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'tools' );
		            }
		        ),
		    ),
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_entry_tools_comments_count',
			'label'    => esc_html__( 'Show Comments Count', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_entry_tools_comments_count' => array(
		            'selector'            => '.entry-tools',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	get_template_part( 'template-parts/blog/parts/entry', 'tools' );
		            }
		        ),
		    ),
		) );
		
		
		
		
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_divider_4',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_pagination',
		   'label'    => esc_html__( 'Pagination', 'creatic' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_pagination_style',
			'label'    => esc_html__( 'Pagination Style', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'numbers',
			'choices'     => array(
				'numbers'  => esc_attr__( 'With Page Numbers', 'creatic' ),
				'next_prev'  => esc_attr__( 'Next/Prev', 'creatic' ),
				'load_more'  => esc_attr__( 'Load More Button', 'creatic' ),
				'infinite_scroll'  => esc_attr__( 'Infinite Scroll', 'creatic' ),
				
			),
			'transport' => 'postMessage',
			'partial_refresh' => array(
		        'blog_pagination_style' => array(
		            'selector'            => '.cl-blog-pagination',
		            'container_inclusive' => true,
		            'render_callback'     => function(){
		            	codeless_blog_pagination();
		            }
		        ),
		    ),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_pagination_align',
			'label'    => esc_html__( 'Pagination Align', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'center',
			'transport' => 'postMessage',
			'choices'     => array(
				'left'  => esc_attr__( 'Left', 'creatic' ),
				'center'  => esc_attr__( 'Center', 'creatic' ),
				'right'  => esc_attr__( 'Right', 'creatic' ),
				
			),
		) );
		
		
		
		
		
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_divider_3',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_post_slider',
		   'label'    => esc_html__( 'Post Slider', 'creatic' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_slider_pagination',
			'label'    => esc_html__( 'Enable Slider Pagination', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_slider_nav',
			'label'    => esc_html__( 'Enable Slider Prev/Next', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_slider_loop',
			'label'    => esc_html__( 'Enable Slider Loop', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
		) );
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_slider_lazyload',
			'label'    => esc_html__( 'Enable Slider Lazy Load', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
		) );
		

		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'blog_slider_effect',
			'label'    => esc_html__( 'Blog Slider Direction', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'select',
			'priority' => 10,
			'default'  => 'scroll',
			'choices'     => array(
				'scroll'  => esc_attr__( 'Scroll', 'creatic' ),
				'fade'  => esc_attr__( 'Fade', 'creatic' ),
				'cube'  => esc_attr__( 'Cube', 'creatic' ),
				'coverflow'  => esc_attr__( 'Coverflow', 'creatic' ),
				'flip'  => esc_attr__( 'Flip', 'creatic' ),
			),
		) );
		
		
		Kirki::add_field( 'cl_creatic', array(
		    'type' => 'slider',
		    'settings' => 'blog_slider_speed',
			'label' => esc_html__( 'Blog Slider Speed', 'creatic' ),
			'tooltip' => esc_html__( 'Leave 0 to remove autoplay', 'creatic' ),
			'default' => 0,
			'choices'     => array(
				'min'  => '0',
				'max'  => '5000',
				'step' => '100',
			),
			'inline_control' => true,
			'section'  => 'cl_blog',
			
    	));
		
		
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_divider_10',
		   'label'    => '',
		   'section'  => 'cl_blog',
		   'type'     => 'groupdivider',
		   'into_group' => true,
		    			
		) );
		    	
		Kirki::add_field( 'cl_creatic', array(
		    		
		   'settings' => 'blog_single_blog_title',
		   'label'    => esc_html__( 'Single Blog', 'creatic' ),
		   'section'  => 'cl_blog',
		   'type'     => 'grouptitle',
		   'into_group' => true,
		
		) );
		
		
		
		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'single_blog_author_box',
			'label'    => esc_html__( 'Single Blog Author Info', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'single_blog_share',
			'label'    => esc_html__( 'Single Blog Share', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 0,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
		) );

		Kirki::add_field( 'cl_creatic', array(
			'settings' => 'single_blog_related',
			'label'    => esc_html__( 'Single Blog Related Posts', 'creatic' ),
			
			'section'  => 'cl_blog',
			'type'     => 'switch',
			'priority' => 10,
			'default'  => 1,
			'choices'     => array(
				1  => esc_attr__( 'On', 'creatic' ),
				0 => esc_attr__( 'Off', 'creatic' ),
			),
		) );	

?>