<?php
	
	Kirki::add_section( 'cl_codeless_page_builder', array(
	    'title'          => esc_html__( 'Page Builder', 'creatic' ),
	    'description'    => esc_html__( 'Options for adding an additional element on header', 'creatic' ),
	    'panel'          => '',
	    'type'			 => '',
	    'priority'       => 160,
	    'capability'     => 'edit_theme_options'
	) );
	
	/* Row */
	
	cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Row', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			'tooltip' => esc_html__( 'Manage all options of the selected Row', 'creatic' ),
			//'priority'    => 10,
			'icon'		  => 'icon-software-layout',
			'transport'   => 'postMessage',
			'paddingPositions' => array('top', 'bottom'),
			'settings'    => 'cl_row',
			'is_container' => true,
			'is_root'	  => true,
			'fields' => array(
				
				
				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' ),
						'animation' => array( 'Animation', 'cl-icon-animation' ),
						'responsive' => array( 'Responsive', 'cl-icon-responsive' )
					)
				),
				
				'general_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__( 'General', 'creatic' ),
					'tabid' => 'general'
				),
				
					/* ----------------------------------------------- */
					
					'row_layout_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__( 'Layout', 'creatic' ),
						'groupid' => 'layout'
					),
						
						
				
						'row_type' => array(
							'type'     => 'select',
							'priority' => 10,
							'label'       => esc_attr__( 'Type', 'creatic' ),
							'default'     => 'container',
							'choices' => array(
								'container' => esc_attr__( 'Into Container', 'creatic' ),
								'container-fluid' => esc_attr__( 'Stretch Content', 'creatic'),
							),
							'selector' => '.cl-row > .container, .cl-row > .container-fluid',
							'selectClass' => ' ',
							'group_vc' => esc_attr__( 'Layout', 'creatic' )
						),
						
						/*'row_vertical_stretch' => array(
							'type'     => 'select',
							'priority' => 10,
							'label'       => esc_attr__( 'Vertical Stretch', 'creatic' ),
							'tooltip' => esc_attr__( 'Select the type of row to use, this option can be overrided by Design Tool', 'creatic' ),
							'default'     => 'with_padd',
							'choices' => array(
								'with_padd' => esc_attr__('With Padding', 'creatic'),
								'no_padd' => esc_html__('No Padding (Fullheigt Stretch)', 'creatic')
							),
							'selector' => '.cl-row > div > .row',
							'selectClass' => ' '
						),*/
						
						'fullheight' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Full Height Row', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl-row > div > .row',
							'addClass' => 'cl_row-fullheight cl_row-flex',
							'group_vc' => esc_attr__('Layout', 'creatic')
						),
						
						
						
						'content_pos' => array(
							'type'     => 'select',
							'priority' => 10,
							'label'       => esc_attr__( 'Content Position', 'creatic' ),
							'tooltip' => esc_attr__( 'Change position of columns and elements into the fullheight Row', 'creatic' ),
							'default'     => 'middle',
							'choices' => array(
								'middle' => esc_attr__( 'Middle', 'creatic' ),
								'top' => esc_attr__( 'Top', 'creatic' ),
								'bottom' => esc_attr__( 'Bottom', 'creatic' ),
								'stretch' => esc_attr__( 'Stretch', 'creatic' )
							),
							'selector' => '.cl-row > div > .row',
							'selectClass' => 'cl_row-cp-',
							
							'cl_required'    => array(
								array(
									'setting'  => 'fullheight',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Layout', 'creatic')
						),

						'custom_width_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Container Width', 'creatic' ),
							'tooltip' => esc_html__('Switch on to add a custom width for container only for this row. Switch Off to leave the default container width.', 'creatic') ,
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'group_vc' => esc_attr__('Layout', 'creatic')
						),

						'custom_width' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Container Width', 'creatic' ),
							'tooltip' => esc_html__( 'Is applied only for media screen (min-width: 1200px), value in pixel', 'creatic' ),
							'default'     => codeless_get_mod('layout_container_width', 1100),
							'choices'     => array(
								'min'  => '0',
								'max'  => '1600',
								'step' => '10',
							),
							'suffix' => 'px',
							'selector' => '.cl-row > .container-content',
							'css_property' => 'width',
							'media_query' => '(min-width: 1200px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_width_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Layout', 'creatic')
						),

						
					
					'row_layout_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__( 'Row Layout', 'creatic' ),
						'groupid' => 'layout'
					),
					
					/* ----------------------------------------------------- */
					
					'columns_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__( 'Columns', 'creatic' ),
						'groupid' => 'columns'
					),
						
						
						'columns_gap' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Columns Gap', 'creatic' ),
							'tooltip'     => esc_attr__( 'Distance between columns. Value in px', 'creatic' ),
							'default'     => '15',
							'choices'     => array(
								'min'  => '0',
								'max'  => '35',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.row > .cl_cl_column > .cl_column, .row > .cl_column',
							'css_property' => array('padding-left', 'padding-right'),
							'group_vc' => esc_attr__( 'Columns', 'creatic' )
						),
						
						
						'equal_height' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Equal Columns Height', 'creatic' ),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl-row > div > .row',
							'addClass' => 'cl_row-equal_height cl_row-flex',
							'group_vc' => esc_attr__( 'Columns', 'creatic' )
						), 

						
						
					'columns_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Columns', 'creatic'),
						'groupid' => 'columns'
					),
					


					'video_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Video', 'creatic'),
						'groupid' => 'video'
					),
					
					
						'video' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Video Background', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__( 'None', 'creatic' ),
								'self' =>	esc_attr__( 'Self-Hosted', 'creatic' ),
								'youtube' =>	esc_attr__( 'Youtube', 'creatic' ),
								'vimeo' => esc_attr__( 'Vimeo', 'creatic' ),
							),
							'customJS' => 'inlineEdit_videoSection',
							'group_vc' => esc_attr__( 'Video', 'creatic' )
						),
						
						'video_mp4' => array(
							
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Video Mp4', 'creatic' ),
							'default'     => '',
							'cl_required'    => array(
								array(
									'setting'  => 'video',
									'operator' => '==',
									'value'    => 'self',
								),
							),
							'customJS' => 'inlineEdit_videoSection',
							'group_vc' => esc_attr__( 'Video', 'creatic' )
						),
						'video_webm' => array(
							
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Video Webm', 'creatic' ),
							'default'     => '',
							'cl_required'    => array(
								array(
									'setting'  => 'video',
									'operator' => '==',
									'value'    => 'self',
								),
							),
							'customJS' => 'inlineEdit_videoSection',
							'group_vc' => esc_attr__( 'Video', 'creatic' )
						),
						'video_ogv' => array(
							
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Video Ogv', 'creatic' ),
							'default'     => '',
							'cl_required'    => array(
								array(
									'setting'  => 'video',
									'operator' => '==',
									'value'    => 'self',
								),
							),
							'customJS' => 'inlineEdit_videoSection',
							'group_vc' => esc_attr__( 'Video', 'creatic' )
						),

						
						'video_youtube' => array(
							
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Youtube ID', 'creatic' ),
							'default'     => '',
							'cl_required'    => array(
								array(
									'setting'  => 'video',
									'operator' => '==',
									'value'    => 'youtube',
								),
							
							),
							'customJS' => 'inlineEdit_videoSection',
							'group_vc' => esc_attr__( 'Video', 'creatic' )
						),
						
						'video_vimeo' => array(
							
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Vimeo ID', 'creatic' ),
							'default'     => '',
							'cl_required'    => array(
								array(
									'setting'  => 'video',
									'operator' => '==',
									'value'    => 'vimeo',
								),
							
							),
							'customJS' => 'inlineEdit_videoSection',
							'group_vc' => esc_attr__( 'Video', 'creatic' )
						),
						
						'video_loop' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Video Loop', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'video',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'customJS' => 'inlineEdit_videoSection',
							'group_vc' => esc_attr__( 'Video', 'creatic' )
						),

					'video_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__( 'Video', 'creatic' ),
						'groupid' => 'video'
					),


					/* --------------------------------------------- */
					
					'row_info_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__( 'Attributes', 'creatic' ),
						'groupid' => 'attr'
					),
					
						'row_disabled' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Disable Row', 'creatic' ),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl-row',
							'addClass' => 'disabled_row',
							'group_vc' => esc_attr__( 'Attributes', 'creatic' ),
						),
						
						'row_id' => array(
							
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Row Id', 'creatic' ),
							'tooltip' => esc_attr__( 'This is useful when you want to add unique identifier to row.', 'creatic' ),
							'default'     => '',
							'group_vc' => esc_attr__( 'Attributes', 'creatic' ),
						),
						
						'extra_class' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Extra Class', 'creatic' ),
							'tooltip' => esc_attr__( 'Add extra class identifiers to this row, that can be used for various custom styles.', 'creatic' ),
							'default'     => '',
							'group_vc' => esc_attr__( 'Attributes', 'creatic' ),
						),

						'anchor_label' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Anchor Label', 'creatic' ),
							'tooltip' => esc_attr__( 'Used on Vertical Codeless Slider', 'creatic' ),
							'default'     => '',
							'selector' => '.cl-row',
							'htmldata' => 'anchor',
							'group_vc' => esc_attr__( 'Attributes', 'creatic' ),
						),
						
			
					'row_info_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__( 'Attributes', 'creatic' ),
						'groupid' => 'attr'
					),
					
				
					
					
					
					/* ----------------------------------------------- */
					
					
				
				
				
				'general_tab_end' => array(
					'type' => 'tab_end',
					'label' => '',
					'tabid' => 'general'
				),
				
				
				/*-------------------------------------------------------*/
				
				
				'design_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__( 'Design', 'creatic' ),
					'tabid' => 'design'
				),
					
					/* ------------------------------------------ */
					
					'panel' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Box', 'creatic' ),
						'groupid' => 'design_panel'
					),
				
						'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__( 'Tool', 'creatic' ),
							'selector' => '.cl-row',
							'css_property' => '',
							'default' => array('padding-top' => codeless_get_mod( 'row_default_padding', '45' ).'px', 'padding-bottom' => codeless_get_mod( 'row_default_padding', '45' ).'px' ),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'text_color' => array(
							'type' => 'inline_select',
							'label' => esc_attr__ ('Text Color', 'creatic' ),
							'default' => 'dark-text',
							'choices' => array(
								'dark-text' => esc_attr__( 'Dark', 'creatic' ),
								'light-text' => esc_attr__( 'Light', 'creatic' )
							),
							'selector' => '.cl-row',
							'selectClass' => '',
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
					
						
					'design_panel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'design_panel'
					),
					
					/* ------------------------------------------ */
				
					'background_color_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__( 'Background Color', 'creatic' ),
						'groupid' => 'background_color_group'
					),
					
						'background_color' => array(
							'type' => 'color',
							'label' => esc_attr( 'Background Color', 'creatic' ),
							'default' => '',
							'selector' => '.cl-row > .bg-layer',
							
							'css_property' => 'background-color',
							'alpha' => true,
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
					
					'background_color_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Color', 'creatic'),
						'groupid' => 'background_color_group',
						'group_vc' => esc_attr__( 'Design', 'creatic' )
					),
					
					/* ------------------------------------------- */
					
					'background_image_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Background Image', 'creatic'),
						'groupid' => 'background_image_group'
					),
					
						'background_image' => array(
							'type'        => 'image',
							'label'       => '',
							'default'     => '',
							'priority'    => 10,
							'selector' => '.cl-row > .bg-layer',
							'css_property' => 'background-image',
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'background_position' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Position', 'creatic' ),
							'default'     => 'left top',
							'choices' => array(
								'left top' => 'left top',
								'left center' => 'left center',
								'left bottom' => 'left bottom',
								'right top' => 'right top',
								'right center' => 'right center',
								'right bottom' => 'right bottom',
								'center top' => 'center top',
								'center center' => 'center center',
								'center bottom' => 'center bottom',
							),
							'selector' => '.cl-row > .bg-layer',
							'css_property' => 'background-position',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),

						'background_size' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Position', 'creatic' ),
							'default'     => 'cover',
							'choices' => array(
								'cover' => esc_attr__( 'Cover', 'creatic' ),
								'auto' => 'auto',
							),
							'selector' => '.cl-row > .bg-layer',
							'css_property' => 'background-size',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'background_repeat' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Repeat', 'creatic' ),
							'default'     => 'no-repeat',
							'choices' => array(
								'repeat' => 'repeat',
								'repeat-x' => 'repeat-x',
								'repeat-y' => 'repeat-y',
								'no-repeat' => 'no-repeat'
							),
							'selector' => '.cl-row > .bg-layer',
							'css_property' => array('background-repeat'),
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'background_attachment' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Attachment', 'creatic' ),
							'default'     => 'scroll',
							'choices' => array(
								'scroll' => 'scroll',
								'fixed' => 'fixed',
							),
							'selector' => '.cl-row > .bg-layer',
							'css_property' => 'background-attachment',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'background_blend' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Blend', 'creatic' ),
							'default'     => 'normal',
							'choices' => array(
								'normal' => 'normal',
								'multiply' => 'multiply',
								'screen' => 'screen',
								'overlay' => 'overlay',
								'darken' => 'darken',
								'lighten' => 'lighten',
								'color-dodge' => 'color-dodg',
								'color-burn' => 'color-burn',
								'hard-light' => 'hard-light',
								'soft-light' => 'soft-light',
								'difference' => 'difference',
								'exclusion' => 'exclusion',
								'hue' => 'hue',
								'saturation' => 'saturation',
								'color' => 'color',
								'luminosity' => 'luminosity',
							),
							'selector' => '.cl-row > .bg-layer',
							'css_property' => 'background-blend-mode',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'parallax' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Parallax', 'creatic' ),
							'tooltip'       => esc_html__( 'Works with smoothscroll active only.', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl-row',
							'addClass' => 'cl-parallax',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
					
					'background_image_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Image', 'creatic' ),
						'groupid' => 'background_image_group'
					),
				
					/* ---------------------------------------------------- */
					
					'overlay_group' => array(
						'type' => 'group_start',
						'label' => esc_attr( 'Overlay', 'creatic' ),
						'groupid' => 'overlay'
					),
				
						'overlay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Backgrund', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr( 'None', 'creatic' ),
								'color' => esc_attr__( 'Color', 'creatic' ),
								'gradient' => esc_attr( 'Gradient', 'creatic' ),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
							
						),
						
						'overlay_color' => array(
							'type' => 'color',
							'label' => esc_attr__( 'Overlay Color', 'creatic' ),
							'default' => '',
							'selector' => '.cl-row > .overlay',
							'css_property' => 'background-color',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'color',
								),
							),
							'alpha' => false,
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'overlay_gradient' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Gradient', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__( 'None', 'creatic' ),
								'azure_pop' =>	esc_attr__( 'Azure Pop', 'creatic' ),
								'love_couple' => esc_attr__( 'Love Couple', 'creatic' ),
								'disco' => esc_attr__( 'Disco', 'creatic' ),
								'limeade' => esc_attr__( 'Limeade', 'creatic' ),
								'dania' => esc_attr__( 'Dania', 'creatic' ),
								'shades_of_grey' =>	esc_attr__( 'Shades of Grey', 'creatic' ),
								'dusk' => esc_attr__( 'dusk', 'creatic' ),
								'delhi' => esc_attr__( 'delhi', 'creatic' ),
								'sun_horizon' => esc_attr__( 'Sun Horizon', 'creatic' ),
								'blood_red' => esc_attr__( 'Blood Red', 'creatic' ),
								'sherbert' => esc_attr__( 'Sherbert', 'creatic' ),
								'firewatch' => esc_attr__( 'Firewatch', 'creatic' ),
								'frost' => esc_attr__( 'Frost', 'creatic' ),
								'mauve' => esc_attr__( 'Mauve', 'creatic' ),
								'deep_sea' => esc_attr__( 'Deep Sea', 'creatic' ),
								'solid_vault' => esc_attr__( 'Solid Vault', 'creatic' ),
								'deep_space' =>	esc_attr__( 'Deep Space', 'creatic' ),
								'suzy' => esc_attr__( 'Suzy', 'creatic' ),
								
								
							),
							'selector' => '.cl-row > .overlay',
							'selectClass' => 'cl-gradient-',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'gradient',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
						
						'overlay_opacity' => array(
							'type' => 'slider',
							'label' => esc_attr__( 'Overlay Opacity', 'creatic' ),
							'default' => '0.8',
							'selector' => '.cl-row > .overlay',
							'css_property' => 'opacity',
							'choices'     => array(
								'min'  => '0',
								'max'  => '1',
								'step' => '0.05',
							),
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__( 'Design', 'creatic' )
						),
				
					'overlay_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Overlay', 'creatic' ),
						'groupid' => 'overlay'
					),
				
					/* ------------------------------------------ */
					
					
					'border_style_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Border Style', 'creatic' ),
						'groupid' => 'border'
					),
					
						'border_style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Border Style', 'creatic' ),
							'default'     => 'solid',
							'choices' => array(
								'solid'	=> 'solid',
								'dotted' =>	'dotted',
								'dashed' =>	'dashed',
								'double' => 'double',
								'groove' => 'groove',
								'ridge' => 'ridge',	
								'inset' => 'inset',	
								'outset' => 'outset',
							),
							'selector' => '.cl-row',
							'css_property' => 'border-style',
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'border_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Border Color', 'creatic' ),
							'default' => '',
							'selector' => '.cl-row',
							'css_property' => 'border-color',
							'alpha' => true,
							'group_vc' => esc_attr__('Design', 'creatic')
						),
					
					'border_style_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Border Style', 'creatic' ),
						'groupid' => 'border',
						'group_vc' => esc_attr('Design', 'creatic' ),
					),
					
					/* --------------------------------------------------- */


					/* ------------------------------------------ */
					
					
					'extra_styles_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__( 'Extra Style', 'creatic' ),
						'groupid' => 'extra_style'
					),
					
						'arrow_top' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Arrow Triangle Top', 'creatic' ),
							'tooltip'       => esc_html__( 'Add an triangle arrow at top of section', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl-row',
							'addClass' => 'cl-arrow-top',
							'group_vc' => esc_attr('Design', 'creatic' ),
						),

						'arrow_bottom' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Arrow Triangle Bottom', 'creatic' ),
							'tooltip'       => esc_html__( 'Add an triangle arrow at bottom of section', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl-row',
							'addClass' => 'cl-arrow-bottom',
							'group_vc' => esc_attr('Design', 'creatic' ),
						),

						'close_section' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Show Section on Button Click', 'creatic' ),
							'tooltip'       => esc_html__( 'Hide by default the section and show it only when the "Show Section Button" was clicked. You can set the label for the button on General -> Anchor Label', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl-row',
							'addClass' => 'cl-closed-section',
							'group_vc' => esc_attr('Design', 'creatic' ),
						),
					
					
					'extra_styles_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__( 'Extra Style', 'creatic' ),
						'groupid' => 'extra_style'
					),
					
					/* --------------------------------------------------- */

				'design_tab_end' => array(
					'type' => 'tab_end',
					'label' => '',
					'tabid' => 'design'
				),





				'animation_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr( 'Animation', 'creatic' ),
					'tabid' => 'animation'
				),

				'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl-row > .bg-layer',
							'group_vc' => esc_attr( 'Animations', 'creatic' ),
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl-row > .bg-layer',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr( 'Animations', 'creatic' ),
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl-row > .bg-layer',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr( 'Animations', 'creatic' ),
						),

				'animation_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr( 'Animation', 'creatic' ),
					'tabid' => 'animation'
				),




				'responsive_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive'
				),
					
					
						'device_visibility' => array(
							'type'     => 'multicheck',
							'priority' => 10,
							'label'       => esc_attr__( 'Devices Visibility', 'creatic' ),
							'default'     => '',
							'choices' => array(
								'hidden-xs' => esc_attr__( 'Hide on Phones (smaller-than-768px)', 'creatic' ),
								'hidden-sm' => esc_attr__('Hide on Tables (larger-then-768px)', 'creatic' ),
								'hidden-md' => esc_attr__('Hide on Medium Desktops (larger-then-992px) ', 'creatic' ),
								'hidden-lg' => esc_attr__('Hide on Large Desktops (larger-then1200px)', 'creatic' ),
							),
							'selector' => '.cl-row',
							'selectClass' => '',
							'group_vc' => esc_attr__('Responsive', 'creatic'),

						),

						'col_responsive' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Responsive Columns', 'creatic' ),
							'tooltip' => esc_html__('This option will change the width of columns on tablets sizes from (768px to 992px). Important option to build responsive perfect layouts.', 'creatic'),
							'default'     => 'none',
							'priority'    => 10,
							'choices'     => array(
								'none' => esc_attr__('None', 'creatic'),
								'full'  => esc_attr__( 'Fullwidth Columns', 'creatic' ),
								'half' => esc_attr__( 'Half Width Columns', 'creatic' ),
								'one_third' => esc_attr__( 'One / Third Width Columns', 'creatic' ),
							),
							'selector' => '.cl-row > div > .row',
							'selectClass' => 'cl-col-tablet-',
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

						'css_style_991_row_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Box Design on max-width:991px', 'creatic' ),
							'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:991px', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

						'css_style_991' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl-row',
							'css_property' => '',
							'default' => array('padding-top' => '', 'padding-bottom' => ''),
							'media_query' => '(max-width: 991px)',
							'cl_required'    => array(
								array(
									'setting'  => 'css_style_991_row_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),



						'css_style_767_row_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Box Design on max-width:767px', 'creatic' ),
							'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:767px', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
							
						),

						'css_style_767' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl-row',
							'css_property' => '',
							'default' => array('padding-top' => '', 'padding-bottom' => ''),
							'media_query' => '(max-width: 767px)',
							'cl_required'    => array(
								array(
									'setting'  => 'css_style_767_row_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),
					

				'responsive_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive'
				),
			),
			
		) );
		

		
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Row', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			'tooltip' => esc_html__('Manage all options of the selected Row', 'creatic'),
			//'priority'    => 10,
			
			'transport'   => 'postMessage',
			'settings'    => 'cl_row_inner',
			'is_container' => true,
			'marginPositions' => array('top'),
			'fields' => array(
				'inner_columns_gap' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Inner Columns Gap', 'creatic' ),
							'default'     => '15',
							'choices'     => array(
								'min'  => '0',
								'max'  => '35',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.row > .cl_cl_column_inner',
							'css_property' => array('padding-left', 'padding-right'),
							'customJS' => 'inlineEdit_InnerColumns'
						),
				'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl-row_inner',
							'css_property' => '',
							'default' => array('margin-top' => '35px'),
				),
			)
		));
		
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Column', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			
			'transport'   => 'postMessage',
			'settings'    => 'cl_column',
			'paddingPositions' => array('top', 'bottom', 'left', 'right'),
			'is_container' => true,
			'fields' => array(


				'width' => array(
					'type'     => 'select',
					'priority' => 10,
					'label'       => esc_attr__( 'Link Text', 'creatic' ),
					'tooltip' => esc_attr__( 'This will be the label for your link', 'creatic' ),
					'default'     => '1/1',
					'show' => false,
					'choices'     => array(
						'1/12' => '1 Column',
						'1/6' => '2 Columns',
						'1/4' => '3 Columns',
						'1/3' => '4 Columns',
						'5/12' => '5 Columns',
						'1/2' => '6 Columns',
						'7/12' => '7 Columns',
						'2/3' => '8 Columns',
						'3/4' => '9 Columns',
						'5/6' => '10 Columns',
						'11/12' => '11 Columns',
						'1/1' => '12 Columns',
					),
				),
				
				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' ),
						'animation' => array( 'Animation', 'cl-icon-animation' ),
						'responsive' => array( 'Responsive', 'cl-icon-responsive' )
					)
				),
				
				'general_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('General', 'creatic'),
					'tabid' => 'general'
				),
				
					'column_info_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Content Align', 'creatic'),
						'groupid' => 'align'
					),
							

						'horizontal_align' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Horizontal Align', 'creatic' ),
							'tooltip' => esc_attr__( 'Horizontal Alignment of elements into this column(container)', 'creatic' ),
							'default'     => 'left',
							'choices' => array(
								'left' => esc_attr__('Left', 'creatic'),
								'middle' => esc_attr__('Middle', 'creatic'),
								'right' => esc_attr__('Right', 'creatic')
							),
							'selector' => '.cl_column',
							'selectClass' => 'align-h-',
							'group_vc' => esc_attr__('Content Align', 'creatic')
							
						),

						'vertical_align' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Vertical Align', 'creatic' ),
							'tooltip' => esc_attr__( 'Vertical Alignment of elements into this column(container)', 'creatic' ),
							'default'     => 'top',
							'choices' => array(
								'top' => esc_attr__('Top', 'creatic'),
								'middle' => esc_attr__('Middle', 'creatic'),
								'bottom' => esc_attr__('Bottom', 'creatic')
							),
							'selector' => '.cl_column',
							'selectClass' => 'align-v-',
							'group_vc' => esc_attr__('Content Align', 'creatic')
							
						),

						'fullheight_col' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Full Height Column', 'creatic' ),
							'tooltip'	  => esc_html__( 'This option works only if the parent Row is Fullheight too', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column',
							'addClass' => 'cl_column-fullheight',
							'group_vc' => esc_attr__('Content Align', 'creatic')
						),

						'inline_elements' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Inline Elements', 'creatic' ),
							'tooltip' => esc_html__('By activating this, elements of this column will be shown inline.', 'creatic'),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column',
							'addClass' => 'cl-inline-column',
							'group_vc' => esc_attr__('Content Align', 'creatic')
						),

						'flex_elements' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Flex Elements', 'creatic' ),
							'tooltip' => esc_html__('By activating this, elements of this column will be shown as flex box, all inline in a flex box style.', 'creatic'),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column',
							'addClass' => 'cl-flex-elements',
							'group_vc' => esc_attr__('Content Align', 'creatic')
						),

					'column_info_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Content Align', 'creatic'),
						'groupid' => 'align'
					),

					'general_group_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('General', 'creatic'),
						'groupid' => 'gen'
					),

						'col_sticky' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Sticky Column', 'creatic' ),
							'tooltip' => esc_html__('Make this Column sticky on this page', 'creatic'),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column',
							'addClass' => 'cl-sticky',
							'group_vc' => esc_attr__('General', 'creatic')
						),

						'custom_link' => array(

							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Column Link', 'creatic' ),
							'default'     => '#',
							'reloadTemplate' => true,
							'group_vc' => esc_attr__('General', 'creatic')
						),

						'column_effect' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Effect on hover', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'image_zoom' => esc_attr__('Image Zoom', 'creatic'),
								'anim_elements' => esc_html__('Animate Inner Elements on Hover', 'creatic'),
								'background_hover' => esc_html__('Background Color on hover', 'creatic'),
								'primary_color_hover' => esc_html__('Primary Color on hover', 'creatic'),
								'move_up' => esc_attr__('Move Column Up', 'creatic') 
							),
							'tooltip' => esc_html__('Please save and refresh the front page to see changes.', 'creatic'),
							'selector' => '.cl_column',
							'selectClass' => 'effect-',
							'group_vc' => esc_attr__('General', 'creatic')
							
						),

						'services_list' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Connect Services', 'creatic' ),
							'tooltip'       => esc_html__( 'Connect Services with lines. Works only with Services into this column. Only with Media Aside Service Style', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column',
							'addClass' => 'services_list',
							'group_vc' => esc_attr__('General', 'creatic')
						),

						'col_disabled' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Disable Column', 'creatic' ),
							'tooltip' => esc_html__('Make this Column invisible in this Page', 'creatic'),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column',
							'addClass' => 'disabled_col',
							'group_vc' => esc_attr__('General', 'creatic')
						),

					'general_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('General', 'creatic'),
						'groupid' => 'gen'
					),

					'attr_group_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Attributes', 'creatic'),
						'groupid' => 'attr'
					),

						'col_id' => array(
							
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Column Id', 'creatic' ),
							'tooltip' => esc_attr__( 'This is useful when you want to add unique identifier to columns.', 'creatic' ),
							'default'     => '',
							'group_vc' => esc_attr__('Attributes', 'creatic')
						),
						
						'extra_class' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Extra Class', 'creatic' ),
							'tooltip' => esc_attr__( 'Add extra class identifiers to this column, that can be used for various custom styles.', 'creatic' ),
							'default'     => '',
							'group_vc' => esc_attr__('Attributes', 'creatic')
						),

					'attr_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Attributes', 'creatic'),
						'groupid' => 'attr'
					),

					
				'general_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('General', 'creatic'),
					'tabid' => 'general'
				),
					
					
				'design_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Design', 'creatic'),
					'tabid' => 'design'
				),
					
					/* ------------------------------------------ */
					
					'panel' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Box', 'creatic'),
						'groupid' => 'design_panel'
					),
				
						'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_column > .cl_col_wrapper',
							'css_property' => '',
							'default' => array('padding-top' => codeless_get_mod( 'column_default_padding', '10' ).'px', 'padding-bottom' => codeless_get_mod( 'column_default_padding', '10' ).'px'),
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'text_color' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Text Color', 'creatic'),
							'default' => 'dark-text',
							'choices' => array(
								'dark-text' => esc_attr__('Dark', 'creatic'),
								'light-text' => esc_attr__('Light', 'creatic')
							),
							'selector' => '.cl_column',
							'selectClass' => '',
							'group_vc' => esc_attr__('Design', 'creatic')
						),
					
						
					'design_panel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'design_panel'
					),
					
					/* ------------------------------------------ */
				
					'background_color_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Background Color', 'creatic'),
						'groupid' => 'background_color_group'
					),
					
						'background_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Background Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
							'css_property' => 'background-color',
							'alpha' => true,
							'group_vc' => esc_attr__('Design', 'creatic')
						),
					
					'background_color_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Color', 'creatic'),
						'groupid' => 'background_color_group'
					),
					
					/* ------------------------------------------- */
					
					'background_image_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Background Image', 'creatic'),
						'groupid' => 'background_image_group'
					),
					
						'background_image' => array(
							'type'        => 'image',
							'label'       => '',
							'default'     => '',
							'priority'    => 10,
							'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
							'css_property' => 'background-image',
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'background_position' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Position', 'creatic' ),
							
							'default'     => 'left top',
							'choices' => array(
								'left top' => 'left top',
								'left center' => 'left center',
								'left bottom' => 'left bottom',
								'right top' => 'right top',
								'right center' => 'right center',
								'right bottom' => 'right bottom',
								'center top' => 'center top',
								'center center' => 'center center',
								'center bottom' => 'center bottom',
							),
							'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
							'css_property' => 'background-position',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'background_repeat' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Repeat', 'creatic' ),
							
							'default'     => 'no-repeat',
							'choices' => array(
								'repeat' => 'repeat',
								'repeat-x' => 'repeat-x',
								'repeat-y' => 'repeat-y',
								'no-repeat' => 'no-repeat'
							),
							'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
							'css_property' => array('background-repeat', array('background-size', array('no-repeat' => 'cover', 'other' => 'auto') ) ),
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'background_attachment' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Attachment', 'creatic' ),
							
							'default'     => 'scroll',
							'choices' => array(
								'scroll' => 'scroll',
								'fixed' => 'fixed',
							),
							'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
							'css_property' => 'background-attachment',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'background_blend' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Blend', 'creatic' ),
							
							'default'     => 'normal',
							'choices' => array(
								'normal' => 'normal',
								'multiply' => 'multiply',
								'screen' => 'screen',
								'overlay' => 'overlay',
								'darken' => 'darken',
								'lighten' => 'lighten',
								'color-dodge' => 'color-dodg',
								'color-burn' => 'color-burn',
								'hard-light' => 'hard-light',
								'soft-light' => 'soft-light',
								'difference' => 'difference',
								'exclusion' => 'exclusion',
								'hue' => 'hue',
								'saturation' => 'saturation',
								'color' => 'color',
								'luminosity' => 'luminosity',
							),
							'selector' => '.cl_column > .cl_col_wrapper > .bg-layer',
							'css_property' => 'background-blend-mode',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						
					
					'background_image_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Image', 'creatic'),
						'groupid' => 'background_image_group'
					),
				
					/* ---------------------------------------------------- */
					
					'overlay_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Overlay', 'creatic'),
						'groupid' => 'overlay'
					),
				
						'overlay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Backgrund', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'color' => esc_attr__('Color', 'creatic'),
								'gradient' => esc_attr__('Gradient', 'creatic')
							),
							'group_vc' => esc_attr__('Design', 'creatic')
							
						),
						
						'overlay_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Overlay Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_column > .cl_col_wrapper > .overlay',
							'css_property' => 'background-color',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'color',
								),
							),
							'alpha' => false,
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'overlay_gradient' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Gradient', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'azure_pop' => esc_html__('Azure Pop', 'creatic'),
								'love_couple' => esc_attr__('Love Couple', 'creatic'),
								'disco' => esc_attr__('Disco', 'creatic'),
								'limeade' => esc_attr__('Limeade', 'creatic'),
								'dania' => esc_attr__('Dania', 'creatic'),
								'shades_of_grey' =>	esc_attr__( 'Shades of Grey', 'creatic'),
								'dusk' => 'dusk',
								'delhi' => 'delhi',
								'sun_horizon' => esc_attr__('Sun Horizon', 'creatic'),
								'blood_red' => esc_attr__('Blood Red', 'creatic'),
								'sherbert' => esc_attr__('Sherbert', 'creatic'),
								'firewatch' => esc_attr__('Firewatch', 'creatic'),
								'frost' => esc_attr__('Frost', 'creatic'),
								'mauve' => esc_attr__('Mauve', 'creatic'),
								'deep_sea' => esc_attr__('Deep Sea', 'creatic'),
								'solid_vault' => esc_attr__('Solid Vault', 'creatic'),
								'deep_space' => esc_html__('Deep Space', 'creatic'),
								'suzy' => esc_attr__('Suzy', 'creatic')
								
								
							),
							'selector' => '.cl_column > .cl_col_wrapper > .overlay',
							'selectClass' => 'cl-gradient-',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'gradient',
								),
							),
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'overlay_opacity' => array(
							'type' => 'slider',
							'label' => esc_attr__('Overlay Opacity', 'creatic'),
							'default' => '0.8',
							'selector' => '.cl_column > .cl_col_wrapper > .overlay',
							'css_property' => 'opacity',
							'choices'     => array(
								'min'  => '0',
								'max'  => '1',
								'step' => '0.05',
							),
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__('Design', 'creatic')
						),

						'hover_effect' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Hover', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'dark' => esc_html__('Dark', 'creatic'),
								'light' => esc_attr__('Light', 'creatic'),
								'soft_dark' => esc_attr__('Soft Dark', 'creatic')
							),
							'selector' => '.cl_column',
							'selectClass' => 'hover_',
							'group_vc' => esc_attr__('Design', 'creatic')
						),
				
					'overlay_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Overlay', 'creatic'),
						'groupid' => 'overlay'
					),
				
					/* ------------------------------------------ */
					
					
					'border_style_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Border Style', 'creatic'),
						'groupid' => 'border'
					),
					
						'border_style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Border Style', 'creatic' ),
							
							'default'     => 'solid',
							'choices' => array(
								'solid'	=> 'solid',
								'dotted' =>	'dotted',
								'dashed' =>	'dashed',
								'double' => 'double',
								'groove' => 'groove',
								'ridge' => 'ridge',	
								'inset' => 'inset',	
								'outset' => 'outset',
							),
							'selector' => '.cl_column > .cl_col_wrapper',
							'css_property' => 'border-style',
							'group_vc' => esc_attr__('Design', 'creatic')
						),
						
						'border_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Border Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_column > .cl_col_wrapper',
							'css_property' => 'border-color',
							'alpha' => true,
							'group_vc' => esc_attr__('Design', 'creatic')
						),

						'border_rounded' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Border Rounded', 'creatic' ),
							
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column',
							'addClass' => 'cl-border-rounded',
							'group_vc' => esc_attr__('Design', 'creatic')
						),

						'column_shadow' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Shadow', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'extra_small-shadow' => esc_attr__('Extra Small', 'creatic'),
								'small-shadow' => esc_attr__('Small', 'creatic'),
								'medium-shadow' => esc_attr__('Medium', 'creatic'),
								'large-shadow' => esc_attr__('Large', 'creatic'),
								'extra_large-shadow' => esc_attr__('Extra Large', 'creatic')
							),
							'selector' => '.cl_column',
							'selectClass' => '',
							'group_vc' => esc_attr__('Design', 'creatic')

						),
					
					'border_style_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Border Style', 'creatic'),
						'groupid' => 'border'
					),
					
					/* --------------------------------------------------- */

				'design_tab_end' => array(
					'type' => 'tab_end',
					'label' => '',
					'tabid' => 'design'
				),


				'animation_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Animation', 'creatic'),
					'tabid' => 'animation'
				),

					'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
								'flip-in' => esc_attr__('Flip In', 'creatic'),
								'reveal-right' => esc_attr__('Reveal Right', 'creatic'),
								'reveal-left' => esc_attr__('Reveal Left', 'creatic'),
								'reveal-top' => esc_attr__('Reveal Top', 'creatic'),
								'reveal-bottom' => esc_attr__('Reveal Bottom', 'creatic'),
							),
							'selector' => '.cl_column',
							'group_vc' => esc_attr__('Animations', 'creatic')
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl_column',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__('Animations', 'creatic')
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl_column',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__('Animations', 'creatic')
						),
				'animation_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('Animation', 'creatic'),
					'tabid' => 'animation'
				),





				'responsive_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive'
				),

					'device_visibility' => array(
							'type'     => 'multicheck',
							'priority' => 10,
							'label'       => esc_attr__( 'Devices Visibility', 'creatic' ),
							'default'     => '',
							'choices' => array(
								'hidden-xs' => esc_attr__( 'Hide on Phones (smaller-than-768px)', 'creatic' ),
								'hidden-sm' => esc_attr__('Hide on Tables (larger-then-768px)', 'creatic' ),
								'hidden-md' => esc_attr__('Hide on Medium Desktops (larger-then-992px) ', 'creatic' ),
								'hidden-lg' => esc_attr__('Hide on Large Desktops (larger-then1200px)', 'creatic' ),
							),
							'selector' => '.cl_column',
							'selectClass' => '',
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

					'css_style_991_col_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Box Design on max-width:991px', 'creatic' ),
							'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:991px', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

						'css_style_991' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_column > .cl_col_wrapper',
							'css_property' => '',
							'default' => array('padding-top' => '', 'padding-bottom' => ''),
							'media_query' => '(max-width: 991px)',
							'cl_required'    => array(
								array(
									'setting'  => 'css_style_991_col_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),



						'css_style_767_col_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Box Design on max-width:767px', 'creatic' ),
							'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:767px', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
							
						),

						'css_style_767' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_column > .cl_col_wrapper',
							'css_property' => '',
							'default' => array('padding-top' => '', 'padding-bottom' => ''),
							'media_query' => '(max-width: 767px)',
							'cl_required'    => array(
								array(
									'setting'  => 'css_style_767_col_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

				'responsive_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive'
				),
					
			),
			
		) );
		
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Column', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			
			'transport'   => 'postMessage',
			'settings'    => 'cl_column_inner',
			'paddingPositions' => array('top', 'bottom', 'left', 'right'),
			'is_container' => true,
			'fields' => array(



				'width' => array(
					'type'     => 'select',
					'priority' => 10,
					'label'       => esc_attr__( 'Link Text', 'creatic' ),
					'tooltip' => esc_attr__( 'This will be the label for your link', 'creatic' ),
					'default'     => '1/1',
					'show' => false,
					'choices'     => array(
						'1/12' => '1 Column',
						'1/6' => '2 Columns',
						'1/4' => '3 Columns',
						'1/3' => '4 Columns',
						'5/12' => '5 Columns',
						'1/2' => '6 Columns',
						'7/12' => '7 Columns',
						'2/3' => '8 Columns',
						'3/4' => '9 Columns',
						'5/6' => '10 Columns',
						'11/12' => '11 Columns',
						'1/1' => '12 Columns',
					),
				),

				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' ),
						'responsive' => array( 'Responsive', 'cl-icon-responsive' )
					)
				),
				
				'gen_tab_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('General', 'creatic'),
						'tabid' => 'general'
					),

				'horizontal_align' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Horizontal Align', 'creatic' ),
							'tooltip' => esc_attr__( 'Horizontal Alignment of elements into this column(container)', 'creatic' ),
							'default'     => 'left',
							'choices' => array(
								'left' => esc_attr__('Left', 'creatic'),
								'middle' => esc_attr__('Middle', 'creatic'),
								'right' => esc_attr__('Right', 'creatic')
							),
							'selector' => '.cl_column_inner',
							'selectClass' => 'align-h-',
							
						),

						'vertical_align' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Vertical Align', 'creatic' ),
							'tooltip' => esc_attr__( 'Vertical Alignment of elements into this column(container)', 'creatic' ),
							'default'     => 'top',
							'choices' => array(
								'top' => esc_attr__('Top', 'creatic'),
								'middle' => esc_attr__('Middle', 'creatic'),
								'bottom' => esc_attr__('Bottom', 'creatic')
							),
							'selector' => '.cl_column_inner',
							'selectClass' => 'align-v-',
							
						),

				'inline_elements' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Inline Elements', 'creatic' ),
							'tooltip' => esc_html__('By activating this, elements of this column will be shown inline.', 'creatic'),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column_inner',
							'addClass' => 'cl-inline-column'
					),

					'column_effect' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Effect on hover', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'primary_color_hover' => esc_html__('Primary Color on hover', 'creatic'),

							),
							'tooltip' => esc_html__('Please save and refresh the front page to see changes.', 'creatic'),
							'selector' => '.cl_column_inner',
							'selectClass' => 'effect-',
							
						),

					'col_disabled' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Disable Column', 'creatic' ),
							'default'     => '0',
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_column_inner',
							'addClass' => 'disabled_col'
						),

				'animation_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'animation'
					),
					
						'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl_column_inner',
							'customJS' => array('front' => 'animations')
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl_column_inner',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'customJS' => array('front' => 'animations')
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl_column_inner',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'customJS' => array('front' => 'animations')
						),
					
					'animation_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'animation'
					),

					'gen_tab_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('General', 'creatic'),
						'tabid' => 'general'
					),

					'design_tab_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('Design', 'creatic'),
						'tabid' => 'design'
					),
				
					/* ------------------------------------------ */
					
					'panel' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Box', 'creatic'),
						'groupid' => 'design_panel'
					),
				
						'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_column_inner > .wrapper',
							'css_property' => '',
							'default' => array('padding-top' => '10px', 'padding-bottom' => '10px'),
						),
						
						'text_color' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Text Color', 'creatic'),
							'default' => 'dark-text',
							'choices' => array(
								'dark-text' => esc_attr__('Dark', 'creatic'),
								'light-text' => esc_attr__('Light', 'creatic')
							),
							'selector' => '.cl_column_inner',
							'selectClass' => ''
						),
					
						
					'design_panel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'design_panel'
					),
					
					/* ------------------------------------------ */
				
					'background_color_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Background Color', 'creatic'),
						'groupid' => 'background_color_group'
					),
					
						'background_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Background Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_column_inner > .wrapper > .bg-layer',
							'css_property' => 'background-color',
							'alpha' => true
						),
					
					'background_color_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Color', 'creatic'),
						'groupid' => 'background_color_group'
					),
					
					/* ------------------------------------------- */
					
					'background_image_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Background Image', 'creatic'),
						'groupid' => 'background_image_group'
					),
					
						'background_image' => array(
							'type'        => 'image',
							'label'       => esc_html__( 'Background Image', 'creatic' ),
							'default'     => '',
							'priority'    => 10,
							'selector' => '.cl_column_inner > .wrapper > .bg-layer',
							'css_property' => 'background-image'
						),
						
						'background_position' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Position', 'creatic' ),
							
							'default'     => 'left top',
							'choices' => array(
								'left top' => 'left top',
								'left center' => 'left center',
								'left bottom' => 'left bottom',
								'right top' => 'right top',
								'right center' => 'right center',
								'right bottom' => 'right bottom',
								'center top' => 'center top',
								'center center' => 'center center',
								'center bottom' => 'center bottom',
							),
							'selector' => '.cl_column_inner > .wrapper > .bg-layer',
							'css_property' => 'background-position',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						'background_repeat' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Repeat', 'creatic' ),
							
							'default'     => 'no-repeat',
							'choices' => array(
								'repeat' => 'repeat',
								'repeat-x' => 'repeat-x',
								'repeat-y' => 'repeat-y',
								'no-repeat' => 'no-repeat'
							),
							'selector' => '.cl_column_inner > .wrapper > .bg-layer',
							'css_property' => array('background-repeat', array('background-size', array('no-repeat' => 'cover', 'other' => 'auto') ) ),
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						'background_attachment' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Attachment', 'creatic' ),
							
							'default'     => 'scroll',
							'choices' => array(
								'scroll' => 'scroll',
								'fixed' => 'fixed',
							),
							'selector' => '.cl_column_inner > .wrapper > .bg-layer',
							'css_property' => 'background-attachment',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						'background_blend' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Blend', 'creatic' ),
							
							'default'     => 'normal',
							'choices' => array(
								'normal' => 'normal',
								'multiply' => 'multiply',
								'screen' => 'screen',
								'overlay' => 'overlay',
								'darken' => 'darken',
								'lighten' => 'lighten',
								'color-dodge' => 'color-dodg',
								'color-burn' => 'color-burn',
								'hard-light' => 'hard-light',
								'soft-light' => 'soft-light',
								'difference' => 'difference',
								'exclusion' => 'exclusion',
								'hue' => 'hue',
								'saturation' => 'saturation',
								'color' => 'color',
								'luminosity' => 'luminosity',
							),
							'selector' => '.cl_column_inner > .wrapper > .bg-layer',
							'css_property' => 'background-blend-mode',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						
					
					'background_image_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Image', 'creatic'),
						'groupid' => 'background_image_group'
					),
				
					/* ---------------------------------------------------- */
					
					'overlay_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Overlay', 'creatic'),
						'groupid' => 'overlay'
					),
				
						'overlay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Backgrund', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'color' => esc_attr__('Color', 'creatic'),
								'gradient' => esc_attr__('Gradient', 'creatic')
							)
							
						),
						
						'overlay_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Overlay Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_column_inner > .wrapper > .overlay',
							'css_property' => 'background-color',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'color',
								),
							),
							'alpha' => true
						),
						
						'overlay_gradient' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Gradient', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'azure_pop' => esc_html__('Azure Pop', 'creatic'),
								'love_couple' => esc_attr__('Love Couple', 'creatic'),
								'disco' => esc_attr__('Disco', 'creatic'),
								'limeade' => esc_attr__('Limeade', 'creatic'),
								'dania' => esc_attr__('Dania', 'creatic'),
								'shades_of_grey' => esc_html__('Shades of Grey', 'creatic'),
								'dusk' => 'dusk',
								'delhi' => 'delhi',
								'sun_horizon' => esc_attr__('Sun Horizon', 'creatic'),
								'blood_red' => esc_attr__('Blood Red', 'creatic'),
								'sherbert' => esc_attr__('Sherbert', 'creatic'),
								'firewatch' => esc_attr__('Firewatch', 'creatic'),
								'frost' => esc_attr__('Frost', 'creatic'),
								'mauve' => esc_attr__('Mauve', 'creatic'),
								'deep_sea' => esc_attr__('Deep Sea', 'creatic'),
								'solid_vault' => esc_attr__('Solid Vault', 'creatic'),
								'deep_space' => esc_html__('Deep Space', 'creatic'),
								'suzy' => esc_attr__('Suzy', 'creatic')
								
								
							),
							'selector' => '.cl_column_inner > .wrapper > .overlay',
							'selectClass' => 'cl-gradient-',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'gradient',
								),
							),
						),
						
						'overlay_opacity' => array(
							'type' => 'slider',
							'label' => esc_attr__('Overlay Opacity', 'creatic'),
							'default' => '0.8',
							'selector' => '.cl_column_inner > .wrapper > .overlay',
							'css_property' => 'opacity',
							'choices'     => array(
								'min'  => '0',
								'max'  => '1',
								'step' => '0.05',
							),
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
				
					'overlay_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Overlay', 'creatic'),
						'groupid' => 'overlay'
					),
				
					/* ------------------------------------------ */
					
					
					'border_style_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Border Style', 'creatic'),
						'groupid' => 'border'
					),
					
						'border_style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Border Style', 'creatic' ),
							
							'default'     => 'solid',
							'choices' => array(
								'solid'	=> 'solid',
								'dotted' =>	'dotted',
								'dashed' =>	'dashed',
								'double' => 'double',
								'groove' => 'groove',
								'ridge' => 'ridge',	
								'inset' => 'inset',	
								'outset' => 'outset',
							),
							'selector' => '.cl_column_inner > .wrapper',
							'css_property' => 'border-style'
						),
						
						'border_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Border Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_column_inner > .wrapper',
							'css_property' => 'border-color',
							'alpha' => true
						),

						'column_shadow' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Shadow', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'extra_small-shadow' => esc_attr__('Extra Small', 'creatic'),
								'small-shadow' => esc_attr__('Small', 'creatic'),
								'medium-shadow' => esc_attr__('Medium', 'creatic'),
								'large-shadow' => esc_attr__('Large', 'creatic'),
								'extra_large-shadow' => esc_attr__('Extra Large', 'creatic')
							),
							'selector' => '.cl_column_inner > .wrapper',
							'selectClass' => '',

						),
					
					'border_style_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Border Style', 'creatic'),
						'groupid' => 'border'
					),
					
					/* --------------------------------------------------- */

				'design_tab_end' => array(
					'type' => 'tab_end',
					'label' => '',
					'tabid' => 'design'
				),


				'responsive_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive'
				),

					'css_style_991_colinner_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Box Design on max-width:991px', 'creatic' ),
							'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:991px', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
						),

						'css_style_991' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_column_inner > .wrapper',
							'css_property' => '',
							'default' => array(),
							'media_query' => '(max-width: 991px)',
							'cl_required'    => array(
								array(
									'setting'  => 'css_style_991_colinner_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
						),



						'css_style_767_colinner_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Box Design on max-width:767px', 'creatic' ),
							'tooltip'       => esc_html__( 'Add custom box design (padding etc) on screen sizes max-width:767px', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							
						),

						'css_style_767' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_column_inner > .wrapper',
							'css_property' => '',
							'default' => array(),
							'media_query' => '(max-width: 767px)',
							'cl_required'    => array(
								array(
									'setting'  => 'css_style_767_colinner_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
						),

				'responsive_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive'
				),
				
				
			),
			
		) );


		/* Page Header */
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Page Header', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			'icon'		  => 'icon-software-layout-header',
			//'priority'    => 10,
			'transport'   => 'postMessage',
			'settings'    => 'cl_page_header',
			'shiftClick'  => 'h1_dark_color',
			'marginPositions' => array('top'),
			'is_container' => false,
			'is_root'	  => true,
			'fields' => array(
				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' )
					)
				),
				
				'general_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('General', 'creatic'),
					'tabid' => 'general'
				),
					
					'title' => array(
						'type'     => 'inline_text',
						'only_text' => true,
						'priority' => 10,
						'selector' => '.cl_page_header h1',
						'label'       => esc_attr__( 'Title', 'creatic' ),
						'default'     => '',
					),
					
					
					'type' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Page Header Style', 'creatic' ),
							
							'default'     => 'simple',
							'choices' => array(
								'simple'	=> esc_attr__('Simple', 'creatic'),
								'modern' => esc_html__('Modern', 'creatic')
								
							),

							'selector' => '.cl_page_header',
							'selectClass' => '',
							'reloadTemplate' => true
							
					),



					
					'modern_style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Modern Title Position', 'creatic' ),
							
							'default'     => 'center',
							'choices' => array(
								'left_center'	=> esc_attr__('Left Center', 'creatic'),
								'center' => esc_html__('Center', 'creatic'),
								'right_center' => esc_attr__('Right Center', 'creatic'),
								'left_bottom' => esc_attr__('Left Bottom', 'creatic'),
								'center_bottom' => esc_attr__('Center Bottom', 'creatic'),
								'right_bottom' => esc_attr__('Right Bottom', 'creatic'),
								
							),
							'cl_required'    => array(
								array(
									'setting'  => 'type',
									'operator' => '==',
									'value'    => 'modern',
								),
							),
							
							'selector' => '.cl_page_header',
							'selectClass' => 'modern-'
							
					),
					
					
					
						
					'add_description' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Description or second title', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'type',
									'operator' => '==',
									'value'    => 'modern',
								),
							),
							
					),
					
					'tooltip' => array(
						'type'     => 'inline_text',
						'only_text' => true,
						'priority' => 10,
						'selector' => '.cl_page_header span.subtitle',
						'label'       => esc_attr__( 'tooltip', 'creatic' ),
						'default'     => esc_html__('click to edit description', 'creatic' ),
					),
					

					'modern_effect' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Effect', 'creatic' ),
							'default'     => 'none',
							'priority'    => 10,
							'choices'     => array(
								'none' => esc_attr__( 'None', 'creatic' ),
								'gradient_shadow'  => esc_attr__( 'Gradient Shadow', 'creatic' )
							),
							'selector' => '.cl_page_header',
							'selectClass' => 'modern-effect-',
							'cl_required'    => array(
								array(
									'setting'  => 'type',
									'operator' => '==',
									'value'    => 'modern',
								),
							),
						),
					
					
				
				
				
				'general_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('General', 'creatic'),
					'tabid' => 'general'
				),
				
				
				'design_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Design', 'creatic'),
					'tabid' => 'design'
				),
					
					/* ------------------------------------------ */
					
					'panel' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Box', 'creatic'),
						'groupid' => 'design_panel'
					),

						'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_page_header',
							'css_property' => '',
							'default' => array()
						),
				
						'height' => array(
	
							'type' => 'slider',
							'label' => esc_attr__('Height', 'creatic'),
							'default' => '300',
							'selector' => '.cl_page_header',
							'css_property' => 'height',
							'suffix' => 'px',
							'choices'     => array(
								'min'  => '40',
								'max'  => '600',
								'step' => '5',
								'suffix' => 'px'
							),
						),
						
						'text_color' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Text Color', 'creatic'),
							'default' => 'dark-text',
							'choices' => array(
								'dark-text' => esc_attr__('Dark', 'creatic'),
								'light-text' => esc_attr__('Light', 'creatic')
							),
							'selector' => '.cl_page_header',
							'selectClass' => ''
						),


					
						
					'design_panel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'design_panel'
					),
					
					/* ------------------------------------------ */
				
					'background_color_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Background Color', 'creatic'),
						'groupid' => 'background_color_group'
					),
					
						'background_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Background Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_page_header .bg-layer',
							'css_property' => 'background-color',
							'alpha' => true,
							'choices' => array(
								'alpha' => true
							)
						),
					
					'background_color_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Color', 'creatic'),
						'groupid' => 'background_color_group'
					),
					
					/* ------------------------------------------- */
					
					'background_image_group' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Background Image', 'creatic'),
						'groupid' => 'background_image_group'
					),
					
						'background_image' => array(
							'type'        => 'image',
							'label'       => esc_html__( 'Background image', 'creatic' ),
							'default'     => '',
							'priority'    => 10,
							'selector' => '.cl_page_header .bg-layer',
							'css_property' => 'background-image'
						),
						
						'background_position' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Position', 'creatic' ),
							
							'default'     => 'left top',
							'choices' => array(
								'left top' => 'left top',
								'left center' => 'left center',
								'left bottom' => 'left bottom',
								'right top' => 'right top',
								'right center' => 'right center',
								'right bottom' => 'right bottom',
								'center top' => 'center top',
								'center center' => 'center center',
								'center bottom' => 'center bottom',
							),
							'selector' => '.cl_page_header .bg-layer',
							'css_property' => 'background-position',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						'background_repeat' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Background Repeat', 'creatic' ),
							
							'default'     => 'no-repeat',
							'choices' => array(
								'repeat' => 'repeat',
								'repeat-x' => 'repeat-x',
								'repeat-y' => 'repeat-y',
								'no-repeat' => 'no-repeat'
							),
							'selector' => '.cl_page_header .bg-layer',
							'css_property' => array('background-repeat', array('background-size', array('no-repeat' => 'cover', 'other' => 'auto') ) ),
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						'background_attachment' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Attachment', 'creatic' ),
							
							'default'     => 'scroll',
							'choices' => array(
								'scroll' => 'scroll',
								'fixed' => 'fixed',
							),
							'selector' => '.cl_page_header .bg-layer',
							'css_property' => 'background-attachment',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						'background_blend' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Bg. Blend', 'creatic' ),
							
							'default'     => 'normal',
							'choices' => array(
								'normal' => 'normal',
								'multiply' => 'multiply',
								'screen' => 'screen',
								'overlay' => 'overlay',
								'darken' => 'darken',
								'lighten' => 'lighten',
								'color-dodge' => 'color-dodg',
								'color-burn' => 'color-burn',
								'hard-light' => 'hard-light',
								'soft-light' => 'soft-light',
								'difference' => 'difference',
								'exclusion' => 'exclusion',
								'hue' => 'hue',
								'saturation' => 'saturation',
								'color' => 'color',
								'luminosity' => 'luminosity',
							),
							'selector' => '.cl_page_header .bg-layer',
							'css_property' => 'background-blend-mode',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
						
						'parallax' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Parallax', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_page_header',
							'addClass' => 'cl-parallax',
							'cl_required'    => array(
								array(
									'setting'  => 'background_image',
									'operator' => '!=',
									'value'    => '',
								),
							),
						),
					
					'background_image_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Background Image', 'creatic'),
						'groupid' => 'background_image_group'
					),
				
					/* ---------------------------------------------------- */
					
					'overlay_group' => array(
						'type' => 'group_start',
						'label' => esc_html__('Overlay & Border', 'creatic'),
						'groupid' => 'overlay'
					),
				
						'overlay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Backgrund', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'color' => esc_attr__('Color', 'creatic'),
								'gradient' => esc_attr__('Gradient', 'creatic')
							)
							
						),
						
						'overlay_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Overlay Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_page_header .overlay',
							'css_property' => 'background-color',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'color',
								),
							),
							'alpha' => false
						),
						
						'overlay_gradient' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Gradient', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'azure_pop' => esc_html__('Azure Pop', 'creatic'),
								'love_couple' => esc_attr__('Love Couple', 'creatic'),
								'disco' => esc_attr__('Disco', 'creatic'),
								'limeade' => esc_attr__('Limeade', 'creatic'),
								'dania' => esc_attr__('Dania', 'creatic'),
								'shades_of_grey' => esc_html__('Shades of Grey', 'creatic'),
								'dusk' => 'dusk',
								'delhi' => 'delhi',
								'sun_horizon' => esc_attr__('Sun Horizon', 'creatic'),
								'blood_red' => esc_attr__('Blood Red', 'creatic'),
								'sherbert' => esc_attr__('Sherbert', 'creatic'),
								'firewatch' => esc_attr__('Firewatch', 'creatic'),
								'frost' => esc_attr__('Frost', 'creatic'),
								'mauve' => esc_attr__('Mauve', 'creatic'),
								'deep_sea' => esc_attr__('Deep Sea', 'creatic'),
								'solid_vault' => esc_attr__('Solid Vault', 'creatic'),
								'deep_space' => esc_html__('Deep Space', 'creatic'),
								'suzy' => esc_attr__('Suzy', 'creatic')
								
								
							),
							'selector' => '.cl_page_header .overlay',
							'selectClass' => 'cl-gradient-',
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '==',
									'value'    => 'gradient',
								),
							),
						),
						
						'overlay_opacity' => array(
							'type' => 'slider',
							'label' => esc_attr__('Overlay Opacity', 'creatic'),
							'default' => '0.8',
							'selector' => '.cl_page_header .overlay',
							'css_property' => 'opacity',
							'choices'     => array(
								'min'  => '0',
								'max'  => '1',
								'step' => '0.05',
							),
							'cl_required'    => array(
								array(
									'setting'  => 'overlay',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
						
						'border_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Border Color', 'creatic'),
							'default' => '#ebebeb',
							'selector' => '.cl_page_header',
							'css_property' => 'border-color',
							'alpha' => true
						),

						'add_border_top' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Border Top', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_page_header',
							'addClass' => 'border_top',
							'cl_required'    => array(
								array(
									'setting'  => 'type',
									'operator' => '==',
									'value'    => 'simple',
								),
							),
						),
					
					'add_border_bottom' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Border Bottom', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_page_header',
							'addClass' => 'border_bottom',
							'cl_required'    => array(
								array(
									'setting'  => 'type',
									'operator' => '==',
									'value'    => 'simple',
								),
							),
						),
				
					'overlay_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Overlay', 'creatic'),
						'groupid' => 'overlay'
					),
					
					'typography_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Typography', 'creatic'),
						'groupid' => 'typography'
					),


					'typography' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Title Typography', 'creatic' ),
							'tooltip' => esc_html__('Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style', 'creatic'),
							'default'     => 'h1',
							'priority'    => 10,
							'selector' => '.cl_page_header .title_part h1',
							'selectClass' => 'custom_font ',
							'choices'     => array(
								'h1'  => esc_attr__( 'H1', 'creatic' ),
								'h2' => esc_attr__( 'H2', 'creatic' ),
								'h3' => esc_attr__( 'H3', 'creatic' ),
								'h4' => esc_attr__( 'H4', 'creatic' ),
								'h5' => esc_attr__( 'H5', 'creatic' ),
								'h6' => esc_attr__( 'H6', 'creatic' ),
								'custom_font' => esc_attr__( 'Custom Font', 'creatic' ),
							),
						),

					
					'title_font_size' => array(
	
							'type' => 'slider',
							'label' => esc_attr__('Title Font Size', 'creatic'),
							'default' => '18',
							'selector' => '.cl_page_header .title_part h1',
							'css_property' => 'font-size',
							'choices'     => array(
								'min'  => '14',
								'max'  => '72',
								'step' => '1',
								'suffix' => 'px'
							),
							'suffix' => 'px',
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								),
							),
						),

					'title_font_weight' => array(
	
							'type' => 'inline_select',
							'label' => esc_attr__('Title Font Weight', 'creatic'),
							'default' => '600',
							'selector' => '.cl_page_header .title_part h1',
							'css_property' => 'font-weight',
							'choices'     => array(
								'100' => '100',
								'200' => '200',
								'300' => '300',
								'400' => '400',
								'500' => '500',
								'600' => '600',
								'700' => '700',
								'800' => '800'
							),
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								),
							),
						),
						
					'title_line_height' => array(
	
							'type' => 'slider',
							'label' => esc_attr__('Title Line Height', 'creatic'),
							'default' => '22',
							'selector' => '.cl_page_header .title_part h1',
							'css_property' => 'line-height',
							'choices'     => array(
								'min'  => '20',
								'max'  => '100',
								'step' => '1',
								'suffix' => 'px'
							),
							'suffix' => 'px',
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								),
							),
						),
					
					'title_transform' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Title Text Transform', 'creatic' ),
							
							'default'     => 'none',
							'selector' => '.cl_page_header .title_part h1',
							'css_property' => 'text-transform',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'uppercase' => esc_attr__('Uppercase', 'creatic')
							),
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								),
							),
							
						),

						'title_color' => array(
							'type'     => 'color',
							'priority' => 10,
							'label'       => esc_attr__( 'Title Color', 'creatic' ),
							
							'default'     => '',
							'selector' => '.cl_page_header .title_part h1',
							'css_property' => 'color',
							
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								),
							),
							
						),
						
					
						
					
					'desc_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Subtitle Color', 'creatic'),
							'default' => '',
							'selector' => '.cl_page_header .title_part .subtitle',
							'css_property' => 'color',
							'alpha' => true
					),
					
					'desc_font_size' => array(
	
							'type' => 'slider',
							'label' => esc_attr__('Subtitle Font Size', 'creatic'),
							'default' => '14',
							'selector' => '.cl_page_header .title_part .subtitle',
							'css_property' => 'font-size',
							'choices'     => array(
								'min'  => '14',
								'max'  => '60',
								'step' => '1',
								'suffix' => 'px'
							),
							'suffix' => 'px'
						),

					'desc_font_weight' => array(
	
							'type' => 'inline_select',
							'label' => esc_attr__('Subtitle Font Weight', 'creatic'),
							'default' => '300',
							'selector' => '.cl_page_header .title_part .subtitle',
							'css_property' => 'font-weight',
							'choices'     => array(
								'100' => '100',
								'200' => '200',
								'300' => '300',
								'400' => '400',
								'500' => '500',
								'600' => '600',
								'700' => '700',
								'800' => '800'
							)
						),
						
					'desc_line_height' => array(
	
							'type' => 'slider',
							'label' => esc_attr__('Subtitle Line Height', 'creatic'),
							'default' => '18',
							'selector' => '.cl_page_header .title_part .subtitle',
							'css_property' => 'line-height',
							'choices'     => array(
								'min'  => '20',
								'max'  => '80',
								'step' => '1',
								'suffix' => 'px'
							),
							'suffix' => 'px'
						),
						
					'desc_transform' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Subtitle Text Transform', 'creatic' ),
							
							'default'     => 'none',
							'selector' => '.cl_page_header .title_part .subtitle',
							'css_property' => 'text-transform',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'uppercase' => esc_attr__('Uppercase', 'creatic')
							)
							
						),
						
					
					
					'typography_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Typography', 'creatic'),
						'groupid' => 'typography'
					),
					
					
				
					/* ------------------------------------------ */
	
					/* --------------------------------------------------- */

				'design_tab_end' => array(
					'type' => 'tab_end',
					'label' => '',
					'tabid' => 'design'
				),
				
				
			),
			
		) );

 		/* Text */
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Text', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-software-font-smallcaps',
			'transport'   => 'postMessage',
			'settings'    => 'cl_text',
			'is_container' => false,
			'marginPositions' => array('top'),
			'fields' => array(
				'content' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl-text',
					'label'       => esc_attr__( 'Text', 'creatic' ),
					'tooltip' => esc_attr__( 'This will be the label for your link', 'creatic' ),
					'default'     => esc_html__('At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores ', 'creatic'),
					'group_vc' => esc_attr__('General', 'creatic')
				),

				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' ),
						'animation' => array( 'Animation', 'cl-icon-animation' ),
						'responsive' => array( 'Responsive', 'cl-icon-responsive' )
					)
				),
				
					'general_tab_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('General', 'creatic'),
						'tabid' => 'general'
					),

						'margin_paragraphs' => array(
			
									'type' => 'slider',
									'label' => esc_html__('Distance between paragraphs', 'creatic'),
									'default' => '10',
									'selector' => '.cl-text p',
									'css_property' => array('margin-top', 'margin-bottom'),
									'choices'     => array(
										'min'  => '0',
										'max'  => '40',
										'step' => '1',
										'suffix' => 'px'
									),
									'suffix' => 'px',
									'group_vc' => esc_attr__('General', 'creatic')
								),

						'typography_start' => array(
								'type' => 'group_start',
								'label' => esc_attr__('Typography', 'creatic'),
								'groupid' => 'typography'
							),

							'custom_typography' => array(
									'type'        => 'switch',
									'label'       => esc_html__( 'Custom Typography', 'creatic' ),
									'default'     => 0,
									'priority'    => 10,
									'choices'     => array(
										'on'  => esc_attr__( 'On', 'creatic' ),
										'off' => esc_attr__( 'Off', 'creatic' ),
									),
									'group_vc' => esc_attr__('General', 'creatic')
								),

							
							'text_font_family' => array(
			
									'type' => 'inline_select',
									'label' => esc_attr__('Font Family', 'creatic'),
									'default' => 'theme_default',
									'selector' => '.cl-text',
									'css_property' => 'font-family',
									'choices' => array(),
									'choices_from' => 'codelessGoogleFonts',
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => true,
										),
									),
									'group_vc' => esc_attr__('General', 'creatic')
								),

							'text_font_size' => array(
			
									'type' => 'slider',
									'label' => esc_attr__('Text Font Size', 'creatic'),
									'default' => '14',
									'selector' => '.cl-text',
									'css_property' => 'font-size',
									'choices'     => array(
										'min'  => '14',
										'max'  => '72',
										'step' => '1',
										'suffix' => 'px'
									),
									'suffix' => 'px',
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
									'group_vc' => esc_attr__('General', 'creatic')
								),

							'text_font_weight' => array(
			
									'type' => 'inline_select',
									'label' => esc_attr__('Title Font Weight', 'creatic'),
									'default' => '400',
									'selector' => '.cl-text',
									'css_property' => 'font-weight',
									'choices'     => array(
										'100' => '100',
										'200' => '200',
										'300' => '300',
										'400' => '400',
										'500' => '500',
										'600' => '600',
										'700' => '700',
										'800' => '800'
									),
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
									'group_vc' => esc_attr__('General', 'creatic')
								),
								
							'text_line_height' => array(
			
									'type' => 'slider',
									'label' => esc_attr__('Line Height', 'creatic'),
									'default' => '20',
									'selector' => '.cl-text',
									'css_property' => 'line-height',
									'choices'     => array(
										'min'  => '20',
										'max'  => '100',
										'step' => '1',
										'suffix' => 'px'
									),
									'suffix' => 'px',
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
									'group_vc' => esc_attr__('General', 'creatic')
								),

							'text_letterspace' => array(
			
									'type' => 'slider',
									'label' => esc_attr__('Letter Spacing', 'creatic'),
									'default' => '0',
									'selector' => '.cl-text',
									'css_property' => 'letter-spacing',
									'choices'     => array(
										'min'  => '-10',
										'max'  => '100',
										'step' => '1',
										'suffix' => 'px'
									),
									'suffix' => 'px',
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
									'group_vc' => esc_attr__('General', 'creatic')
								),
							
							'text_transform' => array(
									'type'     => 'inline_select',
									'priority' => 10,
									'label'       => esc_attr__( 'Text Transform', 'creatic' ),
									
									'default'     => 'none',
									'selector' => '.cl-text',
									'css_property' => 'text-transform',
									'choices' => array(
										'none' => esc_attr__('None', 'creatic'),
										'uppercase' => esc_attr__('Uppercase', 'creatic')
									),
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
									'group_vc' => esc_attr__('General', 'creatic')
									
								),
								
							
								
							
							'text_color' => array(
									'type' => 'color',
									'label' => esc_attr__('Color', 'creatic'),
									'default' => '',
									'selector' => '.cl-text',
									'css_property' => 'color',
									'alpha' => true,
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
									'group_vc' => esc_attr__('General', 'creatic')
							),

						'typography_end' => array(
								'type' => 'group_end',
								'label' => esc_attr__('Typography', 'creatic'),
								'groupid' => 'typography'
						),

					'general_tab_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('General', 'creatic'),
						'tabid' => 'general'
					),

				'design_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Design', 'creatic'),
					'tabid' => 'design'
				),
					

					'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.cl-text',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px' ),
						'group_vc' => esc_attr__('Design', 'creatic')
					),

				'design_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('Design', 'creatic'),
					'tabid' => 'design'
				),

				'animation_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('Animation', 'creatic'),
						'tabid' => 'animation'
					),
					
						'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl-text',
							'group_vc' => esc_attr__('Animation', 'creatic')
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl-text',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__('Animation', 'creatic')
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl-text',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__('Animation', 'creatic')
						),
					
					'animation_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'tabid' => 'animation'
					),

				'responsive_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive' 
				),

					'custom_responsive_992_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Max-width:992px', 'creatic' ),
							'tooltip' => esc_html__('Add a custom size for this heading for screens smaller than 992px', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								)
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
							
						),

						'custom_responsive_992_size' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Font size Max-width:992px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 992px', 'creatic' ),
							'default'     => '24px',
							'selector' => '.cl-text',
							'css_property' => 'font-size',
							'media_query' => '(max-width: 992px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_992_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

						'custom_responsive_992_line_height' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Line Height Max-width:992px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 992px', 'creatic' ),
							'default'     => '30px',
							'selector' => '.cl-text',
							'css_property' => 'line-height',
							'media_query' => '(max-width: 992px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_992_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

					'custom_responsive_768_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Max-width:768px', 'creatic' ),
							'tooltip' => esc_html__('Add a custom size for this heading for screens smaller than 768px', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
							
						),

						'custom_responsive_768_size' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Font size Max-width:768px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 768px', 'creatic' ),
							'default'     => '18px',
							'selector' => '.cl-text',
							'css_property' => 'font-size',
							'media_query' => '(max-width: 768px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_768_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

						'custom_responsive_768_line_height' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Line Height Max-width:768px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 768px', 'creatic' ),
							'default'     => '26px',
							'selector' => '.cl-text',
							'css_property' => 'line-height',
							'media_query' => '(max-width: 768px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_768_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),


				'responsive_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('Responsive', 'creatic'),
					'tabid' => 'responsive'
				),


				
			),
			
		) );

 		/* Custom Heading */
 		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Heading', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-software-character',
			'transport'   => 'postMessage',
			'settings'    => 'cl_custom_heading',
			'marginPositions' => array('top'),
			'is_container' => false,
			'fields' => array(
				'content' => array(
					'type'     => 'inline_text',
					'priority' => 10,
					'selector' => '.cl-custom-heading',
					'label'       => esc_attr__( 'Text', 'creatic' ),
					'tooltip' => esc_attr__( 'This will be the label for your link', 'creatic' ),
					'default'     => esc_attr__('Custom Heading', 'creatic'),
					'group_vc' => esc_attr__('General', 'creatic')
				),

				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' ),
						'animation' => array( 'Animation', 'cl-icon-animation' ),
						'responsive' => array( 'Responsive', 'cl-icon-responsive' )
					)
				),
				
					'general_tab_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('General', 'creatic'),
						'tabid' => 'general'
					),

						'option_start' => array(
								'type' => 'group_start',
								'label' => esc_attr__('Options', 'creatic'),
								'groupid' => 'options'
							),

							'tag' => array(
										'type'        => 'inline_select',
										'label'       => esc_html__( 'Heading Tag', 'creatic' ),
										'tooltip' => esc_html__('Useful for SEO', 'creatic'),
										'default'     => 'h2',
										'priority'    => 10,
										'selector' => '.cl-custom-heading',
										'choices'     => array(
											'h1'  => esc_attr__( 'H1', 'creatic' ),
											'h2' => esc_attr__( 'H2', 'creatic' ),
											'h3' => esc_attr__( 'H3', 'creatic' ),
											'h4' => esc_attr__( 'H4', 'creatic' ),
											'h5' => esc_attr__( 'H5', 'creatic' ),
											'h6' => esc_attr__( 'H6', 'creatic' ),
										),
										'group_vc' => esc_attr__('General', 'creatic')
							),

						'option_end' => array(
								'type' => 'group_end',
								'label' => esc_attr__('Options', 'creatic'),
								'groupid' => 'options'
							),

						'typography_start' => array(
								'type' => 'group_start',
								'label' => esc_attr__('Typography', 'creatic'),
								'groupid' => 'typography'
							),
 
							'typography' => array(
										'type'        => 'inline_select',
										'label'       => esc_html__( 'Title Typography', 'creatic' ),
										'tooltip' => esc_html__('Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style', 'creatic'),
										'default'     => 'h2',
										'priority'    => 10,
										'selector' => '.cl-custom-heading',
										'selectClass' => 'custom_font ',
										'choices'     => array(
											'h1'  => esc_attr__( 'H1', 'creatic' ),
											'h2' => esc_attr__( 'H2', 'creatic' ),
											'h3' => esc_attr__( 'H3', 'creatic' ),
											'h4' => esc_attr__( 'H4', 'creatic' ),
											'h5' => esc_attr__( 'H5', 'creatic' ),
											'h6' => esc_attr__( 'H6', 'creatic' ),
											'custom_font' => esc_attr__( 'Custom Font', 'creatic' ),
										),
										'group_vc' => esc_attr__('General', 'creatic')
									),

					
								'text_font_family' => array(
				
										'type' => 'inline_select',
										'label' => esc_attr__('Font Family', 'creatic'),
										'default' => 'theme_default',
										'selector' => '.cl-custom-heading',
										'css_property' => 'font-family',
										'choices' => array(),
										'choices_from' => 'codelessGoogleFonts',
										'cl_required'    => array(
											array(
												'setting'  => 'typography',
												'operator' => '==',
												'value'    => 'custom_font',
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
									),

								'text_font_size' => array(
				
										'type' => 'slider',
										'label' => esc_attr__('Font Size', 'creatic'),
										'default' => '22',
										'selector' => '.cl-custom-heading',
										'css_property' => 'font-size',
										'choices'     => array(
											'min'  => '14',
											'max'  => '160',
											'step' => '1',
											'suffix' => 'px'
										),
										'suffix' => 'px',
										'cl_required'    => array(
											array(
												'setting'  => 'typography',
												'operator' => '==',
												'value'    => 'custom_font',
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
									),

								'text_font_weight' => array(
				
										'type' => 'inline_select',
										'label' => esc_attr__('Font Weight', 'creatic'),
										'default' => '700',
										'selector' => '.cl-custom-heading',
										'css_property' => 'font-weight',
										'choices'     => array(
											'100' => '100',
											'200' => '200',
											'300' => '300',
											'400' => '400',
											'500' => '500',
											'600' => '600',
											'700' => '700',
											'800' => '800'
										),
										'cl_required'    => array(
											array(
												'setting'  => 'typography',
												'operator' => '==',
												'value'    => 'custom_font',
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
									),
									
								'text_line_height' => array(
				
										'type' => 'slider',
										'label' => esc_attr__('Line Height', 'creatic'),
										'default' => '34',
										'selector' => '.cl-custom-heading',
										'css_property' => 'line-height',
										'choices'     => array(
											'min'  => '20',
											'max'  => '200',
											'step' => '1',
											'suffix' => 'px'
										),
										'suffix' => 'px',
										'cl_required'    => array(
											array(
												'setting'  => 'typography',
												'operator' => '==',
												'value'    => 'custom_font',
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
									),

								'text_letterspace' => array(
					
											'type' => 'slider',
											'label' => esc_html__('Letter-Spacing', 'creatic'),
											'default' => '0',
											'selector' => '.cl-custom-heading',
											'css_property' => 'letter-spacing',
											'choices'     => array(
												'min'  => '0',
												'max'  => '4',
												'step' => '0.05',
												'suffix' => 'px'
											),
											'suffix' => 'px',
											'cl_required'    => array(
												array(
													'setting'  => 'typography',
													'operator' => '==',
													'value'    => 'custom_font',
												),
											),
											'group_vc' => esc_attr__('General', 'creatic')
										),
								
								'text_transform' => array(
										'type'     => 'inline_select',
										'priority' => 10,
										'label'       => esc_attr__( 'Text Transform', 'creatic' ),
										
										'default'     => 'uppercase',
										'selector' => '.cl-custom-heading',
										'css_property' => 'text-transform',
										'choices' => array(
											'none' => esc_attr__('None', 'creatic'),
											'uppercase' => esc_attr__('Uppercase', 'creatic')
										),
										'cl_required'    => array(
											array(
												'setting'  => 'typography',
												'operator' => '==',
												'value'    => 'custom_font',
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
										
									),
									
								
									
								
								'text_color' => array(
										'type' => 'color',
										'label' => esc_attr__('Color', 'creatic'),
										'default' => '',
										'selector' => '.cl-custom-heading',
										'css_property' => 'color',
										'alpha' => true,
										'cl_required'    => array(
											array(
												'setting'  => 'typography',
												'operator' => '==',
												'value'    => 'custom_font',
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
								),

								
							'typography_end' => array(
								'type' => 'group_end',
								'label' => esc_attr__('Typography', 'creatic'),
								'groupid' => 'typography'
							),

							'parallel_divider' => array(
										'type'        => 'switch',
										'label'       => esc_html__( 'Parallel Divider Style', 'creatic' ),
										'tooltip' => esc_html__('Add a paralell divider (style) to this heading.', 'creatic'),
										'default'     => 0,
										'priority'    => 10,
										'choices'     => array(
											'on'  => esc_attr__( 'On', 'creatic' ),
											'off' => esc_attr__( 'Off', 'creatic' ),
										),
										'selector' => '.wrapper-heading',
										'addClass' => 'parallel-divider',
										'reloadTemplate' => true,
										'group_vc' => esc_attr__('General', 'creatic')			
									),

							'heading_with_icon' => array(
										'type'        => 'switch',
										'label'       => esc_html__( 'Add Icon', 'creatic' ),
										'default'     => 0,
										'priority'    => 10,
										'choices'     => array(
											'on'  => esc_attr__( 'On', 'creatic' ),
											'off' => esc_attr__( 'Off', 'creatic' ),
										),
										'selector' => '.wrapper-heading',
										'addClass' => 'with-icon',
										'reloadTemplate' => true,
										'group_vc' => esc_attr__('General', 'creatic')			
									),

							'icon' => array(
										'type'     => 'select_icon',
										'priority' => 10,
										'label'       => '',
										'default'     => 'cl-icon-apps',
										'selector' => '.wrapper-heading i[class]',
										'selectClass' => ' ',
										'cl_required'    => array(
											array(
												'setting'  => 'heading_with_icon',
												'operator' => '==',
												'value'    => true,
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
									),

							'color_icon' => array(
										'type'     => 'color',
										'priority' => 10,
										'label'       => esc_attr__( 'Icon Color', 'creatic' ),
										'default'     => '#222',
										'selector' => '.wrapper-heading i[class]',
										'css_property' => 'color',
										'alpha' => true,
										'cl_required'    => array(
											array(
												'setting'  => 'heading_with_icon',
												'operator' => '==',
												'value'    => true,
											),
										),
										'group_vc' => esc_attr__('General', 'creatic')
									),

				'general_tab_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('General', 'creatic'),
						'tabid' => 'general'
					),
					

				'box_tab_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('Design', 'creatic'),
						'tabid' => 'design'
				),
					'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.wrapper-heading',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px'),
						'group_vc' => esc_attr__('Design', 'creatic')
					),

					'add_background_color' => array(
						'type'        => 'switch',
						'label'       => esc_html__( 'Add Background Color', 'creatic' ),
						'tooltip' => esc_html__('Add a paralell divider (style) to this heading.', 'creatic'),
						'default'     => 0,
						'priority'    => 10,
						'choices'     => array(
							'on'  => esc_attr__( 'On', 'creatic' ),
							'off' => esc_attr__( 'Off', 'creatic' ),
						),
						'selector' => '.cl-custom-heading',
						'addClass' => 'display-inline',
						'group_vc' => esc_attr__('Design', 'creatic')	
					),

					'background_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Background Color', 'creatic'),
							'default' => '',
							'selector' => '.cl-custom-heading',
							
							'css_property' => 'background-color',
							'alpha' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'add_background_color',
									'operator' => '==',
									'value'    => true,
								),
							),
							'group_vc' => esc_attr__('Design', 'creatic')
					),

					'border_style' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Border Style', 'creatic' ),
								
								'default'     => 'solid',
								'choices' => array(
									'solid'	=> 'solid',
									'dotted' =>	'dotted',
									'dashed' =>	'dashed',
									'double' => 'double',
									'groove' => 'groove',
									'ridge' => 'ridge',	
									'inset' => 'inset',	
									'outset' => 'outset',
								),
								'selector' => '.cl-custom-heading',
								'css_property' => 'border-style',
								'group_vc' => esc_attr__('Design', 'creatic')
							),
							
					'border_color' => array(
						'type' => 'color',
						'label' => esc_attr__('Border Color', 'creatic'),
						'default' => '',
						'selector' => '.cl-custom-heading',
						'css_property' => 'border-color',
						'alpha' => true,
						'group_vc' => esc_attr__('Design', 'creatic')
					),
				'box_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('Design', 'creatic'),
						'tabid' => 'design'
				),


				'animation_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('Animation', 'creatic'),
						'tabid' => 'animation'
					),
					
						'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl-custom-heading',
							'group_vc' => esc_attr__('Animation', 'creatic')
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl-custom-heading',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__('Animation', 'creatic')
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl-custom-heading',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'group_vc' => esc_attr__('Animation', 'creatic')
						),
					
					'animation_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'tabid' => 'animation'
					),

				'responsive_tab_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('Responsive', 'creatic'),
						'tabid' => 'responsive'
				),


						'custom_responsive_992_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Max-width:992px', 'creatic' ),
							'tooltip' => esc_html__('Add a custom size for this heading for screens smaller than 992px', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								)
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
							
						),

						'custom_responsive_992_size' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Font size Max-width:992px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 992px', 'creatic' ),
							'default'     => '24px',
							'selector' => '.cl-custom-heading',
							'css_property' => 'font-size',
							'media_query' => '(max-width: 992px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_992_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

						'custom_responsive_992_line_height' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Line Height Max-width:992px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 992px', 'creatic' ),
							'default'     => '30px',
							'selector' => '.cl-custom-heading',
							'css_property' => 'line-height',
							'media_query' => '(max-width: 992px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_992_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

					'custom_responsive_768_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Max-width:768px', 'creatic' ),
							'tooltip' => esc_html__('Add a custom size for this heading for screens smaller than 768px', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'typography',
									'operator' => '==',
									'value'    => 'custom_font',
								)
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
							
						),

						'custom_responsive_768_size' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Font size Max-width:768px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom size for this heading for screens smaller than 768px', 'creatic' ),
							'default'     => '18px',
							'selector' => '.cl-custom-heading',
							'css_property' => 'font-size',
							'media_query' => '(max-width: 768px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_768_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),

						'custom_responsive_768_line_height' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Line Height Max-width:768px', 'creatic' ),
							'tooltip' => esc_attr__( 'Add a custom line height for this heading for screens smaller than 768px', 'creatic' ),
							'default'     => '26px',
							'selector' => '.cl-custom-heading',
							'css_property' => 'line-height',
							'media_query' => '(max-width: 768px)',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_responsive_768_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'group_vc' => esc_attr__('Responsive', 'creatic')
						),
				'responsive_tab_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('Responsive', 'creatic'),
						'tabid' => 'responsive'
				),
			),
			
		) );

 		/* Button */
 		cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Button', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-signs',
				'transport'   => 'postMessage',
				'settings'    => 'cl_button',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					'btn_title' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'selector' => '.cl-btn span',
						'label'       => esc_attr__( 'Text', 'creatic' ),
						'tooltip' => esc_attr__( 'This will be the label for your link', 'creatic' ),
						'default'     => esc_attr__('View More', 'creatic'),
						'only_text' => true
					),

					'overwrite_style' => array (

							'type' => 'switch',
							'priority' => 10,
							'default'=> 0,
							'label' => esc_attr__( 'Overwrite the default button style', 'creatic' ),
						    'choices' => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							
							),		

				     ),

					

					'button_style' => array(

						'type' => 'inline_select',
						'priority' => 10,
						'label' => esc_attr__('Button Style', 'creatic'),
						'default'=> 'square',
						'choices' => array(

							'square' => esc_attr__('Square', 'creatic'),
							'rounded' => esc_attr__('Rounded', 'creatic'),
							'simple_text' => esc_attr__('Simple Text', 'creatic'),
							'square_small' => esc_attr__('Square Small', 'creatic')
		
						),

						'selector' => '.cl-btn',
						'selectClass' => 'btn-style-',
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),
					),

					'with_icon' => array (

							'type' => 'switch',
							'priority' => 10,
							'default'=> 0,
							'label' => esc_attr__( 'With Icon', 'creatic' ),
						    'choices' => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							
							),
							'selector' => '.cl-btn',
							'addClass' => 'with_icon',
							'cl_required' => array(

								array(

									'setting'  => 'overwrite_style',
									'operator' => '!=',
									'value'    => 0,

								),	
								
							),		

				     ),

					

					'button_bg_color'=> array(

						'type' => 'color',
						'priority'=> 10,
						'label' => esc_attr__('Button Background Color', 'creatic'),
						'default' => codeless_get_mod( 'primary_color' ),
						'selector' => '.cl-btn',
						'css_property' => 'background-color',
						'alpha' => true,
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),
					),

					/*'button_bg_color_hover'=> array(

						'type' => 'color',
						'priority'=> 10,
						'label' => esc_html__('Button Background Color on Hover', 'creatic'),
						'default' => '#ffffff',
						'selector' => '.cl-btn',
						'alpha' => true,
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),

					),*/

					'button_font_color' => array(

						'type' => 'color',
				        'priority'=> 10,
						'label' => esc_attr__('Button Font Color', 'creatic'), 
						'default'=> '#ffffff',
						'selector'=> '.cl-btn',
						'css_property'=> 'color',
						'alpha' => true,
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),
					),

					/*'button_font_color_hover' => array(

						'type' => 'color',
				        'priority'=> 10,
						'label' => esc_html__('Button Font Color on Hover', 'creatic'), 
						'default'=> codeless_get_mod( 'highlight_dark_color' ),
						'alpha' => true,
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),

					),*/



					'button_border_color' => array(
						
						'type'=> 'color',
						'priority'=> 10,
						'label'=> esc_attr__('Button Border Color', 'creatic'),
						'default' => 'transparent',
						'selector' => '.cl-btn',
						'css_property' => 'border-color',
						'alpha' => true,
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),

					),	

					'button_hover_effect' => array(

						'type' => 'inline_select',
						'priority' => 10,
						'label' => esc_attr__('Button Hover Effect', 'creatic'),
						'default'=> 'darker',
						'choices' => array(

							'darker' => esc_attr__('Darker', 'creatic'),
							'shadow' => 'shadow'
		
						),

						'selector' => '.cl-btn',
						'selectClass' => 'btn-hover-',
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),
					),


					/*'button_border_color_hover' => array(
						
						'type'=> 'color',
						'priority'=> 10,
						'label'=> esc_html__('Button Border Color Hover', 'creatic'),
						'default' => 'transparent',
						'alpha' => true,
						'cl_required' => array(

							array(

								'setting'  => 'overwrite_style',
								'operator' => '!=',
								'value'    => 0,

							),	
							
						),

					),	*/


					'link' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Link', 'creatic' ),
						'default'     => '#'
					),

					'target' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Link Target', 'creatic' ),
							'default'     => '_self',

							'choices'     => array(
								'_self' => esc_html__('_self', 'creatic'),
								'_blank' => esc_html__('_blank', 'creatic'),				
							),
							'reloadTemplate' => true
					),

					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl-btn-div',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px' )
					),

					'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl-btn-div'
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl-btn-div',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl-btn-div',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							)
						),
				)
			));

 		/* Divider */
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Divider', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-arrows-minus',
			'transport'   => 'postMessage',
			'settings'    => 'cl_divider',
			'use_on_header' => true,
			'is_container' => false,
			'marginPositions' => array('top'),
			'fields' => array(
				'height' => array(
					'type'     => 'slider',
					'label' => esc_html__('Divider height', 'creatic'),
					'default' => '1',
					'selector' => '.cl_divider .inner',
					'css_property' => 'border-top-width',
					'choices'     => array(
								'min'  => '0',
								'max'  => '30',
								'step' => '1',
								'suffix' => 'px'
							),
				    'suffix' => 'px',

					'label'       => esc_attr__( 'Divider Height', 'creatic' ),
					'tooltip' => esc_attr__( 'Set the divider height', 'creatic' )
					
				),

				'width_full' => array(
	
							'type'        => 'switch',
							'label'       => esc_html__( 'Set divider fullwidth', 'creatic' ),
							'default'     => 1,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
						),
					
					
				'width' => array(
	
							'type' => 'slider',
							'label' => esc_html__('Set the divider width', 'creatic'),
							'default' => '300',
							'selector' => '.cl_divider .wrapper',
							'css_property' => 'width',
							'choices'     => array(
								'min'  => '1',
								'max'  => '1070',
								'step' => '1',
								'suffix' => 'px'
							),
							'suffix' => 'px',

							'cl_required'    => array(
								array(
									'setting'  => 'width_full',
									'operator' => '==',
									'value'    => 0,
								),
							),
						),


				'color' => array(
							'type' => 'color',
							'label' => esc_attr__('Set Color', 'creatic'),
							'default' => '#222',
							'selector' => '.cl_divider .inner',
							'css_property' => 'border-color',
							'alpha' => true
							
					),

				'border_style' => array(
							'type' => 'inline_select',
							'label' => esc_html__('Set the border style', 'creatic'),
							'default' => 'solid',
							'selector' => '.cl_divider .inner',
							'css_property' => 'border-style',
							'choices'     => array(
								'solid'	=> 'solid',
								'dotted' =>	'dotted',
								'dashed' =>	'dashed',
								'double' => 'double',
								'groove' => 'groove',
								'ridge' => 'ridge',	
								'inset' => 'inset',	
								'outset' => 'outset'
							
							),
							
							
					),

				'align' => array( 

						    'type' => 'inline_select',
							'label' => esc_html__('Set the border align', 'creatic'),
							'default' => '',
							'selector' => '.cl_divider .wrapper',
							'choices'     => array(
								'left_divider'	=> 'left',
								'center_divider' =>	'center',
								'right_divider' =>	'right',
								
															
							),
							'selectClass' => '',
							'cl_required'    => array(
								array(
									'setting'  => 'width_full',
									'operator' => '==',
									'value'    => 0,
								),
							),


					),


				'divider_style' => array(
	
							'type' => 'inline_select',
							'label' => esc_html__('Select the style of the divider', 'creatic'),
							'default' => 'simple',
							'selector' => '.cl_divider .wrapper',
							'choices'     => array(
								'simple' => esc_attr__('Simple', 'creatic'),
								'two' => esc_attr__('Two Borders', 'creatic'),
								'icon' => esc_attr__('With Centred Icon', 'creatic')
							
							),
							'reloadTemplate' => true
							
						),
						
				'icon' => array(
							'type'     => 'select_icon',
							'priority' => 10,
							'label'       => esc_attr__( 'Select Icon', 'creatic' ),
							'default'     => 'cl-icon-apps',
							'selector' => '.cl_divider i',
							'selectClass' => ' ',
							'cl_required'    => array(
								array(
									'setting'  => 'divider_style',
									'operator' => '==',
									'value'    => 'icon',
								),
							),
						),

				'color_icon' => array(
							'type'     => 'color',
							'priority' => 10,
							'label'       => esc_attr__( 'Icon Color', 'creatic' ),
							'default'     => '#222',
							'selector' => '.cl_divider .wrapper > i',
							'css_property' => 'color',
							'alpha' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'divider_style',
									'operator' => '==',
									'value'    => 'icon',
								),
							),
						),

				'size_icon' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Icon size', 'creatic' ),
							'default'     => '10',
							'selector' => '.cl_divider .wrapper > i',
							'css_property'=> 'font-size',
							'choices'     => array(
								'min'  => '0',
								'max'  => '30',
								'step' => '1'
								
							),
				            'suffix' => 'px',
							'cl_required'    => array(
								array(
									'setting'  => 'divider_style',
									'operator' => '==',
									'value'    => 'icon',
								),
							),
						),

				'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.cl_divider',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px' )
					),
					
					
	
				),
	
			
		));


 		
		
		
		
		
 		/* Media */
 		cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Media', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-photo',
				'transport'   => 'postMessage',
				'settings'    => 'cl_media',
				'is_container' => false,
				'css_dependency' => array(CODELESS_BASE_URL.'css/ilightbox/css/ilightbox.css'),
				'marginPositions' => array('top'),
				'fields' => array(
						'media_type' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Media Type', 'creatic' ),
							
							'default'     => 'image',
							'choices' => array(
								'image'	=> esc_html__('Image / Embed', 'creatic'),
								'video' => esc_html__('Video with Placeholder', 'creatic'),
								'live' => esc_attr__('Live Photo', 'creatic'),
								'lightbox' => esc_html__('Play Video with Lightbox', 'creatic')
							),
							'selector' => '.cl_media',
							'selectClass' => 'type-', 
							'reloadTemplate' => true 
						),

						'lightbox_video_link' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Lightbox Video Link', 'creatic' ),
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'media_type',
										'operator' => '==',
										'value'    => 'lightbox',
									),
								),
								'reloadTemplate' => true
							),



						'position' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Position', 'creatic' ),
							
							'default'     => 'stretch',
							'choices' => array(
								'left'	=> esc_attr__('Left', 'creatic'),
								'center' => esc_html__('Center', 'creatic'),
								'right' => esc_attr__('Right', 'creatic'),
								'stretch' => 'stretch' 
							),
							'selector' => '.cl_media',
							'selectClass' => 'position_'
						),

						'image' => array(
							'type'        => 'image',
							'label'       => esc_html__( 'Upload Image', 'creatic' ),
							'default'     => '',
							'priority'    => 10,
							'image_get' => 'id',
							'reloadTemplate' => true,
						),

						'video_mov' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Mov', 'creatic' ),
								'tooltip' => esc_attr__( 'Add this video if you want to use it for live photo', 'creatic' ),
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'media_type',
										'operator' => '==',
										'value'    => 'live',
									),
								),
								'reloadTemplate' => true
							),

						'lightbox' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Lightbox on hover', 'creatic' ),
							'tooltip' => esc_attr__( 'Show lightbox icon on image hover', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),

							'reloadTemplate' => true,
						),

						'lazyload' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Lazyload Image', 'creatic' ),
							'tooltip' => esc_attr__( 'Image will be loaded only when it\'s on viewport', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),

							'reloadTemplate' => true,
						),

						'shadow' => array(
								'type'        => 'switch',
								'label'       => esc_html__( 'Shadow', 'creatic' ),
								'tooltip' => esc_html__('Switch on/off shadow', 'creatic'),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'creatic' ),
									'off' => esc_attr__( 'Off', 'creatic' ),
								),

								'selector' => '.cl_media',
								'addClass' => 'add-shadow'
							),

						'image_size' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Image Size', 'creatic' ),
								'tooltip' => esc_html__( "You can change image sizes on Theme Panel", 'creatic') ." -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
								'default'     => 'full',
								'priority'    => 10,
								'choices'     => codeless_get_additional_image_sizes(),
								'reloadTemplate' => true
							),

						

						'custom_width_bool' => array(
								'type'        => 'switch',
								'label'       => esc_html__( 'Custom Width?', 'creatic' ),
								'tooltip' => esc_html__('Add a custom width for this media', 'creatic'),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'creatic' ),
									'off' => esc_attr__( 'Off', 'creatic' ),
								),
								'selector' => '.cl_media',
								'addClass' => 'cl-custom-width'
							),

						'custom_width' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Set Custom Width', 'creatic' ),
							
							'default'     => '400px',
						
							'selector' => '.cl_media .inner',
							'css_property' => 'width',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_width_bool',
									'operator' => '==',
									'value'    => 1,
								),
							),
						),

						'custom_link' => array(

							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Link', 'creatic' ),
							'default'     => '#',
							'reloadTemplate' => true
						),

						'hover_effect' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Hover Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'dark' => esc_html__('Dark', 'creatic'),
								'light' => esc_attr__('Light', 'creatic')
							),
							'selector' => '.cl_media',
							'selectClass' => 'hover_',
							'cl_required'    => array(
									array(
										'setting'  => 'custom_link',
										'operator' => '!=',
										'value'    => '#',
									),
								),
						),

						'video_start' => array(
							'type' => 'group_start',
							'label' => esc_attr__('Video', 'creatic'),
							'groupid' => 'video'
						),
						
						
							'video' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Background', 'creatic' ),
								
								'default'     => 'none',
								'choices' => array(
									'none'	=> esc_attr__('None', 'creatic'),
									'self' => esc_html__('Self-Hosted', 'creatic'),
									'youtube' => esc_html__('Youtube', 'creatic'),
									'vimeo' => esc_attr__('Vimeo', 'creatic')
								),
								'reloadTemplate' => true
								//'customJS' => 'inlineEdit_videoSection'
							),
							
							'video_mp4' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Mp4', 'creatic' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'self',
									),
								),
								'reloadTemplate' => true
							),
							'video_webm' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Webm', 'creatic' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'self',
									),
								),
								'reloadTemplate' => true
							),
							'video_ogv' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Video Ogv', 'creatic' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'self',
									),
								),
								'reloadTemplate' => true
							),

							
							
							'video_youtube' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Youtube ID', 'creatic' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'youtube',
									),
								
								),
								'reloadTemplate' => true
							),
							
							'video_vimeo' => array(
								
								'type'     => 'text',
								'priority' => 10,
								'label'       => esc_attr__( 'Vimeo ID', 'creatic' ),
								
								'default'     => '',
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '==',
										'value'    => 'vimeo',
									),
								
								),
								'reloadTemplate' => true
							),
							
							'video_loop' => array(
								'type'        => 'switch',
								'label'       => esc_html__( 'Video Loop', 'creatic' ),
								'tooltip' => esc_html__('Switch on/off video loop', 'creatic'),
								'default'     => 0,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'creatic' ),
									'off' => esc_attr__( 'Off', 'creatic' ),
								),
								'cl_required'    => array(
									array(
										'setting'  => 'video',
										'operator' => '!=',
										'value'    => 'none',
									),
								),
								'reloadTemplate' => true
							),

							'autoplay' => array(
								'type'        => 'switch',
								'label'       => esc_html__( 'Autoplay', 'creatic' ),
								'tooltip' => esc_html__('Switch on when video is used with Image Placeholder', 'creatic'),
								'default'     => 1,
								'priority'    => 10,
								'choices'     => array(
									'on'  => esc_attr__( 'On', 'creatic' ),
									'off' => esc_attr__( 'Off', 'creatic' ),
								),

								'reloadTemplate' => true
							),

							'height' => array(
								'type'     => 'slider',
								'priority' => 10,
								'label'       => esc_attr__( 'Video / Embed Height', 'creatic' ),
								'tooltip' => esc_attr__( 'Use this only for embed links and for video with image placeholder.', 'creatic' ),
								'default'     => '400',
								'choices'     => array(
									'min'  => '0',
									'max'  => '1000',
									'step' => '10',
								),
								'suffix' => 'px',
								'selector' => '.cl_media iframe, .cl_media video',
								'css_property' => 'height',
								
								
							),

						'video_end' => array(
							'type' => 'group_end',
							'label' => esc_attr__('Video', 'creatic'),
							'groupid' => 'video'
						),


						'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl_media'
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl_media',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl_media',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							)
						),

						'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_media',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px' )
						),
				)
			));

 		/* Gallery */
 		cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Gallery', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-picture-multiple',
				'transport'   => 'postMessage',
				'settings'    => 'cl_gallery',
				'is_container' => false,
				'css_dependency' => array( CODELESS_BASE_URL.'css/owl.carousel.min.css' ),
				'marginPositions' => array('top'),
				'fields' => array(

					'carousel' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Carousel', 'creatic' ),
							'tooltip' => '',
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_gallery',
							'addClass' => 'cl-carousel owl-carousel owl-theme',
							'reloadTemplate' => true
					),

					'carousel_view_items' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Items', 'creatic' ),
							
							'default'     => '6',
							'choices' => array(
								'1' =>	'1 items',
								'2' =>	'2 items',
								'3' =>	'3 items',
								'4' => '4 items',
								'5' => '5 items',
								'6' => '6 items',
								'7' => '7 items',
							),
							'selector' => '.cl_gallery',
							'htmldata' => 'items',
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'reloadTemplate' => true
					),

					'carousel_nav' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Nav', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_gallery',
							'htmldata' => 'carousel-nav',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),

						),	



						'carousel_dots' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Dots', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'creatic' ),
							'default'     => 1,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_gallery',
							'htmldata' => 'carousel-dots',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),

						),

					'images' => array(
						'type'     => 'image_gallery',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Images', 'creatic' ),
						
						'reloadTemplate' => true,
					),

					'items_per_row' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Items per Row', 'creatic' ),
							
							'default'     => 'all',
							'choices' => array(
								'all'	=> esc_attr__('All', 'creatic'),
								'2' =>	'2 items',
								'3' =>	'3 items',
								'4' => '4 items',
								'5' => '5 items',
								'6' => '6 items',
								'7' => '7 items',
							),
							'selector' => '.cl_gallery',
							'selectClass' => 'items_',
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 0,
								),
							),
					),

					'distance' => array(
	
							'type' => 'slider',
							'label' => esc_html__('Distance between items', 'creatic'),
							'default' => '10',
							'selector' => '.cl_gallery .gallery-item',
							'css_property' => 'padding',
							'choices'     => array(
								'min'  => '0',
								'max'  => '60',
								'step' => '1',
								'suffix' => 'px'
							),
							'suffix' => 'px',
						),


					'lightbox' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Lightbox on hover', 'creatic' ),
							'tooltip' => esc_attr__( 'Show lightbox icon on image hover', 'creatic' ),
							'default'     => 1,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_gallery',
							'addClass' => 'with-lightbox',
							'reloadTemplate' => true,
							

						),

						'image_size' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Image Size', 'creatic' ),
								'tooltip' => esc_html__( "You can change image sizes on Theme Panel", 'creatic') ." -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
								'default'     => 'full',
								'priority'    => 10,
								'choices'     => codeless_get_additional_image_sizes(),
								'reloadTemplate' => true
							),


					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_gallery',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px' )
					),
				)
			));

 		/* Service */
 		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Service', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			'tooltip' => esc_html__('Manage all options of the selected Row', 'creatic'),
			//'priority'    => 10,
			'icon'		  => 'icon-arrows-circle-check',
			'transport'   => 'postMessage',
			'settings'    => 'cl_service',
			'marginPositions' => array('top'),

			'predefined'  => array(
				'simple_left_icon' => array(
					'photo' => get_template_directory_uri().'/img/predefined_elements/cl_service/simple_left_icon.png',
					'label' => esc_attr__('Simple Left Icon', 'creatic'),
					'content' => '[cl_service media="type_icon" title="Better Performance" icon="cl-icon-laptop2" css_style="{\'margin-top\':\'55px\'}_-_json" icon_font_size="34" wrapper_size="40" wrapper_distance="34" title_content_distance="5" animation="bottom-t-top" animation_delay="0"]A technology that renders via GPU, power saver, dependency manager, faster load. Load only scripts that needed for page.[/cl_service]'
				),
				'simple_top_icon' => array(
					'photo' => get_template_directory_uri().'/img/predefined_elements/cl_service/simple_top_icon.png',
					'label' => esc_attr__('Simple Top Icon', 'creatic'),
					'content' => '[cl_service media="type_icon" layout_type="media_top" title="Experienced Support Team" icon="cl-icon-profile-male" css_style="{\'margin-top\':\'50px\'}_-_json" icon_font_size="42" wrapper_size="30" animation="bottom-t-top" animation_delay="100"]On the other hand, we denounce with righteous indignation and dislike men who are so beguiled[/cl_service]'
				),
			),


			'is_container' => false,
			'shiftClick' => array( 
					array( 'option' => 'h5_font_size', 'selector' => '.box-content h3' ) 
			),
			'fields' => array(

				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'design' => array( 'Design', 'cl-icon-tune' )
					)
				),
				
				'general_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('General', 'creatic'),
					'tabid' => 'general'
				),
				
					/* ----------------------------------------------- */
					
					'options_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Layout', 'creatic'),
						'groupid' => 'layout'
					),
						
						'media' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Media Type', 'creatic' ),
							
							'default'     => 'type_text',
							'choices' => array(
								'type_text' => esc_attr__('Only Text', 'creatic'),
								'type_icon' => esc_attr__('Icon', 'creatic'),
								'type_svg' => esc_html__('SVG', 'creatic'),
								'type_custom' => esc_html__('Custom IMG', 'creatic')
							),
							'selector' => '.cl_service',
							'reloadTemplate' => true,
							'selectClass' => ''
						),

						'image' => array(
							'type'        => 'image',
							'label'       => esc_html__( 'Upload Image', 'creatic' ),
							'default'     => '',
							'priority'    => 10,
							'image_get' => 'id',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '==',
									'value'    => 'type_custom',
								),
							),
						),

						'image_size' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Image Size', 'creatic' ),
								'tooltip' => esc_html__( "You can change image sizes on Theme Panel", 'creatic') ." -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
								'default'     => 'full',
								'priority'    => 10,
								'choices'     => codeless_get_additional_image_sizes(),
								'reloadTemplate' => true
						),

						'animation_icon' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'SVG Animation', 'creatic' ),
							'tooltip' => esc_html__('Switch to animate SVG on load', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '==',
									'value'    => 'type_svg',
								),
							),
						),	
				
						'layout_type' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Layout Type', 'creatic' ),
							'tooltip' => esc_attr__( 'Select layout type of service element', 'creatic' ),
							'default'     => 'media_aside',
							'choices' => array(
								'media_aside' => esc_attr__('Media Aside', 'creatic'),
								'media_top' => esc_attr__('Media Top', 'creatic')
							),
							'selector' => '.cl_service',
							'selectClass' => '',
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '!=',
									'value'    => 'type_text',
								),
							),
						),

						'layout_align' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Align Content and Icon', 'creatic' ),
							'tooltip' => esc_attr__( 'Select the align of content and layout of service element', 'creatic' ),
							'default'     => 'align_left',
							'choices' => array(
								'align_left' => esc_attr__('Align Left', 'creatic'),
								'align_center' => esc_attr__('Align Center', 'creatic'),
								'align_right' => esc_attr__('Align Right', 'creatic')
							),
							'selector' => '.cl_service',
							'selectClass' => ''
						),

						'title' => array(
							'type'     => 'inline_text',
							'priority' => 10,
							'only_text' => true,
							'selector' => '.cl_service .box-content > h3',
							'label'       => esc_attr__( 'Title', 'creatic' ),
							'default'     => esc_attr__('Custom Service Title', 'creatic'),
							'replace_type_vc' => 'textfield'
						),

						'subtitle' => array(
							'type'     => 'inline_text',
							'priority' => 10,
							'only_text' => true,
							'selector' => '.cl_service .box-content > .subtitle',
							'label'       => esc_attr__( 'Subtitle', 'creatic' ),
							'default'     => esc_html__('Custom Subtitle for service', 'creatic'),
							'replace_type_vc' => 'textfield'
						),

						'content' => array(
							'type'     => 'inline_text',
							'priority' => 10,
							'selector' => '.cl_service .box-content > .content',
							'label'       => esc_attr__( 'Content', 'creatic' ),
							'default'     => esc_html__('On the other hand, we denounce with righteous indignation and dislike men who are so beguiled', 'creatic'),
						),

						'icon' => array(
							'type'     => 'select_icon',
							'priority' => 10,
							'label'       => esc_attr__( 'Select Icon', 'creatic' ),
							'default'     => 'cl-icon-apps',
							'selector' => '.cl_service > .icon_wrapper i',
							'selectClass' => ' ',
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '==',
									'value'    => 'type_icon',
								),
							),
						),

						'wrapper' => array(
							
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Icon Wrapper', 'creatic' ),
							'tooltip' => esc_attr__( 'Select the type of wrapper around Icon if you want one', 'creatic' ),
							'default'     => 'wrapper_none',
							'choices' => array(
								'wrapper_none' => esc_attr__('None', 'creatic'),
								'wrapper_circle' => esc_attr__('Circle', 'creatic'),
								'wrapper_square' => esc_attr__('Square', 'creatic'),
								//'wrapper_hexagon' => esc_attr__('Hexagon', 'creatic')
							),
							'selector' => '.cl_service > .icon_wrapper',
							'selectClass' => '',
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '!=',
									'value'    => 'type_text',
								),
							),
						),

						'hover_effect' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Hover Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'wrapper_accent_color' => esc_attr__('Wrapper Accent Color', 'creatic')
							),
							'selector' => '.cl_service',
							'selectClass' => 'cl-hover-'
						),

						'service_link' => array(
							'type'     => 'text',
							'priority' => 10,
							'selector' => '',
							'label'       => esc_attr__( 'Service Link', 'creatic' ),
							'default'     => ''
						),

					'options_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Layout', 'creatic'),
						'groupid' => 'layout'
					),

					
					'extra_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Extra', 'creatic'),
						'groupid' => 'extra'
					),

						'subtitle_bool' => array(

							'type'        => 'switch',
							'label'       => esc_html__( 'Add subtitle', 'creatic' ),
							'tooltip' => esc_html__('Switch On if you want a custom subtitle after Primary Title', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'reloadTemplate' => true
						),

						


					'extra_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Extra', 'creatic'),
						'groupid' => 'extra'
					),

				'general_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('General', 'creatic'),
					'tabid' => 'general'
				),
				'design_tab_begin' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('Design', 'creatic'),
					'tabid' => 'design'
				),

					'panel' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Box', 'creatic'),
						'groupid' => 'design_panel'
					),
				
						'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_service',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px' )
						),

						'box_border_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Box Border Color', 'creatic'),
							'default' => 'rgba(0,0,0,0.0)',
							'selector' => '.cl_service',
							'css_property' => 'border-color',
							'alpha' => true,
						),
						
						'text_color' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Text Color', 'creatic'),
							'default' => 'dark-text',
							'choices' => array(
								'dark-text' => esc_attr__('Dark', 'creatic'),
								'light-text' => esc_attr__('Light', 'creatic')
							),
							'selector' => '.cl_service',
							'selectClass' => ''
						),
					
						
					'design_panel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'design_panel'
					),

					'icon_start' => array(
						'type' => 'group_start',
						'label' => esc_html__('Style and Distances', 'creatic'),
						'groupid' => 'icon'
					),

						'icon_font_size' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Icon Size', 'creatic' ),
							'tooltip' => esc_attr__( 'Change Icon size by moving the slider', 'creatic' ),
							'default'     => '36',
							'choices'     => array(
								'min'  => '14',
								'max'  => '120',
								'step' => '1',
							),
							'suffix' => 'px', 
							'selector' => '.cl_service > .icon_wrapper i',
							'css_property' => 'font-size',
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '==',
									'value'    => 'type_icon',
								),
							),
						),

						'icon_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Icon Color', 'creatic'),
							'default' => codeless_get_mod('primary_color'),
							'selector' => '.cl_service > .icon_wrapper i',
							'css_property' => 'color',
							'alpha' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '==',
									'value'    => 'type_icon',
								),
							),
						),
						'svg_color' => array(
							'type' => 'color',
							'label' => esc_html__('SVG Color', 'creatic'),
							'default' => codeless_get_mod('primary_color'),
							'selector' => '.cl_service > .icon_wrapper svg',
							'css_property' => 'stroke',
							'alpha' => false,
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '==',
									'value'    => 'type_svg',
								),
							),
						),

						'wrapper_bg_color' => array(
							'type' => 'color',
							'label' => esc_html__('Wrapper BG Color', 'creatic'),
							'default' => 'rgba(0,0,0,0)',
							'selector' => '.cl_service > .icon_wrapper .wrapper-form',
							'css_property' => 'background-color',
							'alpha' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'wrapper',
									'operator' => '!=',
									'value'    => 'wrapper_none',
								),
							),
						),

						'wrapper_border_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Wrapper Border Color', 'creatic'),
							'default' => 'rgba(0,0,0,0.5)',
							'selector' => '.cl_service > .icon_wrapper .wrapper-form',
							'css_property' => 'border-color',
							'alpha' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'wrapper',
									'operator' => '!=',
									'value'    => 'wrapper_none',
								),
							),
						),

						'wrapper_box_shadow' => array(

							'type'        => 'switch',
							'label'       => esc_html__( 'Add Shadow', 'creatic' ),
							'tooltip' => esc_html__('Switch On to add shadow to icon wrapper', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_service > .icon_wrapper',
							'addClass' => 'with-shadow'
						),


						'wrapper_size' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Wrapper and SVG Size', 'creatic' ),
							'tooltip' => esc_attr__( 'Change Wrapper size by moving the slider. Can be used for SVG size too.', 'creatic' ),
							'default'     => '72',
							'choices'     => array(
								'min'  => '30',
								'max'  => '240',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.cl_service > .icon_wrapper .wrapper-form',
							'css_property' => array('width', 'height'),
							'cl_required'    => array(
								array(
									'setting'  => 'media',
									'operator' => '!=',
									'value'    => 'type_text',
								)
							),
						),

						'wrapper_distance' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Icon and Wrapper Distance', 'creatic' ),
							'tooltip' => esc_attr__( 'Icon and Wrapper distance from content', 'creatic' ),
							'default'     => '20',
							'choices'     => array(
								'min'  => '0',
								'max'  => '140',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.cl_service > .icon_wrapper',
							'css_property' => array('padding-right', 'padding-bottom', 'padding-left'),
						),

						'title_distance_top' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Distance Title From Top', 'creatic' ),
							'tooltip' => esc_attr__( 'Drag to change the distance of the title from top of element', 'creatic' ),
							'default'     => '0',
							'choices'     => array(
								'min'  => '0',
								'max'  => '30',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.cl_service .box-content > h3',
							'css_property' => 'margin-top',

						),

						'title_content_distance' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Distance beetween Title and Content', 'creatic' ),
							'tooltip' => esc_attr__( 'Drag to change the distance of the content from Title', 'creatic' ),
							'default'     => '0',
							'choices'     => array(
								'min'  => '0',
								'max'  => '140',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.cl_service .box-content > .content',
							'css_property' => 'margin-top',
							
						),
						'title_subtitle_distance' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Distance beetween Title and Subtitle', 'creatic' ),
							'tooltip' => esc_attr__( 'Drag to change the distance of the title from subtitle', 'creatic' ),
							'default'     => '0',
							'choices'     => array(
								'min'  => '0',
								'max'  => '140',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.cl_service .box-content > .subtitle',
							'css_property' => 'margin-top',
							'cl_required'    => array(
								array(
									'setting'  => 'subtitle_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
							
						),


					'icon_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Icon', 'creatic'),
						'groupid' => 'icon'
					),



					'typography_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Typography', 'creatic'),
						'groupid' => 'typography',
					),

						'title_typography' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Title Typography', 'creatic' ),
							'tooltip' => esc_html__('Select one of the predefined title typography styles on Styling Section or select "Custom Font" if you want to edit the typography of Title. SHIFT-CLICK on Element if you want to modify one of the predefined Style', 'creatic'),
							'default'     => 'h5',
							'priority'    => 10,
							'selector' => '.cl_service .box-content > h3',
							'selectClass' => 'custom_font ',
							'choices'     => array(
								'h1'  => esc_attr__( 'H1', 'creatic' ),
								'h2' => esc_attr__( 'H2', 'creatic' ),
								'h3' => esc_attr__( 'H3', 'creatic' ),
								'h4' => esc_attr__( 'H4', 'creatic' ),
								'h5' => esc_attr__( 'H5', 'creatic' ),
								'h6' => esc_attr__( 'H6', 'creatic' ),
								'custom_font' => esc_attr__( 'Custom Font', 'creatic' ),
							),
						),	


						'title_font_size' => array(
		
								'type' => 'slider',
								'label' => esc_attr__('Title Font Size', 'creatic'),
								'default' => '16',
								'selector' => '.cl_service .box-content > h3',
								'css_property' => 'font-size',
								'choices'     => array(
									'min'  => '14',
									'max'  => '72',
									'step' => '1',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'title_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),

						'title_font_weight' => array(
		
								'type' => 'inline_select',
								'label' => esc_attr__('Title Font Weight', 'creatic'),
								'default' => '600',
								'selector' => '.cl_service .box-content > h3',
								'css_property' => 'font-weight',
								'choices'     => array(
									'100' => '100',
									'200' => '200',
									'300' => '300',
									'400' => '400',
									'500' => '500',
									'600' => '600',
									'700' => '700',
									'800' => '800'
								),
								'cl_required'    => array(
									array(
										'setting'  => 'title_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),
							
						'title_line_height' => array(
		
								'type' => 'slider',
								'label' => esc_attr__('Title Line Height', 'creatic'),
								'default' => '22',
								'selector' => '.cl_service .box-content > h3',
								'css_property' => 'line-height',
								'choices'     => array(
									'min'  => '20',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'title_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),

						'title_letterspace' => array(
		
								'type' => 'slider',
								'label' => esc_html__('Title Letter-space', 'creatic'),
								'default' => '1',
								'selector' => '.cl_service .box-content > h3',
								'css_property' => 'letter-spacing',
								'choices'     => array(
									'min'  => '0',
									'max'  => '4',
									'step' => '0.05',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'title_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),
						
						'title_transform' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Title Text Transform', 'creatic' ),
								
								'default'     => 'uppercase',
								'selector' => '.cl_service .box-content > h3',
								'css_property' => 'text-transform',
								'choices' => array(
									'none' => esc_attr__('None', 'creatic'),
									'uppercase' => esc_attr__('Uppercase', 'creatic')
								),
								'cl_required'    => array(
									array(
										'setting'  => 'title_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
								
							),

						'title_color' => array(
								'type' => 'color',
								'label' => esc_attr__('Title Color', 'creatic'),
								'default' => '#444444',
								'selector' => '.cl_service .box-content > h3',
								'css_property' => 'color',
								'alpha' => true,
								'cl_required'    => array(
									array(
										'setting'  => 'title_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
						),
							
						
						
						'custom_desc_typography' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Content Typography', 'creatic' ),
							'tooltip' => esc_html__('Switch On if you want to modify default typography of content', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
						),	
						
						
						
						'desc_font_size' => array(
		
								'type' => 'slider',
								'label' => esc_attr__('Content Font Size', 'creatic'),
								'default' => '14',
								'selector' => '.cl_service .box-content > .content',
								'css_property' => 'font-size',
								'choices'     => array(
									'min'  => '14',
									'max'  => '60',
									'step' => '1',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'custom_desc_typography',
										'operator' => '==',
										'value'    => true,
									),
								),
							),

						'desc_font_weight' => array(
		
								'type' => 'inline_select',
								'label' => esc_attr__('Content Font Weight', 'creatic'),
								'default' => '400',
								'selector' => '.cl_service .box-content > .content',
								'css_property' => 'font-weight',
								'choices'     => array(
									'100' => '100',
									'200' => '200',
									'300' => '300',
									'400' => '400',
									'500' => '500',
									'600' => '600',
									'700' => '700',
									'800' => '800'
								),
								'cl_required'    => array(
									array(
										'setting'  => 'custom_desc_typography',
										'operator' => '==',
										'value'    => true,
									),
								),
							),
							
						'desc_line_height' => array(
		
								'type' => 'slider',
								'label' => esc_attr__('Content Line Height', 'creatic'),
								'default' => '22',
								'selector' => '.cl_service .box-content > .content',
								'css_property' => 'line-height',
								'choices'     => array(
									'min'  => '20',
									'max'  => '80',
									'step' => '1',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'custom_desc_typography',
										'operator' => '==',
										'value'    => true,
									),
								),
							),
							
						'desc_transform' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Content Text Transform', 'creatic' ),
								
								'default'     => 'none',
								'selector' => '.cl_service .box-content > .content',
								'css_property' => 'text-transform',
								'choices' => array(
									'none' => esc_attr__('None', 'creatic'),
									'uppercase' => esc_attr__('Uppercase', 'creatic')
								),
								'cl_required'    => array(
									array(
										'setting'  => 'custom_desc_typography',
										'operator' => '==',
										'value'    => true,
									),
								),
								
							),
						'desc_color' => array(
								'type' => 'color',
								'label' => esc_attr__('Content Color', 'creatic'),
								'default' => '#6a6a6a',
								'selector' => '.cl_service .box-content > .content',
								'css_property' => 'color',
								'alpha' => true,
								'cl_required'    => array(
									array(
										'setting'  => 'custom_desc_typography',
										'operator' => '==',
										'value'    => true,
									),
								),
						),


						'subtitle_typography' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Subtitle Typography', 'creatic' ),
							'tooltip' => esc_html__('Select typography style of Subtitle', 'creatic'),
							'default'     => 'default',
							'priority'    => 10,
							'selector' => '.cl_service .box-content > .subtitle',
							'selectClass' => '',
							'choices'     => array(
								'default'  => esc_attr__( 'Default', 'creatic' ),
								'custom_font' => esc_attr__( 'Custom Font', 'creatic' ),
							),
							'cl_required'    => array(
									array(
										'setting'  => 'subtitle_bool',
										'operator' => '==',
										'value'    => true,
									),
							),
						),	


						'subtitle_font_size' => array(
		
								'type' => 'slider',
								'label' => esc_attr__('Subtitle Font Size', 'creatic'),
								'default' => '14',
								'selector' => '.cl_service .box-content > .subtitle',
								'css_property' => 'font-size',
								'choices'     => array(
									'min'  => '14',
									'max'  => '72',
									'step' => '1',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'subtitle_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),

						'subtitle_font_weight' => array(
		
								'type' => 'inline_select',
								'label' => esc_attr__('Subtitle Font Weight', 'creatic'),
								'default' => '400',
								'selector' => '.cl_service .box-content > .subtitle',
								'css_property' => 'font-weight',
								'choices'     => array(
									'100' => '100',
									'200' => '200',
									'300' => '300',
									'400' => '400',
									'500' => '500',
									'600' => '600',
									'700' => '700',
									'800' => '800'
								),
								'cl_required'    => array(
									array(
										'setting'  => 'subtitle_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),
							
						'subtitle_line_height' => array(
		
								'type' => 'slider',
								'label' => esc_attr__('Subtitle Line Height', 'creatic'),
								'default' => '18',
								'selector' => '.cl_service .box-content > .subtitle',
								'css_property' => 'line-height',
								'choices'     => array(
									'min'  => '20',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'subtitle_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),

						'subtitle_letterspace' => array(
		
								'type' => 'slider',
								'label' => esc_html__('Subtitle Letter-space', 'creatic'),
								'default' => '0',
								'selector' => '.cl_service .box-content > .subtitle',
								'css_property' => 'letter-spacing',
								'choices'     => array(
									'min'  => '0',
									'max'  => '4',
									'step' => '0.05',
									'suffix' => 'px'
								),
								'suffix' => 'px',
								'cl_required'    => array(
									array(
										'setting'  => 'subtitle_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
							),
						
						'subtitle_transform' => array(
								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Subtitle Text Transform', 'creatic' ),
								
								'default'     => 'none',
								'selector' => '.cl_service .box-content > .subtitle',
								'css_property' => 'text-transform',
								'choices' => array(
									'none' => esc_attr__('None', 'creatic'),
									'uppercase' => esc_attr__('Uppercase', 'creatic')
								),
								'cl_required'    => array(
									array(
										'setting'  => 'subtitle_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
								
							),

						'subtitle_color' => array(
								'type' => 'color',
								'label' => esc_attr__('Subtitle Color', 'creatic'),
								'default' => '#a7a7a7',
								'selector' => '.cl_service .box-content > .subtitle',
								'css_property' => 'color',
								'alpha' => true,
								'cl_required'    => array(
									array(
										'setting'  => 'subtitle_typography',
										'operator' => '==',
										'value'    => 'custom_font',
									),
								),
						),




					'typography_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Typography', 'creatic'),
						'groupid' => 'typography',
					),



					'animation_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'animation'
					),
					
						'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl_service'
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl_service',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl_service',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
					
					'animation_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'animation'
					),


				'design_tab_end' => array(
					'type' => 'tab_end',
					'label' => esc_attr__('Design', 'creatic'),
					'tabid' => 'design'
				),
			)
		));

 		

		/* Portfolio */



 		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Portfolio', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			'tooltip' => esc_attr__('Create Portfolio Element', 'creatic'),
			//'priority'    => 10,
			'icon'		  => 'icon-arrows-squares',
			'transport'   => 'postMessage',
			'settings'    => 'cl_portfolio',
			'css_dependency' => array( CODELESS_BASE_URL.'css/creatic-portfolio.css', CODELESS_BASE_URL.'css/ilightbox/css/ilightbox.css', CODELESS_BASE_URL.'css/owl.carousel.min.css', CODELESS_BASE_URL.'css/creatic-image-filters.css'),
			'marginPositions' => array('top'),
			'is_container' => false,
			'fields' => array(

				'element_tabs' => array(
					'type' => 'show_tabs',
					'default' => 'general',
					'tabs' => array(
						'general' => array( 'General', 'cl-icon-settings' ),
						'overlay' => array( 'Overlay', 'cl-icon-tune' )
					)
				),
				
				'general_tab_start' => array(
					'type' => 'tab_start',
					'label' => esc_attr__('General', 'creatic'),
					'tabid' => 'general'
				),
				
					/* ----------------------------------------------- */
					
					'options_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Layout', 'creatic'),
						'groupid' => 'layout'
					),

						


						'layout' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Layout', 'creatic' ),
							'default'     => 'grid',
							'choices' => array(
								'grid' => esc_attr__('Grid', 'creatic'),
								'masonry' => esc_attr__('Masonry', 'creatic'),
								'inline' => esc_attr__('Inline', 'creatic')
							),
							'selector' => '#portfolio-entries',
							'selectClass' => 'portfolio-layout-',
							'reloadTemplate' => true,
							
						),

						'masonry_extra_layout' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Masonry Extra Layout', 'creatic' ),
							'tooltip' => esc_attr__( 'If you leave default, all portfolio layouts in masonry will get the masonry layout from post meta(you can find in each portfolio post).', 'creatic' ),
							'default'     => 'default',
							'choices' => array(
								'default' => esc_attr__('Default', 'creatic'),
								'all_long' => esc_attr__('Only Long Layout', 'creatic'),
								
							),
							'reloadTemplate' => true,
							'cl_required'    => array(
									array(
										'setting'  => 'layout',
										'operator' => '==',
										'value'    => 'masonry',
									),
								),
							
						),

						'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'default'     => 'only_media',
							'choices' => array(
								'classic' => esc_attr__('Classic', 'creatic'),
								'classic_excerpt' => esc_attr__('Classic Excerpt', 'creatic'),
								'media_title' => esc_html__('Media and Title', 'creatic'),
								'only_media' => esc_attr__('Only Media', 'creatic'),
								'furniture' => esc_attr__('Furniture Style', 'creatic'),
								'presentation' => esc_attr__('Demo Presentation Style', 'creatic')
							),
							'selector' => '#portfolio-entries',
							'selectClass' => 'portfolio-style-',
							'reloadTemplate' => true
							
						),

						'columns' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Columns', 'creatic' ),
							'default'     => '3',
							'choices'     => array(
							  '1'  => esc_attr__( '1 Column', 'creatic' ),
						      '2'  => esc_attr__( '2 Columns', 'creatic' ),
						      '3' => esc_attr__( '3 Columns', 'creatic' ),
						      '4' => esc_attr__( '4 Columns', 'creatic' ),
						      '5' => esc_attr__( '5 Columns', 'creatic' ),
						   ),
							'selector' => '#portfolio-entries', 
							'htmldata' => 'grid-cols',
							'customJS' => array('front' => 'init_cl_portfolio'),
							'reloadTemplate' => true
							
						),

						'distance' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Columns (Items) Gap', 'creatic' ),
							'default'     => '15',
							'choices'     => array(
								'min'  => '0',
								'max'  => '35',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '#portfolio-entries .portfolio_item',
							'css_property' => 'padding',
							'customJS' => array('front' => 'init_cl_portfolio')
						),

						'image_size' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Image Size', 'creatic' ),
								'tooltip' => esc_html__( "You can change image sizes on Theme Panel", 'creatic') ." -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
								'default'     => 'portfolio_entry',
								'priority'    => 10,
								'choices'     => codeless_get_additional_image_sizes(),
								'reloadTemplate' => true
							),

						'portfolio_justify' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Justify Gallery', 'creatic' ),
							'default'     => 0,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off'  => esc_attr__( 'Off', 'creatic' )
							),
							'reloadTemplate' => true,
							'addClass' => 'cl-justify-gallery',
							'selector' => '#portfolio-entries',
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => false,
								),
							),
							
						),

						'portfolio_justify_rowheight' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Justify Row Height', 'creatic' ),
							'default'     => '200',
							'choices'     => array(
								'min'  => '120',
								'max'  => '1100',
								'step' => '5',
							),
							'suffix' => '',
							'selector' => '#portfolio-entries',
							'htmldata' => 'rowheight',
							'customJS' => array('front' => 'init_cl_portfolio'),
							array(
									'setting'  => 'portfolio_justify',
									'operator' => '==',
									'value'    => true,
							),
						),

						'portfolio_justify_margins' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Justify Item Margins', 'creatic' ),
							'default'     => '15',
							'choices'     => array(
								'min'  => '0',
								'max'  => '100',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '#portfolio-entries',
							'htmldata' => 'margins',
							'customJS' => array('front' => 'init_cl_portfolio'),
							array(
									'setting'  => 'portfolio_justify',
									'operator' => '==',
									'value'    => true,
							),
						),


					'options_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Layout', 'creatic'),
						'groupid' => 'layout'
					),


					'carousel_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Carousel', 'creatic'),
						'groupid' => 'carousel'
					),
						'carousel' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '#portfolio-entries',
							'addClass' => 'owl-carousel cl-carousel owl-theme',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio')
						),	


						'carousel_nav' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Nav', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '#portfolio-entries',
							'htmldata' => 'carousel-nav',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'),
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => true,
								),
							),
						),	



						'carousel_dots' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Dots', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '#portfolio-entries',
							'htmldata' => 'carousel-dots',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'), 
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => true,
								),
							),
						),	

					'carousel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Carousel', 'creatic'),
						'groupid' => 'carousel'
					),

					'extra_style' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Extra Style', 'creatic'),
						'groupid' => 'extra'
					),

						'portfolio_item_title_style' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Title Style', 'creatic' ),
							'tooltip' => '',
							'default'     => 'h4',
							'priority'    => 10,
							'choices'     => array(
								'h1'  => esc_attr__( 'H1', 'creatic' ),
								'h2' => esc_attr__( 'H2', 'creatic' ),
								'h3' => esc_attr__( 'H3', 'creatic' ),
								'h4' => esc_attr__( 'H4', 'creatic' ),
								'h5' => esc_attr__( 'H5', 'creatic' ),
								'h6' => esc_attr__( 'H6', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'style',
									'operator' => '!=',
									'value'    => 'only_media',
								),
							),
							'reloadTemplate' => true
						),


						'portfolio_item_title_font_family' => array(
			
									'type' => 'inline_select',
									'label' => esc_attr__('Font Family', 'creatic'),
									'default' => 'theme_default',
									'selector' => '#portfolio-entries h3, #portfolio-entries .subtitle',
									'css_property' => 'font-family',
									'choices_from' => 'codelessGoogleFonts',
									'choices' => array(),
									'cl_required'    => array(
										array(
											'setting'  => 'style',
											'operator' => '==',
											'value'    => 'furniture',
										),
									),
									
						),

						'portfolio_pagination_style' => array( 
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Pagination', 'creatic' ),
							'default'     => 'numbers',
							'choices'     => array(
								'none'  => esc_attr__( 'None', 'creatic' ),
								'numbers'  => esc_attr__( 'Page Numbers', 'creatic' ),
								'next_prev'  => esc_attr__( 'Next/Prev', 'creatic' ),
								'load_more'  => esc_attr__( 'Load More', 'creatic' ),
								'infinite_scroll'  => esc_attr__( 'Infinite', 'creatic' ),
								
							),
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'),
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => false,
								),
							),

						),

						'portfolio_filters' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Filters', 'creatic' ),
							'default'     => 'disabled',
							'choices'     => array(
								'disabled'  => esc_attr__( 'Disabled', 'creatic' ),
								'small'  => esc_attr__( 'Small Square', 'creatic' ),
								'fullwidth'  => esc_attr__( 'Fullwidth', 'creatic' )
							),
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'),
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => false,
								),
							),
							
						),

						'portfolio_filters_align' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Filter Align', 'creatic' ),
							'default'     => 'center',
							'choices'     => array(
								'left'  => esc_attr__( 'Left', 'creatic' ),
								'center'  => esc_attr__( 'Center', 'creatic' ),
								'right'  => esc_attr__( 'Right', 'creatic' ),
							),
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'),
							'cl_required'    => array(
								array(
									'setting'  => 'portfolio_filters',
									'operator' => '!=',
									'value'    => 'disabled',
								),
							),
							
						),

						'portfolio_filters_color' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Filter Color Type', 'creatic' ),
							'default'     => 'dark',
							'choices'     => array(
								'dark'  => esc_attr__( 'Dark', 'creatic' ),
								'light'  => esc_attr__( 'Light', 'creatic' )
							),
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'),
							'cl_required'    => array(
								array(
									'setting'  => 'portfolio_filters',
									'operator' => '==',
									'value'    => 'fullwidth',
								),
							),
							
						),



						'filter_fullwidth_shadow' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Fullwidth Filter with Shadow', 'creatic' ),
							'default'     => 0,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off'  => esc_attr__( 'Off', 'creatic' )
							),
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'),
							'cl_required'    => array(
								array(
									'setting'  => 'portfolio_filters',
									'operator' => '==',
									'value'    => 'fullwidth',
								),
							),
							
						),

						'filter_fullwidth_sticky' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Fullwidth Filter Sticky', 'creatic' ),
							'default'     => 0,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off'  => esc_attr__( 'Off', 'creatic' )
							),
							'reloadTemplate' => true,
							'customJS' => array('front' => 'init_cl_portfolio'),
							'cl_required'    => array(
								array(
									'setting'  => 'portfolio_filters',
									'operator' => '==',
									'value'    => 'fullwidth',
								),
							),
							
						),



						'image_filter' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Images Filter', 'creatic' ),
							'tooltip' => esc_attr__( 'Applied on portfolio images', 'creatic' ),
							'default'     => 'normal',
							'choices' => array(
								'normal' => 'normal',
								'darken' => 'darken',
								'_1977' => '1977',
								'aden' => 'aden',
								'brannan' => 'brannan',
								'brooklyn' => 'brooklyn',
								'clarendon' => 'clarendon',
								'earlybird' => 'earlybird',
								'gingham' => 'gingham',
								'hudson' => 'hudson',
								'inkwell' => 'inkwell',
								'kelvin' => 'kelvin',
								'lark' => 'lark',
								'lofi' => 'lo-Fi',
								'maven' => 'maven',
								'mayfair' => 'mayfair',
								'moon' => 'moon',
								'nashville' => 'nashville',
								'perpetua' => 'perpetua',
								'reyes' => 'reyes',
								'rise' => 'rise',
								'slumber' => 'slumber',
								'stinson' => 'stinson',
								'toaster' => 'toaster',
								'valencia' => 'valencia',
								'walden' => 'walden',
								'willow' => 'willow',
								'xpro2' => 'x-pro II'
							),
							'reloadTemplate' => true
						),

						

						'boxed' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Boxed Style', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want to add a boxed shadow. Works only on Classic and Classic with Excerpt', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '#portfolio-entries',
							'addClass' => 'portfolio_boxed',
						),	

						'portfolio_animation' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'Animation', 'creatic' ),
							'default'     => 'bottom-t-top',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),

							'reloadTemplate' => true,
						),




					'extra_style_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Extra Style', 'creatic'),
						'groupid' => 'extra'
					),


					'query_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),	

						'categories' => array(
							'type'     => 'select',
							'multiple' => 100,
							'priority' => 10,
							'label'       => esc_attr__( 'Categories', 'creatic' ),
							'default'     => '',
							'choices' => codeless_get_terms( 'portfolio_entries' ),
							'reloadTemplate' => true,
						),

						'posts_per_page' => array(
							'type' => 'text',
							'label'    => esc_html__( 'Items per page', 'creatic' ),
							'tooltip' => esc_html__( 'Maximal number of items that will show in one portfolio page', 'creatic' ),
							'default'  => 12,
							'reloadTemplate' => true
						),

						'orderby' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order By', 'creatic' ),
							'default'     => 'date',

							'choices'     => array(
								'none' => esc_html__('No order', 'creatic'),
								'ID' => esc_html__('Post ID', 'creatic'),
								'author' => esc_html__('Author', 'creatic'),
								'title' => esc_html__('Title', 'creatic'),
								'name' => esc_html__('Name (slug)', 'creatic'),
								'date' => esc_html__('Date', 'creatic'),
								'modified' => esc_html__('Modified', 'creatic'),
							),

							'reloadTemplate' => true,
						),


						'order' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order', 'creatic' ),
							'default'     => esc_html__('DESC', 'creatic'),

							'choices'     => array(
								'DESC' => esc_html__('Descending', 'creatic'),
								'ASC' => esc_html__('Ascending', 'creatic'),				
							),
							'reloadTemplate' => true
						),

						'portfolio_custom_link_target' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Link Target', 'creatic' ),
							'default'     => '_self',

							'choices'     => array(
								'_self' => esc_html__('_self', 'creatic'),
								'_blank' => esc_html__('_blank', 'creatic'),				
							),
							'reloadTemplate' => true
						),



					'query_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),

				'general_tab_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('General', 'creatic'),
						'tabid' => 'general'
				),	

				'overlay_start' => array(
						'type' => 'tab_start',
						'label' => esc_attr__('Overlay', 'creatic'),
						'tabid' => 'overlay'
				),

					'overlay_layout' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Overlay Layout', 'creatic'),
						'groupid' => 'overlay_layout'
					),
						'portfolio_overlay' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							
							'default'     => 'color',

							'choices'     => array(
								'none'  => esc_attr__( 'None', 'creatic' ),
								'color'  => esc_attr__( 'Color Overlay', 'creatic' ),
								'zoom_color'  => esc_attr__( 'Zoom and Color', 'creatic' ),
								'grayscale'  => esc_attr__( 'Grayscale Hover', 'creatic' ),
								'two_icons' => esc_attr__( 'Two Icons', 'creatic' )
							),
							'reloadTemplate' => true
						),

						

						'portfolio_overlay_layout' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Layout', 'creatic' ),
							'tooltip' => esc_attr__( 'Position of content into the overlay ( icons, title, tags )', 'creatic' ),
							'default'     => 'center',

							'choices'     => array(
								'center'  => esc_attr__( 'Center', 'creatic' ),
								'icon_top_content_bottom'  => esc_attr__( 'Icon Top / Content Bottom', 'creatic' ),
								'content_top'  => esc_attr__( 'Content Top / Icon Bottom', 'creatic' )
							),
							'selector' => '#portfolio-entries',
							'selectClass' => 'overlay-layout-'
						),

						'portfolio_overlay_title_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Show Title', 'creatic' ),
							'tooltip' => '',
							'default'     => 1,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'reloadTemplate' => true
						),

						'portfolio_overlay_title_style' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Title Style', 'creatic' ),
							'tooltip' => '',
							'default'     => 'h5',
							'priority'    => 10,
							'choices'     => array(
								'h1'  => esc_attr__( 'H1', 'creatic' ),
								'h2' => esc_attr__( 'H2', 'creatic' ),
								'h3' => esc_attr__( 'H3', 'creatic' ),
								'h4' => esc_attr__( 'H4', 'creatic' ),
								'h5' => esc_attr__( 'H5', 'creatic' ),
								'h6' => esc_attr__( 'H6', 'creatic' ),
							),
							'cl_required'    => array(
								array(
									'setting'  => 'portfolio_overlay_title_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
							'reloadTemplate' => true
						),

						'portfolio_overlay_categories_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Show Categories', 'creatic' ),
							'default'     => 1,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'reloadTemplate' => true
						),

						'portfolio_overlay_icon_bool' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Show Icon', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'reloadTemplate' => true
						),

						'portfolio_overlay_icon' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Icon', 'creatic' ),
							
							'default'     => 'plus2',

							'choices'     => array(
								'plus2'  => esc_attr__( 'Plus', 'creatic' ),
								'arrow-right'  => esc_attr__( 'Arrow Right', 'creatic' ),
								'expand2'  => esc_attr__( 'Expand', 'creatic' ),
								'lightbox' => esc_attr__( 'Lightbox', 'creatic' ),
								'lightbox_link' => esc_attr__( 'Lightbox & Link', 'creatic' ),
							),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'portfolio_overlay_icon_bool',
									'operator' => '==',
									'value'    => true,
								),
							),
						),


						'portfolio_overlay_distance' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Distance', 'creatic' ),
							'tooltip' => esc_attr__( 'Distance between portfolio overlay and photo corners', 'creatic' ),
							'default'     => '0',
							'choices'     => array(
								'min'  => '0',
								'max'  => '100',
								'step' => '5',
							),
							'suffix' => 'px',
							'selector' => '#portfolio-entries .entry-overlay',
							'css_property' => 'padding'
						),

					'overlay_layout_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Overlay Layout', 'creatic'),
						'groupid' => 'overlay_layout'
					),


					'overlay_design' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Overlay Design', 'creatic'),
						'groupid' => 'overlay_design'
					),

						'portfolio_overlay_color' => array(

							'type' => 'color',
							'label' => esc_html__('BG Color', 'creatic'),
							'default' => 'rgba(31, 180, 204, 0.86)',
							'selector' => '#portfolio-entries .portfolio_item .entry-overlay .overlay-wrapper',
							'css_property' => 'background-color',
							'alpha' => true
							
						),

						'overlay_gradient' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Overlay Bg Color', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'azure_pop' => esc_html__('Azure Pop', 'creatic'),
								'love_couple' => esc_attr__('Love Couple', 'creatic'),
								'disco' => esc_attr__('Disco', 'creatic'),
								'limeade' => esc_attr__('Limeade', 'creatic'),
								'dania' => esc_attr__('Dania', 'creatic'),
								'shades_of_grey' => esc_html__('Shades of Grey', 'creatic'),
								'dusk' => 'dusk',
								'delhi' => 'delhi',
								'sun_horizon' => esc_attr__('Sun Horizon', 'creatic'),
								'blood_red' => esc_attr__('Blood Red', 'creatic'),
								'sherbert' => esc_attr__('Sherbert', 'creatic'),
								'firewatch' => esc_attr__('Firewatch', 'creatic'),
								'frost' => esc_attr__('Frost', 'creatic'),
								'mauve' => esc_attr__('Mauve', 'creatic'),
								'deep_sea' => esc_attr__('Deep Sea', 'creatic'),
								'solid_vault' => esc_attr__('Solid Vault', 'creatic'),
								'deep_space' => esc_html__('Deep Space', 'creatic'),
								'suzy' => esc_attr__('Suzy', 'creatic')
								
								
							),
							'selector' => '#portfolio-entries .portfolio_item .entry-overlay .overlay-wrapper',
							'selectClass' => 'cl-gradient-',
						
						),

						'portfolio_overlay_content_color' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Content Color', 'creatic' ),
							'default'     => 'light-text',

							'choices'     => array(
								'light-text'  => esc_attr__( 'Light', 'creatic' ),
								'dark-text'  => esc_attr__( 'Dark', 'creatic' )
							),

							'reloadTemplate' => true,
							'selector' => '#portfolio-entries .entry-overlay',
							'selectClass' => ''
						),
						

						'portfolio_overlay_content_animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Content Animation', 'creatic' ),
							'default'     => 'alpha-anim',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
							
							),
							'selector' => '#portfolio-entries',
							'selectClass' => 'overlay-anim_'
						),

					'overlay_design_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Overlay Design', 'creatic'),
						'groupid' => 'overlay_design'
					),

				'overlay_end' => array(
						'type' => 'tab_end',
						'label' => esc_attr__('Overlay', 'creatic'),
						'tabid' => 'overlay'
				),


				

			)
 		));
		
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Portfolio Nav', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				'tooltip' => '',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-webpage-multiple',
				'transport'   => 'postMessage',
				'settings'    => 'cl_portfolio_nav',
				'marginPositions' => array('top'),
				'is_container' => false,
				'show_only_on' => 'portfolio',
				'fields' => array(

					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'default'     => 'simple',
							'choices' => array(
								'simple'	=> esc_attr__('Simple', 'creatic'),
								'modern' => esc_html__('Modern & Images', 'creatic'),
							),
							'reloadTemplate' => true,
					),

					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.portfolio-navigation',
							'css_property' => '',
							'default' => array('margin-top' => '80px'),
					),
				)
			));
		


 		/* Codeless Slider */
 		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Codeless Slider', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			'tooltip' => esc_attr__('Codeless Slider', 'creatic'),
			//'priority'    => 10,
			'icon'		  => 'icon-basic-webpage-multiple',
			'transport'   => 'postMessage',
			'settings'    => 'cl_slider',
			'is_root'	  => true,
			'marginPositions' => array('top'),
			'is_container' => true,
			'fields' => array(

				

				'slider_height' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Slider Height', 'creatic' ),
							'tooltip' => esc_attr__( 'This is used as slider height. All slides inherit this value', 'creatic' ),
							'default'     => '400',
							'choices'     => array(
								'min'  => '200',
								'max'  => '2000',
								'step' => '5',
							),
							'suffix' => 'px', 
							'selector' => '.cl_slider',
							'css_property' => 'height'
				),



				'centered_carousel' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Use as centered carousel', 'creatic' ),
							'tooltip' => '',
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'addClass' => 'cl_slider-centered_carousel',
							'customJS' => array('front' => 'codelessSlider')
				),

				'max_width_slide' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Max Width for slide', 'creatic' ),
							'tooltip' => esc_attr__( 'Set a max width for slide, useful to create a carousel style', 'creatic' ),
							'default'     => '',
							'choices'     => array(
								'min'  => '400',
								'max'  => '1800',
								'step' => '10',
							),
							'suffix' => 'px', 
							'selector' => '.cl_slider .swiper-slide',
							'css_property' => 'max-width',
							'cl_reuired'    => array(
								array(
									'setting'  => 'centered_carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'customJS' => array('front' => 'codelessSlider')
				),

				'fullheight_slider' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Full Height Slider', 'creatic' ),
							'tooltip' => esc_html__('Stretch Slider in a fullscreen style.', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'addClass' => 'cl_slider-fullheight',
							'customJS' => array('front' => 'fullHeightSlider'),
				),

				

				'fullheight_responsive' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Force Fullheight on responsive', 'creatic' ),
							'tooltip' => esc_html__('Active to force fullheight slider on responsive devices', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'addClass' => 'cl_slider-force-fullheight',
							'customJS' => array('front' => 'fullHeightSlider'),
				),

				'navigation' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Prev / Next Buttons', 'creatic' ),
							'tooltip' => esc_html__('Switch on/off navigation buttons', 'creatic'),
							'default'     => 1,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'htmldata' => 'navigation',
						),

				'navigation_style' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Navigation Style', 'creatic' ),
							'tooltip' => esc_html__('Switch on/off navigation buttons', 'creatic'),
							'default'     => 'lateral',
							'priority'    => 10,
							'choices'     => array(
								'lateral' => esc_attr__('Lateral', 'creatic'),
								'rounded_left_bottom' => esc_attr__('Rounded Left Bottom', 'creatic')
							),
							'selector' => '.cl_slider',
							'htmldata' => 'navigation-style',
						),

				'pagination' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Pagination Buttons', 'creatic' ),
							'tooltip' => esc_html__('Switch on/off pagination buttons', 'creatic'),
							'default'     => 1,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'htmldata' => 'pagination',
						),

				'pagination_style' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Pagination Style', 'creatic' ),
							'tooltip' => esc_html__('Switch on/off pagination buttons', 'creatic'),
							'default'     => 'round',
							'priority'    => 10,
							'choices'     => array(
								'round' => esc_attr__('Rounded', 'creatic'),
								'lines' => esc_attr__('Lines', 'creatic')
							),
							'selector' => '.cl_slider',
							'htmldata' => 'pagination-style',
						),
				'effect' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Effect', 'creatic' ),
							'tooltip' => esc_attr__( 'Need reload to function properly. Test it in website frontpage or make a reload here.', 'creatic' ),
							'default'     => 'fade',
							'choices' => array(
								'fade' => esc_attr__('Fade', 'creatic'),
								'slide' => esc_attr__('Slide', 'creatic'),
								'cube' => esc_attr__('Cube', 'creatic'),
								'coverflow' => esc_attr__('Coverflow', 'creatic'),
								'flip' => esc_attr__('Flip', 'creatic'),
								'interleave' => esc_attr__('Interleave', 'creatic'),
								'softscale' => esc_html__('SoftScale', 'creatic')
							),
							'selector' => '.cl_slider',
							'htmldata' => 'effect',
							'customJS' => array('front' => 'codelessSlider')
						),
				'direction' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Direction', 'creatic' ),
							'tooltip' => esc_attr__( 'Need reload to function properly. Test it in website frontpage or make a reload here.', 'creatic' ),
							'default'     => 'horizontal',
							'choices' => array(
								'horizontal' => esc_attr__('Horizontal', 'creatic'),
								'vertical' => esc_attr__('Vertical', 'creatic'),
								
							),
							'selector' => '.cl_slider',
							'htmldata' => 'direction'
						),
				'responsive_plain_slider' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Slider as Plain in responsive', 'creatic' ),
							'tooltip' => esc_html__('By switch this on slider will show as plain sections not as slider in responsive devices. Works only with Vetical Slider', 'creatic'),
							'default'     => 1,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'qcl_reuired'    => array(
								array(
									'setting'  => 'direction',
									'operator' => '==',
									'value'    => 'vertical',
								),
							),
							'addClass' => 'cl_slider-responsive-plain',
				),
				'speed' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Transition Speed', 'creatic' ),
							'tooltip' => esc_attr__( 'Need reload to function properly. Test it in website frontpage or make a reload here.', 'creatic' ),
							'default'     => '300',
							'selector' => '.cl_slider',
							'htmldata' => 'speed'
						),
				'autoplay' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Autoplay, delay between slides in ms', 'creatic' ),
							'tooltip' => esc_attr__( 'Leave 0 if you dont want an autoplay slider', 'creatic' ),
							'default'     => '6500',
							'selector' => '.cl_slider',
							'htmldata' => 'autoplay'
						),
				'loop' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Loop', 'creatic' ),
							'tooltip' => '',
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'htmldata' => 'loop',
						),

				'anchor_labels' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Show Anchor Labels', 'creatic' ),
							'tooltip' => '',
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'htmldata' => 'anchors',
						),
				'mousewheel' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Mousewheel', 'creatic' ),
							'tooltip' => esc_html__('Useful in vertical sliders', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_slider',
							'htmldata' => 'mousewheel',
						),

				'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_slider',
							'css_property' => '',
							'default' => array('margin-top' => '0px' )
					),

				
			)
		));

			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Codeless Slide', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				'tooltip' => esc_html__('Add new slide for codeless slider', 'creatic'),
				//'priority'    => 10,
				'icon'		  => 'icon-basic-elaboration-browser-star',
				'transport'   => 'postMessage',
				'settings'    => 'cl_slide',
				'hide_from_list' => true,
				'is_container' => true,
				'fields' => array(
					'animation_slide' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'cinemagraphs_first' => esc_html__('Cinemagraphs 1', 'creatic'),
								'cinemagraphs_two' => esc_html__('Cinemagraphs 2', 'creatic')
								
							),
							'selector' => '.cl-slide',
							'selectClass' => 'cl-slide-animation animation--'
					),

					'add_scroll_svg' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Scroll SVG Bottom', 'creatic' ),
							'tooltip' => esc_html__( 'By activate this a new SVG Mouse Scroll indication will show on this slide.', 'creatic' ),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							)
							
					),
				)
			));


			

			

			/* Testimonial */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Testimonial', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-message-multiple',
				'transport'   => 'postMessage',
				'settings'    => 'cl_testimonial',
				'is_container' => false,
				'css_dependency' => array( CODELESS_BASE_URL.'css/owl.carousel.min.css'),
				'marginPositions' => array('top'),
				'fields' => array(
					'main_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Main', 'creatic'),
						'groupid' => 'main'
					),	
						'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'tooltip' => esc_attr__( 'In all styles with Photo use the featured Image Field to add an image.', 'creatic' ),
							'default' => 'simple',
							'choices' => array(
								'simple' => esc_attr__('Simple', 'creatic'),
								'simple_photo_circle' => esc_html__('Simple With Circle Photo', 'creatic'),
								'boxed_small' => esc_attr__('Boxed Small', 'creatic')
							),
							'selector' => '.testimonial-entries',
							'selectClass' => 'style-',
							'reloadTemplate' => true
						),

						'is_single' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Single Testimonial', 'creatic' ),
							'tooltip' => esc_html__('Switch On to show only one Testimonial.', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_testimonial',
							'addClass' => 'is_single',
							'reloadTemplate' => true
						),

						'testimonial_id' => array(
							'type'     => 'select',
							'priority' => 10,
							'label'       => esc_attr__( 'Single Item', 'creatic' ),
							
							'default'     => '',
							'choices' => codeless_get_items_by_term( 'testimonial' ),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'is_single',
									'operator' => '==',
									'value'    => 1,
								),
							)
						),

					'main_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Main', 'creatic'),
						'groupid' => 'main'
					),	

					'carousel_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Carousel', 'creatic'),
						'groupid' => 'carousel'
					),	
						'carousel_nav' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Nav', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.testimonial-entries',
							'htmldata' => 'carousel-nav',
							'reloadTemplate' => true

						),	



						'carousel_dots' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Dots', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.testimonial-entries',
							'htmldata' => 'carousel-dots',
							'reloadTemplate' => true,

						),	

					'carousel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Carousel', 'creatic'),
						'groupid' => 'carousel'
					),

					'query_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),	

						'categories' => array(
							'type'     => 'select',
							'multiple' => 100,
							'priority' => 10,
							'label'       => esc_attr__( 'Categories', 'creatic' ),
							
							'default'     => '',
							'choices' => codeless_get_terms( 'testimonial_entries' ),
							'reloadTemplate' => true,
						),

						'posts_per_page' => array(
							'type' => 'text',
							'label'    => esc_html__( 'Items per page', 'creatic' ),
							'tooltip' => esc_html__( 'Maximal number of items that will show', 'creatic' ),
							'default'  => 12,
							'reloadTemplate' => true
						),

						'orderby' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order By', 'creatic' ),
							
							'default'     => 'date',
							'multiple' => false,
							'choices'     => array(
								'none' => esc_html__('No order', 'creatic'),
								'ID' => esc_html__('Post ID', 'creatic'),
								'author' => esc_html__('Author', 'creatic'),
								'title' => esc_html__('Title', 'creatic'),
								'name' => esc_html__('Name (slug)', 'creatic'),
								'date' => esc_html__('Date', 'creatic'),
								'modified' => esc_html__('Modified', 'creatic'),
							),

							'reloadTemplate' => true,
						),


						'order' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order By', 'creatic' ),
							
							'default'     => esc_html__('DESC', 'creatic'),
							'multiple' => false,
							'choices'     => array(
								'DESC' => esc_html__('Descending', 'creatic'),
								'ASC' => esc_html__('Ascending', 'creatic'),				
							),
							'reloadTemplate' => true
						),



					'query_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),

					'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.testimonial-entries',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
					),

				)

			));

			/* Blog */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Blog', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-archive-full',
				'transport'   => 'postMessage',
				'settings'    => 'cl_blog',
				'is_container' => false,
				'marginPositions' => array('top'),
				'css_dependency' => array( CODELESS_BASE_URL.'css/ilightbox/css/ilightbox.css', CODELESS_BASE_URL.'css/owl.carousel.min.css', CODELESS_BASE_URL.'css/creatic-image-filters.css'),
				'fields' => array(
					'general_group_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('General', 'creatic'),
						'groupid' => 'general'
					),	

						'blog_style' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'Blog Style', 'creatic' ),
							'tooltip' => esc_html__( 'Select one of the blog styles that you want to use as a default template', 'creatic' ),
							'default'     => 'grid',
							'choices'     => array(
								'default'  => esc_attr__( 'Default', 'creatic' ),
								'grid'  => esc_attr__( 'Grid', 'creatic' ),
								'fullimage'  => esc_attr__( 'Full Image with White Overlay', 'creatic' ),
								'fullimage_transparent'  => esc_attr__( 'Full Image Transparent', 'creatic' ),
								'masonry' => esc_attr__( 'Masonry', 'creatic' ),
								'news' => esc_attr__( 'News', 'creatic' ),

								'media' => esc_attr__( 'Only Media', 'creatic' )
							),

							'reloadTemplate' => true,
						),

						'blog_all_centered' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'All Centered Style', 'creatic' ),
							'tooltip'       => '',
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_blog > .blog-entries',
							'addClass' => 'all-centered',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'blog_style',
									'operator' => '==',
									'value'    => 'default',
								),
							),

						),

						'blog_grid_minimal' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Grid Minimal Style', 'creatic' ),
							'tooltip'       => esc_attr__( 'Remove Images and make more minimal style', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_blog > .blog-entries',
							'addClass' => 'grid-minimal-style',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'blog_style',
									'operator' => '==',
									'value'    => 'grid',
								),
							),

						),


						'blog_news' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'News Grid Layout', 'creatic' ),
							'tooltip' => esc_html__( 'Select one of the blog news grid layouts.', 'creatic' ),
							'default'     => 'grid_1',
							'choices' => array(
								'grid_1' => esc_html__('Layout 1', 'creatic'),
								'grid_2' => esc_html__('Layout 2', 'creatic'),
								'grid_3' => esc_html__('Layout 3', 'creatic'),
							),
							'selector' => '.cl_blog > .blog-entries',
							'selectClass' => 'news-layout-',
							'cl_required'    => array(
								array(
									'setting'  => 'blog_style',
									'operator' => '==',
									'value'    => 'news',
								),
							),
							'reloadTemplate' => true,
						),


						'blog_grid_layout' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'Grid Layout', 'creatic' ),
							'default'     => '3',
							'choices' => array(
								'2'	=> '2 Columns',
								'3'	=> '3 Columns',
								'4'	=> '4 Columns',
								'5'	=> '5 Columns',
							),
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => false,
								),
							),

							'reloadTemplate' => true,
						),

						'distance' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Columns (Items) Gap', 'creatic' ),
							'default'     => '15',
							'choices'     => array(
								'min'  => '0',
								'max'  => '35',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.cl_blog > .blog-entries article',
							'css_property' => 'padding',
							'customJS' => array('front' => 'init_cl_portfolio')
						),

						'blog_pagination' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Blog Pagination', 'creatic' ),
							
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'reloadTemplate' => true

						),	


						'blog_animation' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'Animation Type', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),

							'reloadTemplate' => true,
						),

						'image_filter' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Images Filter', 'creatic' ),
							'tooltip' => esc_attr__( 'Applied on blog images', 'creatic' ),
							'default'     => 'normal',
							'choices' => array(
								'normal' => 'normal',
								'darken' => 'darken',
								'_1977' => '1977',
								'aden' => 'aden',
								'brannan' => 'brannan',
								'brooklyn' => 'brooklyn',
								'clarendon' => 'clarendon',
								'earlybird' => 'earlybird',
								'gingham' => 'gingham',
								'hudson' => 'hudson',
								'inkwell' => 'inkwell',
								'kelvin' => 'kelvin',
								'lark' => 'lark',
								'lofi' => 'lo-Fi',
								'maven' => 'maven',
								'mayfair' => 'mayfair',
								'moon' => 'moon',
								'nashville' => 'nashville',
								'perpetua' => 'perpetua',
								'reyes' => 'reyes',
								'rise' => 'rise',
								'slumber' => 'slumber',
								'stinson' => 'stinson',
								'toaster' => 'toaster',
								'valencia' => 'valencia',
								'walden' => 'walden',
								'willow' => 'willow',
								'xpro2' => 'x-pro II'
							),
							'reloadTemplate' => true
						),

						'blog_image_lazyload' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Lazyload Image', 'creatic' ),
							'tooltip' => esc_attr__( 'Image will be loaded only when it\'s on viewport', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),

							'reloadTemplate' => true,
						),

						'image_size' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Image Size', 'creatic' ),
								'tooltip' => "You can change image sizes on Theme Panel -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>. When leaved default, for grid, alternate, news, media styles will be use the 'blog_entry_small' for other styles the 'blog_entry' ",
								'default'     => 'theme_default',
								'priority'    => 10,
								'choices'     => codeless_get_additional_image_sizes(),
								'reloadTemplate' => true
							),

						'blog_filters' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Blog Filters', 'creatic' ),
							
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'reloadTemplate' => true

						),

						'blog_title' => array(
							'type' => 'text',
							'label'    => esc_html__( 'Title of Blog Element', 'creatic' ),
							'tooltip' => '',
							'default'  => esc_attr__('Blog Title', 'creatic'),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'blog_filters',
									'operator' => '==',
									'value'    => true,
								),
							),
						),

					


					'general_group_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('General', 'creatic'),
						'groupid' => 'general'
					),


					'carousel_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Carousel', 'creatic'),
						'groupid' => 'carousel'
					),	

						'carousel' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_blog > .blog-entries',
							'addClass' => 'owl-carousel cl-carousel owl-theme',
							'reloadTemplate' => true,
						),	

						'carousel_nav' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Nav', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'creatic' ),
							'default'     => 1,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_blog > .blog-entries',
							'htmldata' => 'carousel-nav',
							'reloadTemplate' => true

						),	

						'carousel_dots' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Dots', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_blog > .blog-entries',
							'htmldata' => 'carousel-dots',
							'reloadTemplate' => true,

						),	

						'carousel_layout' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'Carousel Layout', 'creatic' ),
							'default'     => '3',
							'choices' => array(
								'1'	=> '1 Column',
								'2'	=> '2 Columns',
								'3'	=> '3 Columns',
								'4'	=> '4 Columns',
								'5'	=> '5 Columns',
							),
							'selector' => '.cl_blog > .blog-entries',
							'htmldata' => 'carousel-layout',
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => true,
								),
							),

							'reloadTemplate' => true,
						),

						'carousel_effect' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'Carousel Effect', 'creatic' ),
							'default'     => '3',
							'choices' => array(
								'default'	=> esc_attr__('Slide', 'creatic'),
								'fade'	=> esc_attr__('Fade', 'creatic'),
							),
							'selector' => '.cl_blog > .blog-entries',
							'htmldata' => 'carousel-effect',
							'cl_required'    => array(
								array(
									'setting'  => 'carousel_layout',
									'operator' => '==',
									'value'    => "1",
								),
							),

							'reloadTemplate' => true,
						),

						'carousel_stagepadding' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Stage Padding', 'creatic' ),
							'tooltip' => esc_attr__( 'Add Stage padding to the right', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_blog > .blog-entries',
							'htmldata' => 'carousel-stagepadding',
							'reloadTemplate' => true,

						),	

					'carousel_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Carousel', 'creatic'),
						'groupid' => 'carousel'
					),

					'query_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),	

						'categories' => array(
							'type'     => 'select',
							'multiple' => 100,
							'priority' => 10,
							'label'       => esc_attr__( 'Categories', 'creatic' ),
							
							'default'     => '',
							'choices' => codeless_get_terms( 'post' ),
							'reloadTemplate' => true,
						),

						'posts_per_page' => array(
							'type' => 'text',
							'label'    => esc_html__( 'Items per page', 'creatic' ),
							'tooltip' => esc_html__( 'Maximal number of items that will show', 'creatic' ),
							'default'  => 6,
							'reloadTemplate' => true
						),

						'orderby' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order By', 'creatic' ),
							
							'default'     => 'date',
							'multiple' => false,
							'choices'     => array(
								'none' => esc_html__('No order', 'creatic'),
								'ID' => esc_html__('Post ID', 'creatic'),
								'author' => esc_html__('Author', 'creatic'),
								'title' => esc_html__('Title', 'creatic'),
								'name' => esc_html__('Name (slug)', 'creatic'),
								'date' => esc_html__('Date', 'creatic'),
								'modified' => esc_html__('Modified', 'creatic'),
							),

							'reloadTemplate' => true,
						),


						'order' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order By', 'creatic' ),
							
							'default'     => esc_html__('DESC', 'creatic'),
							'multiple' => false,
							'choices'     => array(
								'DESC' => esc_html__('Descending', 'creatic'),
								'ASC' => esc_html__('Ascending', 'creatic'),				
							),
							'reloadTemplate' => true
						),

						'related' => array(
							'type' => 'text',
							'label'    => esc_html__( 'Related', 'creatic' ),
							'tooltip' => esc_html__( 'used for related posts on single blog', 'creatic' ),
							'default'  => 0,
							'show' => false
						),



					'query_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),

					'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.cl_blog',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
					),

				)
			));

 			/* Team */
 			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Team', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-postcard-multiple',
				'transport'   => 'postMessage',
				'settings'    => 'cl_team',
				'is_container' => false,
				'css_dependency' => array( CODELESS_BASE_URL.'css/owl.carousel.min.css'),
				'marginPositions' => array('top'),
				'fields' => array(

					'general_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('General', 'creatic'),
						'groupid' => 'general'
					),	

						'is_single' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Single Team', 'creatic' ),
							'tooltip' => esc_html__('Switch On to show only one Team Member.', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_team',
							'addClass' => 'is_single',
							'reloadTemplate' => true
						),

						'style' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							
							'default'     => 'simple',

							'choices'     => array(
								'simple' => esc_html__('Simple', 'creatic'),
								'photo' => esc_html__('Only Photo', 'creatic'),
								'simple_reverse' => esc_html__('Simple Reverse', 'creatic') 
							),
							'selector' => '.cl_team',
							'selectClass' => 'style-',

							'reloadTemplate' => true,
							
						),

						'hide_content' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Hide Content', 'creatic' ),
							'tooltip' => esc_html__('Switch On to hide content', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_team',
							'addClass' => 'hide_content',
							'cl_required'    => array(
								array(
									'setting'  => 'style',
									'operator' => '==',
									'value'    => 'photo',
								),
							)
						),

						'grid_layout' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'    => esc_html__( 'Layout', 'creatic' ),
							'default'     => '3',
							'choices' => array(
								'2'	=> '2 Columns',
								'3'	=> '3 Columns',
								'4'	=> '4 Columns',
								'5'	=> '5 Columns',
								'6'	=> '6 Columns',
							),
							'selector' => '.cl_team',
							'htmldata' => 'columns',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'is_single',
									'operator' => '==',
									'value'    => 0,
								),
							)
						),

						'team_items_distance' => array(
								'type'     => 'slider',
								'priority' => 10,
								'label'       => esc_attr__( 'Distance between Team Members', 'creatic' ),
								
								'default'     => '15',
								'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '5',
								),
								'suffix' => 'px',
								'selector' => '.cl_team .team-item',
								'css_property' => 'padding'
							),

						'carousel' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							
							),
							'selector' => '.cl_team',
							'addClass' => 'owl-carousel cl-carousel owl-theme',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'teamCarousel')
						),	


						'carousel_nav' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Nav', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_team',
							'htmldata' => 'carousel-nav',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'teamCarousel'),
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),
						),	



						'carousel_dots' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Dots', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_team',
							'htmldata' => 'carousel-dots',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'teamCarousel'), 
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),
						),	

						'carousel_center' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Center', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_team',
							'htmldata' => 'center',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'teamCarousel'), 
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),
						),	

						'carousel_loop' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Loop', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_team',
							'htmldata' => 'loop',
							'reloadTemplate' => true,
							'customJS' => array('front' => 'teamCarousel'), 
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),
						),	


						'title_typography' => array(
							'type'        => 'inline_select',
							'label'       => esc_html__( 'Title Typography', 'creatic' ),
							'tooltip' => esc_html__('Select one of the predefined title typography styles on Styling Section', 'creatic'),
							'default'     => 'h3',
							'priority'    => 10,
							'selector' => '.cl_team .team-name',
							'selectClass' => 'custom_font ',
							'choices'     => array(
								'h1'  => esc_attr__( 'H1', 'creatic' ),
								'h2' => esc_attr__( 'H2', 'creatic' ),
								'h3' => esc_attr__( 'H3', 'creatic' ),
								'h4' => esc_attr__( 'H4', 'creatic' ),
								'h5' => esc_attr__( 'H5', 'creatic' ),
								'h6' => esc_attr__( 'H6', 'creatic' ),
							),
						),


						'team_animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'reloadTemplate' => true
						),

						'image_size' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Image Size', 'creatic' ),
								'tooltip' => esc_html__( "You can change image sizes on Theme Panel", 'creatic') ." -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
								'default'     => 'team_entry',
								'priority'    => 10,
								'choices'     => codeless_get_additional_image_sizes(),
								'reloadTemplate' => true
							),


					'general_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('General', 'creatic'),
						'groupid' => 'general'
					),	


 					'query_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),	

						'team_id' => array(
							'type'     => 'select',
							'priority' => 10,
							'label'       => esc_attr__( 'Items', 'creatic' ),
							
							'default'     => '',
							'choices' => codeless_get_items_by_term( 'staff' ),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'is_single',
									'operator' => '==',
									'value'    => 1,
								),
							)
						),

						'categories' => array(
							'type'     => 'select',
							'multiple' => 100,
							'priority' => 10,
							'label'       => esc_attr__( 'Categories', 'creatic' ),
							
							'default'     => '',
							'choices' => codeless_get_terms( 'staff_entries' ),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'is_single',
									'operator' => '==',
									'value'    => 0,
								),
							)
						),

						'posts_per_page' => array(
							'type' => 'text',
							'label'    => esc_html__( 'Items per page', 'creatic' ),
							'tooltip' => esc_html__( 'Maximal number of items that will show in one portfolio page', 'creatic' ),
							'default'  => 12,
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'is_single',
									'operator' => '==',
									'value'    => 0,
								),
							)
						),

						'orderby' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order By', 'creatic' ),
							
							'default'     => 'date',

							'choices'     => array(
								'none' => esc_html__('No order', 'creatic'),
								'ID' => esc_html__('Post ID', 'creatic'),
								'author' => esc_html__('Author', 'creatic'),
								'title' => esc_html__('Title', 'creatic'),
								'name' => esc_html__('Name (slug)', 'creatic'),
								'date' => esc_html__('Date', 'creatic'),
								'modified' => esc_html__('Modified', 'creatic'),
							),

							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'is_single',
									'operator' => '==',
									'value'    => 0,
								),
							)
						),


						'order' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Order By', 'creatic' ),
							
							'default'     => esc_html__('DESC', 'creatic'),

							'choices'     => array(
								'DESC' => esc_html__('Descending', 'creatic'),
								'ASC' => esc_html__('Ascending', 'creatic'),				
							),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'is_single',
									'operator' => '==',
									'value'    => 0,
								),
							)
						),



					'query_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Query', 'creatic'),
						'groupid' => 'query'
					),


					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_team',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
						),



				)
			));
			
 			

 			/* Clients */
 			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Clients', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-cards-hearts',
				'transport'   => 'postMessage',
				'settings'    => 'cl_clients',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(

					'carousel' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Carousel', 'creatic' ),
							'tooltip' => '',
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_clients',
							'addClass' => 'cl-carousel owl-carousel owl-theme',
							'reloadTemplate' => true
					),

					'carousel_view_items' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Items', 'creatic' ),
							
							'default'     => '6',
							'choices' => array(
								'2' =>	'2 items',
								'3' =>	'3 items',
								'4' => '4 items',
								'5' => '5 items',
								'6' => '6 items',
								'7' => '7 items',
							),
							'selector' => '.cl_clients',
							'htmldata' => 'items',
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),
							'reloadTemplate' => true,
					),

					'carousel_nav' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Nav', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel navigation', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_clients',
							'htmldata' => 'carousel-nav',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),

						),	



						'carousel_dots' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Carousel Dots', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch On if you want carousel dots ( pagination )', 'creatic' ),
							'default'     => 1,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_clients',
							'htmldata' => 'carousel-dots',
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 1,
								),
							),

						),

					'images' => array(
						'type'     => 'image_gallery',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Clients Images', 'creatic' ),
						
						'reloadTemplate' => true,
					),

					'items_per_row' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Items per Row', 'creatic' ),
							
							'default'     => 'all',
							'choices' => array(
								'all'	=> esc_attr__('All', 'creatic'),
								'2' =>	'2 items',
								'3' =>	'3 items',
								'4' => '4 items',
								'5' => '5 items',
								'6' => '6 items',
								'7' => '7 items',
							),
							'selector' => '.cl_clients',
							'selectClass' => 'items_',
							'cl_required'    => array(
								array(
									'setting'  => 'carousel',
									'operator' => '==',
									'value'    => 0,
								),
							),
					),

					'clients_style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('Only Image', 'creatic'),
								'opacity_shadow' => esc_html__('Shadow on hover', 'creatic')
							),
							'selector' => '.cl_clients',
							'selectClass' => 'style_'
					),

					'overlay_color' => array(
							'type' => 'color',
							'label' => esc_html__('Overlay BG Color', 'creatic'),
							'default' => 'rgba(255,255,255,0.85)',
							'selector' => '.cl_clients .client-item .overlay-bg',
							
							'css_property' => 'background-color',
							'alpha' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'clients_style',
									'operator' => '==',
									'value'    => 'overlay_title',
								),
							),
					),

					'autoplay_timeout' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Autoplay Timeout', 'creatic' ),
						
						'default'     => '5000',
						'htmldata' => 'autoplay-timeout',
						'selector' => '.cl_clients',
						'reloadTemplate' => true
					),

					'show_title' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Show Title in overlay', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'reloadTemplate' => true,
							'cl_required'    => array(
								array(
									'setting'  => 'clients_style',
									'operator' => '==',
									'value'    => 'overlay_title',
								),
							),

						),

					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_clients',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
					),
				)
			));

 			/* Empty Space */
 			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Empty Space', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-arrows-expand-vertical1',
				'transport'   => 'postMessage',
				'settings'    => 'cl_empty',
				'marginPositions' => array('top'),
				'is_container' => false,
				'fields' => array(
					'space' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Space in Pixels', 'creatic' ),
						
						'selector' => '.cl_empty',
						'css_property' => 'height',
						'default'     => '60px'
					),

					'responsive' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Responsive', 'creatic' ),
							'tooltip' => esc_html__('Stretch Row in a fullscreen style.', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
					),

					'custom_767' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Space Max-Width:767px (Phones)', 'creatic' ),
							'tooltip' => esc_attr__( 'Is applied only for media screen (max-width:767px)', 'creatic' ),
							'default'     => '60',
							
							'suffix' => 'px',
							'selector' => '.cl_empty',
							'css_property' => 'height',
							'media_query' => '(max-width: 767px)',
							'cl_required'    => array(
								array(
									'setting'  => 'responsive',
									'operator' => '==',
									'value'    => 1,
								),
							),
						),

					'custom_1024' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Space Max-Width:1024px ( Tablet )', 'creatic' ),
							'tooltip' => esc_attr__( 'Is applied only for media screen (max-width:1024px)', 'creatic' ),
							'default'     => '60',
							
							'suffix' => 'px',
							'selector' => '.cl_empty',
							'css_property' => 'height',
							'media_query' => '(max-width: 1024px)',
							'cl_required'    => array(
								array(
									'setting'  => 'responsive',
									'operator' => '==',
									'value'    => 1,
								),
							),
						),
				)
			));

			/* Counter */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Counter', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-clessidre',
				'transport'   => 'postMessage',
				'settings'    => 'cl_counter',
				'css_dependency' => array(CODELESS_BASE_URL.'css/odometer.css'),
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					'number' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Number Counter', 'creatic' ),
						
						'default'     => '124',
						'reloadTemplate' => true,
						'customJS' => array('front' => 'animations')
					),

					'duration' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Animation Duration', 'creatic' ),
						
						'default'     => '2000',
						'reloadTemplate' => true,
						'customJS' => array('front' => 'animations')
					),

					'suffix' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Suffix', 'creatic' ),
						
						'default'     => '',
						'reloadTemplate' => true,
						'customJS' => array('front' => 'animations')
					),

					'align' => array(

							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Align', 'creatic' ),
							
							'default'     => 'center',
							'multiple' => false,
							'choices'     => array(
								'left' => esc_html__('Left', 'creatic'),
								'center' => esc_html__('Center', 'creatic'),	
								'right' => esc_html__('Right', 'creatic'),			
							),
							'selector' => '.cl_counter',
							'selectClass' => 'align-'
						),

					'custom_color' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Custom Color', 'creatic' ),
							'tooltip' => esc_attr__('Custom Color', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
					),

					'color' => array(
							'type' => 'color',
							'label' => esc_attr__('Color', 'creatic'),
							'default' => '#222222',
							'selector' => '.cl_counter',
							'css_property' => 'color',
							'alpha' => true,
							'suffix' => '!important',
							'cl_required'    => array(
								array(
									'setting'  => 'custom_color',
									'operator' => '==',
									'value'    => true,
								),
							),
					),

					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_counter',
							'css_property' => '',
							'default' => array('margin-top' => '0px')
					),
				)
			));

			/* Countdown */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Countdown', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-clessidre',
				'transport'   => 'postMessage',
				'settings'    => 'cl_countdown',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					'dt' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '.cl_countdown',
						'label'       => esc_attr__( 'Date Countdown', 'creatic' ),
						
						'default'     => '2021/01/01',
						'reloadTemplate' => true,
						'htmldata' => 'dt'

					),

					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'large' => esc_html__('Large', 'creatic')
							),
							'selector' => '.cl_countdown',
							'selectClass' => ''
						),

					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_countdown',
							'css_property' => '',
							'default' => array('margin-top' => '0px')
					),
				)
			));

 			/* Progress Bar */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Progress Bar', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-battery-half',
				'transport'   => 'postMessage',
				'settings'    => 'cl_progress_bar',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					'title' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'selector' => '',
						'label'       => esc_attr__( 'Space in Pixels', 'creatic' ),
						
						'selector' => '.cl_progress_bar .title',
						'default' => esc_attr__('Development', 'creatic')
					),

					'percentage' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Percentage', 'creatic' ),
							
							'default'     => '50',
							'choices'     => array(
								'min'  => '0',
								'max'  => '100',
								'step' => '1',
							),
							'suffix' => '', 
							'selector' => '.cl_progress_bar',
							'htmldata' => 'percentage',
							'customJS' => 'inlineEdit_progress_percentage'
					),

					'color' => array(
							'type' => 'color',
							'label' => esc_attr__('Progress Bar Color', 'creatic'),
							'default' => codeless_get_mod('primary_color'),
							'selector' => '.cl_progress_bar .bar',
							
							'css_property' => 'background-color',
							'alpha' => true
						),

						'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl_progress_bar'
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl_progress_bar',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl_progress_bar',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							)
						),

						'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_progress_bar',
							'css_property' => '',
							'default' => array('margin-top' => '15px')
						),
				)
			));

 			/* Google Map */
 			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Google Map', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-geolocalize-05',
				'transport'   => 'postMessage',
				'settings'    => 'cl_map',
				'marginPositions' => array('top'),
				'is_container' => false,
				'fields' => array(
					'api_key' => array(
						'type' => 'text',
						'label' => esc_attr__('Api Key', 'creatic'),
						'tooltip' => "Generate an API key <a target=\"_blank\" href=\"https://developers.google.com/maps/documentation/javascript/get-api-key\">here</a>, if you don't have one.",
						'selector' => '.cl_map',
						'customJS' => 'inlineEdit_loadGoogleApi',				

					),
					'lat_lon' => array(
						'type' => 'text',
						'label' => esc_html__('Latitude & Longitude', 'creatic'),
						'tooltip' => "1. On your computer, visit Google Maps.<br />
2. Right-click a location on the map.<br />
3. Select What's here?.<br />
4. A card appears at the bottom of the screen with more info.<br />",
						'selector' => '.cl_map',
						'reloadTemplate' => true,

					),

					'height' => array(
	
							'type' => 'slider',
							'label' => esc_attr__('Map Height', 'creatic'),
							'default' => '400',
							'selector' => '.cl-map-element',
							'css_property' => 'height',
							'choices'     => array(
								'min'  => '40',
								'max'  => '1000',
								'step' => '5',
								'suffix' => 'px'
							),
							'suffix' => 'px'
						),

					'fullheight_map' => array(
							'type'        => 'switch',
							'label'       => esc_html__( 'Full Height Map', 'creatic' ),
							'tooltip' => esc_html__('Stretch Map height 100%', 'creatic'),
							'default'     => 0,
							'priority'    => 10,
							'choices'     => array(
								'on'  => esc_attr__( 'On', 'creatic' ),
								'off' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_map',
							'addClass' => 'cl-map-fullheight',
							'customJS' => 'inlineEdit_mapFullHeight'
					),

					'zoom' => array(
								'type'     => 'slider',
								'priority' => 10,
								'label'       => esc_attr__( 'Map Zoom', 'creatic' ),
								
								'default'     => '14',
								'choices'     => array(
									'min'  => '0',
									'max'  => '19',
									'step' => '1',
								),
								'suffix' => '',
								'selector' => '.cl_map',
								'htmldata' => 'zoom',
								'customJS' => array('front' => 'codelessGMap')
							),

					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'tooltip' => esc_attr__( 'Map Style, leave normal for the default style.', 'creatic' ),
							'default'     => 'normal',
							'choices' => array(
								'normal' => esc_attr__('Normal', 'creatic'),
								'ultra_light_labels' => esc_attr__('Ultra Light Labels', 'creatic'),
								'shades_grey' => esc_attr__('Shades Of Grey', 'creatic'),
								'subtle_grayscale' => esc_attr__('Subtle Grayscale', 'creatic'),
								'blue_water' => esc_attr__('Blue Water', 'creatic'),
								'apple_style' => esc_attr__('Apple Maps Style', 'creatic')
							),
							'selector' => '.cl_map',
							'htmldata' => 'style',
							'customJS' => array('front' => 'codelessGMap')
							
							
							
						),


					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_map',
							'css_property' => '',
							'default' => array('margin-top' => '15px')
						),
				)
			));


 			/* Contact Form 7 */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Contact Form 7', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-mail',
				'transport'   => 'postMessage',
				'settings'    => 'cl_contact_form7',
				'marginPositions' => array('top'),
				'is_container' => false,
				'fields' => array(
					
					'id' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Select Form', 'creatic' ),
							'tooltip' => esc_html__('Select one of the created contact forms. Or create a new form', 'creatic') . ' <a href="'.admin_url('admin.php?page=wpcf7-new').'" target="_blank">here</a>',
							'default'     => 'none',
							'choices' => codeless_get_items_by_term('wpcf7_contact_form'),
							'reloadTemplate' => true
					),


					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'tooltip' => esc_html__('Select one of the predefined styles or leave "none" and add your custom style in css.', 'creatic'),
							'default'     => 'simple',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'simple' => esc_attr__('Simple Vertical', 'creatic'),
								'dark' => esc_attr__('Simple Dark', 'creatic'),
								'grey' => esc_attr__('Grey', 'creatic')							
							),
							'selector' => '.cl_contact_form7',
							'selectClass' => 'style-'
					),



					

					'css_style' => array( 
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_contact_form7',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
						),
				)
			));


			
			/* Toggles */

 			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Toggles', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-software-paragraph-space-before',
				'transport'   => 'postMessage',
				'settings'    => 'cl_toggles',
				'marginPositions' => array('top'),
				'is_container' => true,
				'fields' => array(

					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'tooltip' => esc_html__('Select one of the predefined styles or leave "none" and add your custom style in css.', 'creatic'),
							'default'     => 'simple',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'simple' => esc_attr__('Simple', 'creatic'),
								'square_plus' => esc_attr__('Square Plus', 'creatic')
							),
							'selector' => '.cl_toggles',
							'selectClass' => 'style-'
					),

					'accordion' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Accordion', 'creatic' ),
							'tooltip' => esc_attr__( 'Make this togggles element function as a accordion', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_toggles',
							'htmldata' => 'accordion',
							'customJS' => array('front' => 'codelessToggles')
						),

					'css_style' => array( 
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_toggles',
							'css_property' => '',
							'default' => array('margin-top' => '15px')
						),
				)
			));


			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Toggle', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-software-paragraph-space-before',
				'transport'   => 'postMessage',
				'settings'    => 'cl_toggle',
				'hide_from_list' => true,
				'marginPositions' => array('top'),
				'is_container' => true,
				'fields' => array(

					'is_active' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Active by default', 'creatic' ),
							'tooltip' => esc_attr__( 'Make active this toggle by default by switch this option ON', 'creatic' ),
							'default'     => 0,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_toggle .title',
							'addClass' => 'open'
						),

					'title' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'only_text' => true,
						'selector' => '.cl_toggle > .title > a',
						'label'       => esc_attr__( 'Text', 'creatic' ),
						'tooltip' => esc_attr__( 'This will be the label for your link', 'creatic' ),
						'default'     => esc_attr__('Toggle Title', 'creatic'),
					),
				)
			));



			/* Tabs */

 			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Tabs', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-software-paragraph-space-before',
				'transport'   => 'postMessage',
				'settings'    => 'cl_tabs',
				'marginPositions' => array('top'),
				'is_container' => true,
				'fields' => array(

					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'tooltip' => esc_html__('Select one of the predefined styles or leave "none" and add your custom style in css.', 'creatic'),
							'default'     => 'simple',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'simple' => esc_attr__('Simple', 'creatic'),
								'large' => esc_attr__('Large', 'creatic')
							),
							'selector' => '.cl_tabs',
							'selectClass' => 'style-'
					),

		
					'css_style' => array( 
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_tabs',
							'css_property' => '',
							'default' => array('margin-top' => '15px')
						),
				)
			));

 			
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Tab', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-software-paragraph-space-before',
				'transport'   => 'postMessage',
				'settings'    => 'cl_tab',
				'hide_from_list' => true,
				'marginPositions' => array('top'),
				'is_container' => true,
				'fields' => array(

					'title' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'selector' => '.tab-pane',
						'for_tab_title' => true,
						'label'       => esc_attr__( 'Tab Title', 'creatic' ),
						'default'     => '',
						'only_text'  => true
					),

					'tab_id' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Tab ID', 'creatic' ),
						'tooltip' => esc_attr__( 'Use an unique ID', 'creatic' ),
						'default'     => 'tab',
					),

					
				)
			));



			/* List */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'List', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-todo-txt',
				'transport'   => 'postMessage',
				'settings'    => 'cl_list',
				'marginPositions' => array('top'),
				'is_container' => true,
				'fields' => array(

					'type' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Type', 'creatic' ),
							'tooltip' => esc_html__('Select type of list', 'creatic'),
							'default'     => 'ul',
							'choices' => array(
								'ul' => esc_attr__('Unordered List', 'creatic'),
								'ol' => esc_attr__('Ordered List', 'creatic'),
								'table' => esc_html__('As table', 'creatic')
							),
							'customJS' => 'inlineEdit_listType'
					),

					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'tooltip' => esc_html__('Select one of the predefined styles or leave "none" and add your custom style in css.', 'creatic'),
							'default'     => 'simple',
							'choices' => array(
								'none' => esc_attr__('None', 'creatic'),
								'simple' => esc_attr__('Simple', 'creatic'),
								'circle' => esc_attr__('Circle', 'creatic')

							),
							'selector' => '.cl_list',
							'selectClass' => 'style-',
							'cl_required'    => array(
								array(
									'setting'  => 'type',
									'operator' => '!=',
									'value'    => 'table',
								),
							)
					),

					'icon_size' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Icon Size', 'creatic' ),
							
							'default'     => '14',
							
							'selector' => '.cl_list_item > i',
							'css_property' => 'font-size',
							'choices'     => array(
									'min'  => '10',
									'max'  => '72',
									'step' => '1',
									'suffix' => 'px'
								),
							'suffix' => 'px',
							'cl_required'    => array(
								array(
									'setting'  => 'style',
									'operator' => '==',
									'value'    => 'simple',
								),
								array(
									'setting'  => 'type',
									'operator' => '!=',
									'value'    => 'table',
								),
							)
						),
					

					'distance' => array(
							'type'     => 'slider',
							'priority' => 10,
							'label'       => esc_attr__( 'Distance between items', 'creatic' ),
							'tooltip' => esc_attr__( 'Distance between list items in pixel', 'creatic' ),
							'default'     => '0',
							'choices'     => array(
								'min'  => '0',
								'max'  => '20',
								'step' => '1',
							),
							'suffix' => 'px',
							'selector' => '.cl_list .cl_list_item',
							'css_property' => array('padding-top','padding-bottom'),
							'cl_required'    => array(
								array(
									'setting'  => 'type',
									'operator' => '!=',
									'value'    => 'table',
								),
							)
						),



					'css_style' => array( 
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_list',
							'css_property' => '',
							'default' => array('margin-top' => '15px')
						),
				)
			));


			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'List Item', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-todo-txt',
				'transport'   => 'postMessage',
				'settings'    => 'cl_list_item',
				'hide_from_list' => true,
				'is_container' => false,
				'fields' => array(

					'custom_icon' => array(
							'type'     => 'switch',
							'priority' => 10,
							'label'       => esc_attr__( 'Custom Icon', 'creatic' ),
							'tooltip' => esc_attr__( 'Switch to add a custom icon to list items', 'creatic' ),
							'default'     => 1,
							'choices' => array(
								'on' => esc_attr__('On', 'creatic'),
								'off' => esc_attr__('Off', 'creatic')
							
							),
							'selector' => '.cl_list_item',
							'addClass' => 'with_icon',
							'reloadTemplate' => true
						),

					'icon' => array(
							'type'     => 'select_icon',
							'priority' => 10,
							'label'       => esc_attr__( 'Select Icon', 'creatic' ),
							'default'     => 'cl-icon-apps',
							'selector' => '.cl_list_item > i',
							'selectClass' => ' ',
							
					),

					'content' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'only_text' => true,
						'selector' => '.cl_list_item > .text',
						'label'       => esc_attr__( 'Text', 'creatic' ),
						'tooltip' => esc_attr__( 'This will be the label for your link', 'creatic' ),
						'default'     => esc_html__('Sample. Click to modify', 'creatic'),
					),

					'animation_start' => array(
						'type' => 'group_start',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'animation'
					),
					
					'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl_list_item',
							'customJS' => array('front' => 'animations')
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Delay between items', 'creatic' ),
							
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl_list_item',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),

							'customJS' => array('front' => 'animations')
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl_list_item',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
							'customJS' => array('front' => 'animations')
						),
					
					'animation_end' => array(
						'type' => 'group_end',
						'label' => esc_attr__('Animation', 'creatic'),
						'groupid' => 'animation'
					),
				)
			));


			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Table Row', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-todo-txt',
				'transport'   => 'postMessage',
				'settings'    => 'cl_table_row',
				'hide_from_list' => true,
				'is_container' => false,
				'fields' => array(

					'content' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'only_text' => false,
						'selector' => '.cl_table_row > .text',
						'label'       => esc_attr__( 'Text', 'creatic' ),
						'tooltip' => esc_attr__( 'Content', 'creatic' ),
						'default'     => esc_html__('Sample. Click to modify', 'creatic'),
					),

					'title' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'only_text' => true,
						'selector' => '.cl_table_row > .title',
						'label'       => esc_attr__( 'Title', 'creatic' ),
						'tooltip' => esc_attr__( 'Title of table row, table row heading', 'creatic' ),
						'default'     => esc_attr__('Title', 'creatic'),
					),
				)
			));


			/* Icon */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Icon', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-clubs',
				'transport'   => 'postMessage',
				'settings'    => 'cl_icon',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					
					'icon' => array(
							'type'     => 'select_icon',
							'priority' => 10,
							'label'       => esc_attr__( 'Select Icon', 'creatic' ),
							'default'     => 'cl-icon-apps',
							'selector' => '.cl_icon i',
							'selectClass' => ' '
								
					),

					'icon_link' => array(

							'type' => 'text',
							'priority' => 10,
							'label' => esc_attr__('Set the hyperlink', 'creatic'),
							'default' => '#',
							'selector' => '.cl_icon'

					),

					'icon_target' => array(

							'type' => 'inline_select',
							'priority'=> 10,
							'label' => esc_attr__('Set link loading mode', 'creatic'),
							'default' => '_blank',
							'selector' => '.cl_icon',
							'choices' =>array(

								'_blank' => esc_html__('New window', 'creatic'),
								'_self' => esc_attr__('Same Window', 'creatic'),
								'_parent' => esc_attr__('Parent Window', 'creatic'),
								'_top' => esc_attr__('Top Window', 'creatic'),


						),

					),

					'size' => array(
							'type'     => 'slider',
							'label' => esc_html__('Font size', 'creatic'),
							'default' => '15',
							'selector' => '.cl_icon i',
							'css_property' => 'font-size',
							'choices'     => array(
										'min'  => '0',
										'max'  => '100',
										'step' => '1',
										'suffix' => 'px'
									),
						    'suffix' => 'px',

							'label'       => esc_attr__( 'Icon Font Size', 'creatic' )
							
						
					),

					

					'color' => array(

							'type' => 'color',
							'label' => esc_attr__('Set Color', 'creatic'),
							'default' => '#222',
							'selector' => '.cl_icon i',
							'css_property' => 'color',
							'alpha' => true
								
					),

					'hover_color' => array(

							'type' => 'color',
							'label' => esc_attr__('Set Hover Color', 'creatic'),
							'default' => '#222',
							'selector' => '.cl_icon > a',
							'alpha' => false
								
					),


					'align' => array(

							'type' => 'inline_select',
							'label' => esc_attr__('Icon Alignment', 'creatic'),
							'default' => 'left',
							'selector' => '.cl_icon',
							'css_property' => 'text-align',
							'choices' => array(

								'left' => esc_attr__('Left', 'creatic'),
								'right' => esc_attr__('Right', 'creatic'),
								'center' => esc_attr__('Center', 'creatic')
								
							)

						),


					'line_height' => array(

							'type'     => 'slider',
							'label' => esc_attr__('Line Height', 'creatic'),
							'default' => '10',
							'selector' => '.cl_icon i',
							'css_property' => 'line-height',
							'choices'     => array(
										'min'  => '0',
										'max'  => '100',
										'step' => '1',
										'suffix' => 'px'
									),
						    'suffix' => 'px',

							'label'       => esc_attr__( 'Set Line Height', 'creatic' )
							
						
					),


					

					'css_style' => array(

							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_icon',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')

						),
						
						
		
					),
		
				
			));



		/* Share Icons */
		
		cl_builder_map(array(

			'type'        => 'clelement',
			'label'       => esc_attr__( 'Share Icons', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-basic-share',
			'transport'   => 'postMessage',
			'settings'    => 'cl_share',
			'is_container' => false,
			'marginPositions' => array('top'),
			'fields' => array(
		
				'add_facebook' => array(

							'type'        => 'switch',
							'label'       => esc_html__( 'Add Facebook Share Icon', 'creatic' ),
							'default'     => '1',
							'priority'    => 10,
							'choices'     => array(
								'1'  => esc_attr__( 'On', 'creatic' ),
								'0' => esc_attr__( 'Off', 'creatic' ),
							),
							
							'reloadTemplate' => true,
							'selector' => '.cl_share i'


					),



				


				'add_twitter' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Twitter Share Icon', 'creatic' ),
						'default'     => '1',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_share i',
						'reloadTemplate' => true



					),


				

				'add_linkedin' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Linkedin Share Icon', 'creatic' ),
						'default'     => '1',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_share i',
						'reloadTemplate' => true



					),

				



				'add_pinterest' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Pinterest Share Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_share i',
						'reloadTemplate' => true



					),

				

			

			   'add_google_plus'=> array(

			   			'type'        => 'switch',
						'label'       => esc_html__( 'Add Google Plus Share Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_share i',
						'reloadTemplate' => true




			   	),


			   'add_whatsapp' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Whatsapp Share Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_share i',
						'reloadTemplate' => true



					),



			   'target' => array(

						'type' => 'inline_select',
						'priority'=> 10,
						'label' => esc_attr__('Set link loading mode', 'creatic'),
						'default' => '_blank',
						'selector' => '.cl_share',
						'choices' =>array(

							'_blank' => esc_html__('New window', 'creatic'),
							'_self' => esc_attr__('Same Window', 'creatic'),
							'_parent' => esc_attr__('Parent Window', 'creatic'),
							'_top' => esc_attr__('Top Window', 'creatic'),


					),

				),

		

				'size' => array(
						'type'     => 'slider',
						'label' => esc_html__('Font size', 'creatic'),
						'default' => '15',
						'selector' => '.cl_share i',
						'css_property' => 'font-size',
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',

						'label'       => esc_attr__( 'Icon Font Size', 'creatic' )
						
					
				),

				

				'color' => array(

						'type' => 'color',
						'label' => esc_attr__('Set Color', 'creatic'),
						'default' => '#222',
						'selector' => '.cl_share > a',
						'css_property' => 'color',
						'alpha' => true
							
				),

				'hover_color' => array(

						'type' => 'color',
						'label' => esc_attr__('Set Hover Color', 'creatic'),
						'default' => '#222',
						'selector' => '.cl_share > a',
						'alpha' => false
							
				),


				'border' => array(

						'type' => 'inline_select',
						'label' => esc_attr__( 'Set the border style', 'creatic' ),
						'default' => 'none',
						'selector' => '.cl_share',
						'choices' => array(

								'round' => esc_attr__('Rounded Style', 'creatic'),
								'square' => esc_attr__('Square Style', 'creatic'),
								'none' => esc_attr__('None', 'creatic')

							),
						'selectClass' => ''
						

					),

				'bcolor' => array(

						'type' => 'color',
						'label' => esc_attr__('Border Color', 'creatic'),
						'default' => '#222',
						'selector' => '.cl_share',
						'css_property' => 'border-color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),


				),	

				'bgcolor' => array(

						'type' => 'color',
						'label' => esc_attr__('Background Color', 'creatic'),
						'default' => 'transparent',
						'selector' => '.cl_share',
						'css_property' => 'background-color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),
							
				),

				'padding' => array(
						'type'     => 'slider',
						'label' => esc_attr__('Icon Size', 'creatic'),
						'default' => '38',
						'selector' => '.cl_share',
						'css_property' => array('width', 'height'),
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',

						'label'       => esc_attr__( 'Wrapper Size', 'creatic' ),
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),

						
					
				),	

				'display' => array(

						'type' => 'inline_select',
						'label' => esc_attr__('Icon Display Mode', 'creatic'),
						'default' => 'inline-block',
						'selector' => '.cl_share',
						'css_property' => 'display',
						'choices' => array(

							'inline-block' => esc_attr__('Inline', 'creatic'),
							'block' => esc_attr__('Block', 'creatic')
							
							
						),


				),


				'margin'=> array(

						'type' => 'slider',
						'label' => esc_html__('Set the margin between icons', 'creatic'),
						'default' => '5',
						'selector' => '.cl_share',
						'css_property' => array('margin-left', 'margin-right'),
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',
						'label'       => esc_attr__( 'Set Space Between Icons', 'creatic' ),
						'cl_required'    => array(
								array(
									'setting'  => 'display',
									'operator' => '==',
									'value'    => 'inline-block',
								),
							),



				),


				'margintop'=> array(

						'type' => 'slider',
						'label' => esc_html__('Set the margin between icons', 'creatic'),
						'default' => '5',
						'selector' => '.cl_share',
						'css_property' => array('margin-top', 'margin-bottom'),
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',
						'label'       => esc_attr__( 'Set Space Between Icons', 'creatic' ),
						'cl_required'    => array(
								array(
									'setting'  => 'display',
									'operator' => '==',
									'value'    => 'block',
								),
							)



				),


				'align' => array(

						'type' => 'inline_select',
						'label' => esc_attr__('Icon Alignment', 'creatic'),
						'default' => 'left',
						'selector' => '.cl_sharediv',
						'css_property' => 'text-align',
						'choices' => array(

							'left' => esc_attr__('Left', 'creatic'),
							'right' => esc_attr__('Right', 'creatic'),
							'center' => esc_attr__('Center', 'creatic')
							
						),

						'cl_required'    => array(
								array(
									'setting'  => 'display',
									'operator' => '==',
									'value'    => 'inline-block',
								),
							)

					),


				'line_height' => array(

						'type'     => 'slider',
						'label' => esc_attr__('Line Height', 'creatic'),
						'default' => '37',
						'selector' => '.cl_share i',
						'css_property' => 'line-height',
						'choices'     => array( 
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',

						'label'       => esc_attr__( 'Set Line Height', 'creatic' )
						
					
				),



				'css_style' => array(

						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.cl_icon',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')

					),

			
			),	
		));




		/* Social Icons */
		cl_builder_map(array(

			'type'        => 'clelement',
			'label'       => esc_attr__( 'Social Icons', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			'use_on_header' => true,
			//'priority'    => 10,
			'icon'		  => 'icon-basic-share',
			'transport'   => 'postMessage',
			'settings'    => 'cl_socialicon',
			'is_container' => false,
			'marginPositions' => array('top'),
			'fields' => array(
		
				'add_facebook' => array(

							'type'        => 'switch',
							'label'       => esc_html__( 'Add Facebook Icon', 'creatic' ),
							'default'     => '1',
							'priority'    => 10,
							'choices'     => array(
								'1'  => esc_attr__( 'On', 'creatic' ),
								'0' => esc_attr__( 'Off', 'creatic' ),
							),
							'selector' => '.cl_socialicon i',
							'reloadTemplate' => true



					),


			 	'facebook_link' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Set the Facebook icon hyperlink', 'creatic' ),
						'default'     => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_facebook',
									'operator' => '==',
									'value'    => '1',
								),
							),
							
				),


			 	'add_instagram' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Instagram Icon', 'creatic' ),
						'default'     => '1',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),



				'instagram_link' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Set the instagram icon hyperlink', 'creatic' ),
						'default'     => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_instagram',
									'operator' => '==',
									'value'    => '1',
								),
							),
							
				),


				'add_twitter' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Twitter Icon', 'creatic' ),
						'default'     => '1',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),


				'twitter_link' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Set the twitter icon hyperlink', 'creatic' ),
						'default'     => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_twitter',
									'operator' => '==',
									'value'    => '1',
								),
							),
							
				),


				'add_email' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Email Icon', 'creatic' ),
						'default'     => '1',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),


				'email_link' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Set the email icon hyperlink', 'creatic' ),
						'default'     => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_email',
									'operator' => '==',
									'value'    => '1',
								),
							),
							
				),


				'add_linkedin' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Linkedin Icon', 'creatic' ),
						'default'     => '1',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),

				'linkedin_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Linkedin hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_linkedin',
									'operator' => '==',
									'value'    => '1',
								),
							),


				),



				'add_pinterest' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Pinterest Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),

				'pinterest_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Pinterest hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_pinterest',
									'operator' => '==',
									'value'    => '1',
								),
							),


				),

				'add_youtube' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Youtube Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),


				'youtube_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Youtube hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_youtube',
									'operator' => '==',
									'value'    => '1',
								),
							),

				),

				'add_vimeo' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Vimeo Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),



				'vimeo_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Viemo hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_vimeo',
									'operator' => '==',
									'value'    => '1',
								),
							),


				),


				'add_soundcloud' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Soundcloud Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),

				'soundcloud_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Soundcloud hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_soundcloud',
									'operator' => '==',
									'value'    => '1',
								),
							),


				),

				'add_slack' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Slack Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),

				'slack_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Slack hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_slack',
									'operator' => '==',
									'value'    => '1',
								),
							),


				),

				'add_skype' => array(

						'type'        => 'switch',
						'label'       => esc_html__( 'Add Skype Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true



					),

				'skype_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set skype hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_skype',
									'operator' => '==',
									'value'    => '1',
								),
					
						),		
				),

			   'add_google_plus'=> array(

			   			'type'        => 'switch',
						'label'       => esc_html__( 'Add Google Plus Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true

			   	),

			   'google_plus_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Google Plus hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_google_plus',
									'operator' => '==',
									'value'    => '1',
								),
					
						),

				),

			    'add_github'=> array(

			   			'type'        => 'switch',
						'label'       => esc_html__( 'Add Github Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true




			   	),


			   	'github_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Github hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_github',
									'operator' => '==',
									'value'    => '1',
								),
					
						),

				),

				'add_dribbble'=> array(

			   			'type'        => 'switch',
						'label'       => esc_html__( 'Add Dribbble Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true




			   	),


				'dribbble_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Dribbble hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_dibbble',
									'operator' => '==',
									'value'    => '1',
								),
					
						),


				),

				'add_behance'=> array(

			   			'type'        => 'switch',
						'label'       => esc_html__( 'Add Behance Icon', 'creatic' ),
						'default'     => '0',
						'priority'    => 10,
						'choices'     => array(
							'1'  => esc_attr__( 'On', 'creatic' ),
							'0' => esc_attr__( 'Off', 'creatic' ),
							),
						'selector' => '.cl_socialicon i',
						'reloadTemplate' => true




			   	),

				'behance_link' => array(

						'type' => 'text',
						'priority' => 10,
						'label' => esc_attr__('Set the Behance hyperlink', 'creatic'),
						'default' => '',
						'selector' => '.cl_socialicon',
						'cl_required'    => array(
								array(
									'setting'  => 'add_behance',
									'operator' => '==',
									'value'    => '1',
								),
					
						),

				),

				'target' => array(

						'type' => 'inline_select',
						'priority'=> 10,
						'label' => esc_attr__('Set link loading mode', 'creatic'),
						'default' => '_blank',
						'selector' => '.cl_socialicon',
						'choices' =>array(

							'_blank' => esc_html__('New window', 'creatic'),
							'_self' => esc_attr__('Same Window', 'creatic'),
							'_parent' => esc_attr__('Parent Window', 'creatic'),
							'_top' => esc_attr__('Top Window', 'creatic'),


					),

				),

		

				'size' => array(
						'type'     => 'slider',
						'label' => esc_html__('Font size', 'creatic'),
						'default' => '15',
						'selector' => '.cl_socialicon i',
						'css_property' => 'font-size',
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',

						'label'       => esc_attr__( 'Icon Font Size', 'creatic' )
						
					
				),

				

				'color' => array(

						'type' => 'color',
						'label' => esc_attr__('Icon Color', 'creatic'),
						'default' => '#222',
						'selector' => '.cl_socialicon > a',
						'css_property' => 'color',
						'alpha' => true
							
				),

				'color_hover' => array(

						'type' => 'color',
						'label' => esc_attr__('Icon Color Hover', 'creatic'),
						'default' => '',
						'alpha' => false
							
				),

				'bgcolor' => array(

						'type' => 'color',
						'label' => esc_attr__('Background Color', 'creatic'),
						'default' => 'transparent',
						'selector' => '.cl_socialicon',
						'css_property' => 'background-color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),
							
				),

				'bgcolor_hover' => array(

						'type' => 'color',
						'label' => esc_attr__('Background Color Hover', 'creatic'),
						'default' => 'transparent',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),
							
				),


				'border' => array(

						'type' => 'inline_select',
						'label' => esc_attr__( 'Set the border style', 'creatic' ),
						'default' => 'none',
						'selector' => '.cl_socialicon',
						'choices' => array(

								'round' => esc_attr__('Rounded Style', 'creatic'),
								'square' => esc_attr__('Square Style', 'creatic'),
								'none' => esc_attr__('None', 'creatic')

							),
						'selectClass' => ''
						

					),

				'bcolor' => array(

						'type' => 'color',
						'label' => esc_attr__('Border Color', 'creatic'),
						'default' => '#222',
						'selector' => '.cl_socialicon',
						'css_property' => 'border-color',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),


				),	

				'bcolor_hover' => array(

						'type' => 'color',
						'label' => esc_attr__('Border Color Hover', 'creatic'),
						'default' => '',
						'alpha' => true,
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),


				),	

				

				'padding' => array(
						'type'     => 'slider',
						'label' => esc_attr__('Icon Size', 'creatic'),
						'default' => '38',
						'selector' => '.cl_socialicon',
						'css_property' => array('width', 'height'),
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',

						'label'       => esc_attr__( 'Icon Size', 'creatic' ),
						'cl_required'    => array(
							array(
								'setting'  => 'border',
								'operator' => '!=',
								'value'    => 'none',
								),
							),

						
					
				),	

				'display' => array(

						'type' => 'inline_select',
						'label' => esc_attr__('Icon Display Mode', 'creatic'),
						'default' => 'inline-block',
						'selector' => '.cl_socialicon',
						'css_property' => 'display',
						'choices' => array(

							'inline-block' => esc_attr__('Inline', 'creatic'),
							'block' => esc_attr__('Block', 'creatic')
							
							
						),


				),


				'margin'=> array(

						'type' => 'slider',
						'label' => esc_html__('Set the margin between icons', 'creatic'),
						'default' => '5',
						'selector' => '.cl_socialicon',
						'css_property' => array('margin-left', 'margin-right'),
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',
						'label'       => esc_attr__( 'Set Space Between Icons', 'creatic' ),
						'cl_required'    => array(
								array(
									'setting'  => 'display',
									'operator' => '==',
									'value'    => 'inline-block',
								),
							),



				),


				'margintop'=> array(

						'type' => 'slider',
						'label' => esc_html__('Set the margin between icons', 'creatic'),
						'default' => '5',
						'selector' => '.cl_socialicon',
						'css_property' => array('margin-top', 'margin-bottom'),
						'choices'     => array(
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',
						'label'       => esc_attr__( 'Set Space Between Icons', 'creatic' ),
						'cl_required'    => array(
								array(
									'setting'  => 'display',
									'operator' => '==',
									'value'    => 'block',
								),
							),



				),


				'align' => array(

						'type' => 'inline_select',
						'label' => esc_attr__('Icon Alignment', 'creatic'),
						'default' => 'left',
						'selector' => '.cl_socialicondiv',
						'css_property' => 'text-align',
						'choices' => array(

							'left' => esc_attr__('Left', 'creatic'),
							'right' => esc_attr__('Right', 'creatic'),
							'center' => esc_attr__('Center', 'creatic')
							
						),

						'cl_required'    => array(
								array(
									'setting'  => 'display',
									'operator' => '==',
									'value'    => 'inline-block',
								),
							),

					),


				'line_height' => array(

						'type'     => 'slider',
						'label' => esc_attr__('Line Height', 'creatic'),
						'default' => '37',
						'selector' => '.cl_socialicon i',
						'css_property' => 'line-height',
						'choices'     => array( 
									'min'  => '0',
									'max'  => '100',
									'step' => '1',
									'suffix' => 'px'
								),
					    'suffix' => 'px',

						'label'       => esc_attr__( 'Set Line Height', 'creatic' )
						
					
				),


				'device_visibility' => array(
							'type'     => 'multicheck',

							'priority' => 10,
							'label'       => esc_attr__( 'Devices Visibility', 'creatic' ),
							
							'default'     => '',
							'choices' => array(
								'hidden-xs' => esc_attr__( 'Hide on Phones (smaller-than-768px)', 'creatic' ),
								'hidden-sm' => esc_attr__('Hide on Tables (larger-then-768px)', 'creatic' ),
								'hidden-md' => esc_attr__('Hide on Medium Desktops (larger-then-992px) ', 'creatic' ),
								'hidden-lg' => esc_attr__('Hide on Large Desktops (larger-then1200px)', 'creatic' ),
							),
							'selector' => '.cl_socialicondiv',
							'selectClass' => ''
				),

					

				'css_style' => array(

						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.cl_socialicondiv',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')

				),

				
			)


		));

 		cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Revolution Slider', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-arrows-keyboard-right',
				'transport'   => 'postMessage',
				'settings'    => 'cl_revslider',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					
					'slides' => array(
						'type' => 'inline_select',
						'label' => esc_attr__('Select slide', 'creatic'),
						'tooltip' => esc_html__('Select one of the created slides. Or create a new slider', 'creatic') . '<a href="'.admin_url('admin.php?page=revslider').'" target="_blank">here</a>',
						'default' => '',
						'choices' => codeless_get_rev_slides(),
						'reloadTemplate' => true
						),

					'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.rev_slider_wrapper',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
					),
				),

			
		));


		cl_builder_map(array(
				
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Layer Slider', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-arrows-keyboard-right',
				'transport'   => 'postMessage',
				'settings'    => 'cl_layerslider',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					
					'slides' => array(
						'type' => 'inline_select',
						'label' => esc_attr__('Select slide', 'creatic'),
						'tooltip' => esc_html__('Select one of the created slides. Or create a new slider', 'creatic') .' <a href="'.admin_url('admin.php?page=layerslider').'" target="_blank">here</a>',
						'default' => '1',
						'choices' => codeless_get_layer_slides(),
						'reloadTemplate' => true
						),

					'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.ls-container',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
					),
				),

			
		));

		if( class_exists( 'TablePress' ) ){
		
			cl_builder_map(array(
					
					'type'        => 'clelement',
					'label'       => esc_attr__( 'Table', 'creatic' ),
					'section'     => 'cl_codeless_page_builder',
					//'priority'    => 10,
					'icon'		  => 'icon-software-layout-header-4columns',
					'transport'   => 'postMessage',
					'settings'    => 'cl_table',
					'is_container' => false,
					'marginPositions' => array('top'),
					'fields' => array(		
						'tables' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Select a table', 'creatic'),
							'tooltip' => esc_html__( 'Select one of the created tables. Or create a new table', 'creatic') .' <a href="'.admin_url('admin.php?page=tablepress_add').'" target="_blank">here</a>',
							'default' => '1',
							'choices' => codeless_get_tablepress(),
							'reloadTemplate' => true
						),
					),

				
			));

		}


		if( function_exists('visualizer_launch') ){
		
			cl_builder_map(array(
					
					'type'        => 'clelement',
					'label'       => esc_attr__( 'Charts', 'creatic' ),
					'section'     => 'cl_codeless_page_builder',
					//'priority'    => 10,
					'icon'		  => 'icon-ecommerce-graph1',
					'transport'   => 'postMessage',
					'settings'    => 'cl_chart',
					'is_container' => false,
					'marginPositions' => array('top'),
					'fields' => array(		
						'charts' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Select a chart', 'creatic'),
							'tooltip' => esc_html__('Select one of the created charts. Or create a new chart', 'creatic') . '<a href="'.admin_url('upload.php?page=visualizer').'" target="_blank">here</a>',
							'default' => '1',
							'choices' => codeless_get_visualizer_charts(),
							'reloadTemplate' => true
						),
						'css_style' => array( 
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_chart',
							'css_property' => '',
							'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
						),
					),

				
			));

		}

		/* Pricelist */
			cl_builder_map(array(
				'type'        => 'clelement',
				'label'       => esc_attr__( 'PriceList', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-basic-todo-txt',
				'transport'   => 'postMessage',
				'settings'    => 'cl_pricelist',
				'marginPositions' => array('top'),
				'is_container' => true,
				'fields' => array(


					'price' => array(
							
							'type'     => 'inline_text',
							'priority' => 10,
							'label'       => esc_attr__( 'Price', 'creatic' ),
							'default'     => '59',
							'selector' => '.cl_pricelist .price .integer-part',
							'only_text' => true
					),
			
					'currency' => array(
							
							'type'     => 'inline_text',
							'priority' => 10,
							'label'       => esc_attr__( 'Currency', 'creatic' ),
							'default'     => '$',
							'selector' => '.cl_pricelist .price .currency',
							'only_text' => true
					),
					'time' => array(
							
							'type'     => 'inline_text',
							'priority' => 10,
							'label'       => esc_attr__( 'Time', 'creatic' ),
							'default'     => 'monthly',
							'selector' => '.cl_pricelist .time',
							'only_text' => true
					),
					'title' => array(
							
							'type'     => 'inline_text',
							'priority' => 10,
							'label'       => esc_attr__( 'Row Id', 'creatic' ),
							'tooltip' => esc_attr__( 'This is useful when you want to add unique identifier to row.', 'creatic' ),
							'default'     => esc_attr__('Pricelist Title', 'creatic'),
							'selector' => '.cl_pricelist .header h4'
					),

					'btn_title' => array(
							
							'type'     => 'inline_text',
							'priority' => 10,
							'label'       => esc_attr__( 'Row Id', 'creatic' ),
							'tooltip' => esc_attr__( 'This is useful when you want to add unique identifier to row.', 'creatic' ),
							'default'     => esc_attr__('Get Started', 'creatic'),
							'selector' => '.cl_pricelist .footer a span'
					),

					'link' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Link', 'creatic' ),
						'default'     => '#'
					),

					'title_color' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Title Color', 'creatic'),
							'default' => 'title_dark',
							'choices' => array(
								'title_dark' => esc_attr__('Dark', 'creatic'),
								'title_light' => esc_attr__('Light', 'creatic')
							),
							'selector' => '.cl_pricelist',
							'selectClass' => ''
					), 

					'css_style' => array( 
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_pricelist',
							'css_property' => '',
							'default' => array('margin-top' => '15px')
						),
				)
			));


			cl_builder_map(array(
				
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Custom Code', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-arrows-expand-vertical1',
				'transport'   => 'postMessage',
				'settings'    => 'cl_custom_code',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					
					'code' => array(
						'type' => 'textarea',
						'label' => esc_attr__('Add Custom Code', 'creatic'),
						'tooltip' => esc_html__('Add Custom HTML or a Shortcode', 'creatic'),
						'default' => '',
						'reloadTemplate' => true
					),

					'css_style' => array(
						'type' => 'css_tool',
						'label' => esc_attr__('Tool', 'creatic'),
						'selector' => '.cl_custom_code',
						'css_property' => '',
						'default' => array('margin-top' => codeless_get_mod('elements_default_margin', '20').'px')
					),
				),

			
		));


		if( function_exists( 'mc4wp_show_form' ) ){
			cl_builder_map(array(
				
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Mailchimp', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-arrows-expand-vertical1',
				'transport'   => 'postMessage',
				'settings'    => 'cl_mailchimp',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					'style' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Style', 'creatic' ),
							'default'     => 'default',
							'choices' => array(
								'default' => esc_attr__('Default', 'creatic'),
								'large_button' => esc_attr__('With Large Button', 'creatic')
							),
							'selector' => '.cl_mailchimp',
							'selectClass' => 'style_'
					),

					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_mailchimp',
							'css_property' => '',
							'default' => array('padding-top' => '0px', 'padding-bottom' => '0px' )
						),
				),

			
		));
		}

		cl_builder_map(array(
				
				'type'        => 'clelement',
				'label'       => esc_attr__( 'Widget Sidebar', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-arrows-expand-vertical1',
				'transport'   => 'postMessage',
				'settings'    => 'cl_widget_sidebar',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					'sidebar' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Sidebar', 'creatic' ),
							'default'     => 'default',
							'choices' => codeless_get_registered_sidebars(),
							'reloadTemplate' => true
					),

					'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_widget_sidebar',
							'css_property' => '',
							'default' => array('padding-top' => '0px', 'padding-bottom' => '0px' )
						),
				),

			
		));

		cl_builder_map(array(
				
				'type'        => 'clelement',
				'label'       => esc_attr__( 'HotSpot Infographic', 'creatic' ),
				'section'     => 'cl_codeless_page_builder',
				//'priority'    => 10,
				'icon'		  => 'icon-arrows-expand-vertical1',
				'transport'   => 'postMessage',
				'settings'    => 'cl_hotspot',
				'is_container' => false,
				'marginPositions' => array('top'),
				'fields' => array(
					'content' => array(
						'type'     => 'inline_text',
						'priority' => 10,
						'selector' => '.cl_hotspot .text',
						'label'       => esc_attr__( 'Content', 'creatic' ),
						'default'     => esc_attr__('Hello Hotspot', 'creatic'),
					),

					'link' => array(
						'type'     => 'text',
						'priority' => 10,
						'label'       => esc_attr__( 'Link', 'creatic' ),
						'default'     => '#',
					),

					'position_top' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '.cl_hotspot',
						'css_property' => 'top',
						'label'       => esc_attr__( 'Position Top', 'creatic' ),
						'tooltip'       => esc_attr__( 'Possible value: in px, %, or auto. Position absolute, relative to the column.', 'creatic' ),
						'default'     => 'auto',
					),

					'position_left' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '.cl_hotspot',
						'css_property' => 'left',
						'label'       => esc_attr__( 'Position Left', 'creatic' ),
						'tooltip'       => esc_attr__( 'Possible value: in px, %, or auto. Position absolute, relative to the column.', 'creatic' ),
						'default'     => 'auto',
					),

					'position_right' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '.cl_hotspot',
						'css_property' => 'right',
						'label'       => esc_attr__( 'Position Right', 'creatic' ),
						'tooltip'       => esc_attr__( 'Possible value: in px, %, or auto. Position absolute, relative to the column.', 'creatic' ),
						'default'     => 'auto',
					),

					'position_bottom' => array(
						'type'     => 'text',
						'priority' => 10,
						'selector' => '.cl_hotspot',
						'css_property' => 'bottom',
						'label'       => esc_attr__( 'Position Bottom', 'creatic' ),
						'tooltip'       => esc_attr__( 'Possible value: in px, %, or auto. Position absolute, relative to the column.', 'creatic' ),
						'default'     => 'auto',
					),

					'dot_color' => array(
							'type' => 'color',
							'label' => esc_attr__('Dot Color', 'creatic'),
							'default' => '#5effaa',
							'selector' => '.cl_hotspot .dot',
							
							'css_property' => 'background-color',
							'alpha' => true
						),

					'typography_start' => array(
								'type' => 'group_start',
								'label' => esc_attr__('Typography', 'creatic'),
								'groupid' => 'typography'
							),

							'custom_typography' => array(
									'type'        => 'switch',
									'label'       => esc_html__( 'Custom Typography', 'creatic' ),
									'default'     => 0,
									'priority'    => 10,
									'choices'     => array(
										'on'  => esc_attr__( 'On', 'creatic' ),
										'off' => esc_attr__( 'Off', 'creatic' ),
									),
								),

							
							'text_font_family' => array(
			
									'type' => 'inline_select',
									'label' => esc_attr__('Font Family', 'creatic'),
									'default' => 'theme_default',
									'selector' => '.cl_hotspot .text',
									'css_property' => 'font-family',
									'choices' => array(),
									'choices_from' => 'codelessGoogleFonts',
									
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => true,
										),
									),
								),

							'text_font_size' => array(
			
									'type' => 'slider',
									'label' => esc_attr__('Text Font Size', 'creatic'),
									'default' => '14',
									'selector' => '.cl_hotspot .text',
									'css_property' => 'font-size',
									'choices'     => array(
										'min'  => '14',
										'max'  => '72',
										'step' => '1',
										'suffix' => 'px'
									),
									'suffix' => 'px',
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
								),

							'text_font_weight' => array(
			
									'type' => 'inline_select',
									'label' => esc_attr__('Title Font Weight', 'creatic'),
									'default' => '400',
									'selector' => '.cl_hotspot .text',
									'css_property' => 'font-weight',
									'choices'     => array(
										'100' => '100',
										'200' => '200',
										'300' => '300',
										'400' => '400',
										'500' => '500',
										'600' => '600',
										'700' => '700',
										'800' => '800'
									),
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
								),
								
							'text_line_height' => array(
			
									'type' => 'slider',
									'label' => esc_attr__('Line Height', 'creatic'),
									'default' => '20',
									'selector' => '.cl_hotspot .text',
									'css_property' => 'line-height',
									'choices'     => array(
										'min'  => '20',
										'max'  => '100',
										'step' => '1',
										'suffix' => 'px'
									),
									'suffix' => 'px',
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
								),

							'text_letterspace' => array(
			
									'type' => 'slider',
									'label' => esc_attr__('Letter Spacing', 'creatic'),
									'default' => '0',
									'selector' => '.cl_hotspot .text',
									'css_property' => 'letter-spacing',
									'choices'     => array(
										'min'  => '-10',
										'max'  => '100',
										'step' => '1',
										'suffix' => 'px'
									),
									'suffix' => 'px',
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
								),
							
							'text_transform' => array(
									'type'     => 'inline_select',
									'priority' => 10,
									'label'       => esc_attr__( 'Text Transform', 'creatic' ),
									
									'default'     => 'none',
									'selector' => '.cl_hotspot .text',
									'css_property' => 'text-transform',
									'choices' => array(
										'none' => esc_attr__('None', 'creatic'),
										'uppercase' => esc_attr__('Uppercase', 'creatic')
									),
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
									
								),
								
							
								
							
							'text_color' => array(
									'type' => 'color',
									'label' => esc_attr__('Color', 'creatic'),
									'default' => '',
									'selector' => '.cl_hotspot .text',
									'css_property' => 'color',
									'alpha' => true,
									'cl_required'    => array(
										array(
											'setting'  => 'custom_typography',
											'operator' => '==',
											'value'    => 1,
										),
									),
							),

						'typography_end' => array(
								'type' => 'group_end',
								'label' => esc_attr__('Typography', 'creatic'),
								'groupid' => 'typography'
						),

						'animation' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Effect', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'top-t-bottom' => esc_html__('Top-Bottom', 'creatic'),
								'bottom-t-top' => esc_html__('Bottom-Top', 'creatic'),
								'right-t-left' => esc_html__('Right-Left', 'creatic'),
								'left-t-right' => esc_html__('Left-Right', 'creatic'),
								'alpha-anim' => esc_html__('Fade-In', 'creatic'),	
								'zoom-in' => esc_html__('Zoom-In', 'creatic'),	
								'zoom-out' => esc_html__('Zoom-Out', 'creatic'),
								'zoom-reverse' => esc_html__('Zoom-Reverse', 'creatic'),
							),
							'selector' => '.cl_hotspot'
						),
						
						'animation_delay' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Delay', 'creatic' ),
							'default'     => 'none',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000',
								'1100' =>	'ms 1100',
								'1200' =>	'ms 1200',
								'1300' =>	'ms 1300',
								'1400' =>	'ms 1400',
								'1500' =>	'ms 1500',
								'1600' =>	'ms 1600',
								'1700' =>	'ms 1700',
								'1800' =>	'ms 1800',
								'1900' =>	'ms 1900',
								'2000' =>	'ms 2000',
							
							),
							'selector' => '.cl_hotspot',
							'htmldata' => 'delay',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
						
						'animation_speed' => array(
							'type'     => 'inline_select',
							'priority' => 10,
							'label'       => esc_attr__( 'Animation Speed', 'creatic' ),
							'default'     => '400',
							'choices' => array(
								'none'	=> esc_attr__('None', 'creatic'),
								'100' =>	'ms 100',
								'200' =>	'ms 200',
								'300' =>	'ms 300',
								'400' =>	'ms 400',
								'500' =>	'ms 500',
								'600' =>	'ms 600',
								'700' =>	'ms 700',
								'800' =>	'ms 800',
								'900' =>	'ms 900',
								'1000' =>	'ms 1000'
								
							
							),
							'selector' => '.cl_hotspot',
							'htmldata' => 'speed',
							'cl_required'    => array(
								array(
									'setting'  => 'animation',
									'operator' => '!=',
									'value'    => 'none',
								),
							),
						),
					
				),

			
		));
		


		/* Small Divider */
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Small Divider', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-arrows-minus',
			'transport'   => 'postMessage',
			'settings'    => 'cl_small_divider',
			'is_container' => false,
			'marginPositions' => array('top'),
			'fields' => array(
				'align' => array(
							'type' => 'inline_select',
							'label' => esc_attr__('Align', 'creatic'),
							'default' => 'left',
							'selector' => '.cl_small_divider',
							'selectClass' => 'align-',
							'choices'     => array(
								'left'	=> esc_attr__('Left', 'creatic'),
								'center' => esc_html__('Center', 'creatic'),
								'right' => esc_html__('Right', 'creatic')
							),
					),
				
				'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_small_divider',
							'css_property' => '',
							'default' => array(
								'margin-top' => codeless_get_mod('elements_default_margin', '20').'px',
								'margin-bottom' => codeless_get_mod('elements_default_margin', '20').'px')
						),
						
			)));


		/* Media Box */
		cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Media Box', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-arrows-minus',
			'transport'   => 'postMessage',
			'settings'    => 'cl_media_box',
			'is_container' => false,
			'marginPositions' => array('top'),
			'fields' => array(
				'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_media_box',
							'css_property' => '',
							'default' => array(
								'margin-top' => codeless_get_mod('elements_default_margin', '20').'px',
								'margin-bottom' => codeless_get_mod('elements_default_margin', '20').'px')
						),

					'style' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Style', 'creatic' ),
								'default'     => 'large',
								'priority'    => 10,
								'choices'     => array(
									'large' => esc_attr__('Large Box', 'creatic'),
									'small' => esc_attr__('Small Box', 'creatic')
								),
								'selector' => '.cl_media_box',
								'selectClass' => 'style-',
								'reloadTemplate' => true
					),

					'image' => array(
							'type'        => 'image',
							'label'       => esc_html__( 'Upload Image', 'creatic' ),
							'default'     => '',
							'priority'    => 10,
							'reloadTemplate' => true,
						),

						/*Image size */
						'image_size' => array(
								'type'        => 'inline_select',
								'label'       => esc_html__( 'Image Size', 'creatic' ),
								'tooltip' => esc_html__( "You can change image sizes on Theme Panel", 'creatic') ." -> <a target=\"_blank\" href=\"".admin_url('admin.php?page=codeless-panel-image-sizes')."\">Image Sizes Section</a>",
								'default'     => 'full',
								'priority'    => 10,
								'choices'     => codeless_get_additional_image_sizes(),
								'reloadTemplate' => true
							),

						/*Box Text*/
						'content' => array(
							'type'     => 'inline_text',
							'priority' => 10,
							'selector' => '.cl_media_box h4',
							'label'       => esc_attr__( 'Content', 'creatic' ),
							'default'     => esc_html__('An All-in-One Web Solution for Your Business', 'creatic'),
						),


						/*Link*/

						'link' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Link', 'creatic' ),
							'default'     => '#'
						),

						'target' => array(

								'type'     => 'inline_select',
								'priority' => 10,
								'label'       => esc_attr__( 'Link Target', 'creatic' ),
								'default'     => '_self',

								'choices'     => array(
									'_self' => esc_html__('_self', 'creatic'),
									'_blank' => esc_html__('_blank', 'creatic'),				
								),
								'reloadTemplate' => true
						),
			)));


			cl_builder_map(array(
			'type'        => 'clelement',
			'label'       => esc_attr__( 'Chart Skill', 'creatic' ),
			'section'     => 'cl_codeless_page_builder',
			//'priority'    => 10,
			'icon'		  => 'icon-arrows-minus',
			'transport'   => 'postMessage',
			'settings'    => 'cl_chart_skill',
			'is_container' => false,
			'marginPositions' => array('top'),
			'fields' => array(
				'css_style' => array(
							'type' => 'css_tool',
							'label' => esc_attr__('Tool', 'creatic'),
							'selector' => '.cl_chart_skill',
							'css_property' => '',
							'default' => array(
								'margin-top' => codeless_get_mod('elements_default_margin', '20').'px'
							)
						),

						'title' => array(
							'type'     => 'inline_text',
							'priority' => 10,
							'selector' => '.cl_chart_skill h4',
							'label'       => esc_attr__( 'Content', 'creatic' ),
							'default'     => esc_attr__('Quality Services', 'creatic'),
						),


						/*Link*/

						'percentage' => array(
							'type'     => 'text',
							'priority' => 10,
							'label'       => esc_attr__( 'Percentage (for ex: 90)', 'creatic' ),
							'default'     => '90'
						),

			)));

?>